<?php
/**
* 
*/
class FileUpload extends Admin_controller
{
	
	function __construct()
	{
		parent::__construct();
		$this->load->library('upload');
		$this->load->helper('path');
	}

	public function index($type)
	{
		$this->load->view('upload/'.$type);
	}

	public function test()
	{
		$data['class'] = 'index2';
        $data['page'] = 'upload/attachment';
        $data['view'] = 'admin_panel';
        $this->load->view('master', $data);
	}

	public function saveImage()
	{
		$dataURL=$this->input->post('image');
		$dataURL = str_replace('data:image/png;base64,', '', $dataURL);
	    $dataURL = str_replace(' ', '+', $dataURL);
	    $image = base64_decode($dataURL);
	    $filename = date("ymdhis") . rand ( 10000 , 99999 ) . '.' . 'png'; //renama file name based on time

	    $path = set_realpath('uploads/');
	    file_put_contents($path. $filename, $image);

	    $data = array (
	    	'type' => 'success',	    	
	        'fileName' => $filename,
	        'fileExt' => 'png',
		    'message' => 'Attachment Uploaded'
	    );

	    echo json_encode($data);
	}

	public function saveAttachment()
	{
		$output = array();
		$config = array('upload_path' => './uploads');
		
		$config['allowed_types'] = 'jpg|jpeg|png|application/pdf|pdf';
		$config['file_name'] 	 = time();

		$this->upload->initialize($config);

		if($this->upload->do_upload('userFiles')) {

		    $output = array (
		    	'type' => 'success',	    	
		        'fileName' => $this->upload->data('file_name'),
		        'fileExt' => $this->upload->data('file_ext'),
		        'message' => 'Attachment Uploaded'
		    );
		} else {
			$output = array (
		    	'type' => 'error',	    	
		        'fileName' => '',
		        'fileExt' => '',
		        'message' => $this->upload->display_errors()
		    );
		}

		echo json_encode($output);

        
	}

	public function removefile()
	{
		$fileName = $this->input->post('fileName');
		$table = $this->input->post('table');
		$column = $this->input->post('column');

		if($table === 'empdocuments'){
			$this->Admin_m->delete($table, [$column => $fileName]);
		} else {
			$this->Admin_m->update($table, [$column => NULL], [$column => $fileName]);
		}

		

		$data = [
			'type' => 'success',
			'message' => 'Attachment removed!'
		];

		echo json_encode($data);
	}

}