<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Dailyreport extends Admin_controller {
 

    public function __construct(){
        parent::__construct();
        siteStatus();
        //$this->load->library('Dompdf_gen');
        $this->load->helper('text');
    }

    static $rules_add = array(
        'description' => array(
                'field' => 'description', 
                'label' => 'description', 
                'rules' => 'trim|required'
        ),
    );

    static $rules_update = array(
        'description' => array(
                'field' => 'description', 
                'label' => 'description', 
                'rules' => 'trim|required'
        ),
    );

	public function index()
    {
        $data['class'] = 'index2';
        $data['page'] = 'hr/management/dailyreport/list';
        $data['view'] = 'admin_panel';
        $this->load->view('master', $data);
    }


	public function new_()
	{
        

       // dd($todays_todo);

        if (!empty($todays_todo)) {
        foreach ($todays_todo as $key => $value) {
            $description = $value['description'];
        }  
        }else{
            $description = ''; 
        };

      //  dd($arr);

		$input = new stdClass();
		$input->id 		     = '';
        $input->description  = $this->Admin_m->findCompletedTodo();
		$data['input'] 		 = $input;

		$this->load->view('hr/management/dailyreport/form', $data);
	}

	public function getListData(){
        $users = $this->Admin_m->myAssistants(getUserData('user_id'));
        $lists = $this->Admin_m->findall_datatable(
            'Admin_m', // Model name
            '_get_workreport_query', // Function Name
            'filter', // Query type
             $users // coditions
        );

        $data = array();

        $no = $_POST['start'];

        foreach ($lists as $key => $list) {

            $button = '';
                      
            $button .= '<a class="btn btn-default btn-icon btn-simple btn-icon-mini btn-round" href="'.site_url('hr/management/dailyreport/view/'.$list->id).'" data-toggle="tooltip" data-placement="top" title="View" data-html="form" data-selector="employee">
                <i class="zmdi zmdi-eye table-icon"></i>
            </a>&nbsp;';
            $timestamp = date('H:m:s', strtotime($list->date));
            $no++;
            $row    = array();
            $row[]  = $list->fullname;
            $row[]  = $list->name;
            $row[]  = $list->supervisorname;
            $row[]  = strip_tags(html_entity_decode((character_limiter($list->description, 100))));
            $row[]  = '<span class="'.($timestamp > '10:00:00' && $timestamp < '17:00:00' ?  'orange' : '').'">'. date('M j,Y h:i a',strtotime($list->date)).'</span>';
            $row[]  = $button;
            $data[] = $row;
        }

        $output = array(
            "draw"              => $_POST['draw'],
            "recordsTotal"      => '',
            "recordsFiltered"   => $lists = $this->Admin_m->findall_datatable(
                'Admin_m', // Model name
                '_get_workreport_query', // Function Name
                'count', // Query type
                $users // coditions
            ),
            "data"              => $data,
        );

        //output to json format
        echo json_encode($output);
    }

	public function edit($id)
	{
		$data['input'] = $this->Admin_m->find('emp_workreport', array('id' => $id));

		$this->load->view('management/dailyreport/form', $data);
	}

	public function save()
	{
		$id	= $this->input->post('id');
		//$Callback = $this->input->post('Callback');
		$data['user_id']     = getUserData('user_id');
		$data['description'] = htmlspecialchars($this->input->post('description'));		

		if($id) {
			$this->form_validation->set_rules(self::$rules_update);
		} else {
			$this->form_validation->set_rules(self::$rules_add);
		}	
		
		if($this->form_validation->run() == FALSE) {
		   	$return['type'] = 'validation_error'; 
            foreach ($this->form_validation->error_array() as $key => $value) {
                $return['message'][str_replace("[]","",$key)] = $value;
            }
            echo json_encode($return);
		} else {

            $todayReport = $this->Admin_m->find('emp_workreport', ['date_format(date, "%Y-%m-%d") = ' => date('Y-m-d'), 'user_id' => getUserData('user_id')]);
            
            if(empty($todayReport)):
    			$data['id']    = $this->Admin_m->save('emp_workreport', $data);
                $notification = [
                    'tbl_name'      => 'emp_workreport',
                    'tbl_pk'        => $data['id'],
                    'user_id'       => getUserData('user_id'), 
                    'usertype_id'   => getUserType(getUserData('user_id')), 
                    'title'         => '<strong>'.getUserData('fullname').'</strong> Submited daily report',
                    'source_url'    => 'hr/management/dailyreport/view/'.$data['id'],
                    'deadline'      => NULL, 
                    'list_class'    => 'info',
                    'created_date'  => date('Y-m-d H:i:sa'),
                ];
                
                $this->Admin_m->save('notifications', $notification);
                $return['type']    = 'save_success'; 
                $return['class']   = 'success';
                $return['message'] = 'Report submited successfully !!';
                $return['url'] = ($_SERVER['HTTP_REFERER'] === base_url('dashboard') ? '' : base_url('hr/management/dailyreport/'));
                echo json_encode($return);
                
            else:

                $return['type']    = 'not_success'; 
                $return['class']   = 'warning';
                $return['message'] = 'Report alrady submited !!';
                //$return['url'] = base_url('hr/management/dailyreport/'); 
                echo json_encode($return);
            
            endif;
			
		}
	}

	public function view($id)
	{
        $data['input'] = $this->Admin_m->findworkreport($id);
        $data['class'] = 'index2';
        $data['page']  = 'hr/management/dailyreport/view';
        $data['view']  = 'admin_panel';
        $this->load->view('master', $data);
	}

	function review() {
		$this->form_validation->set_rules('review', 'Review', 'required');
		
       if($this->form_validation->run() == FALSE) {
            $return['type'] = 'validation_error'; 
            foreach ($_POST as $key => $value) {
                $return['message'][str_replace("[]","",$key)] = ucfirst($key).' field is required!';
            }
            echo json_encode($return);
        } else {
            $this->db->trans_start();
			$data = [
				'workreport_id' => $this->input->post('workreport_id'),
				'comment' => $this->input->post('review'),
				'user_id' => getUserData('user_id')
			];

			$this->Admin_m->save('emp_workreport_comment', $data);
            $message = 'Review has been sent';
            $this->db->trans_complete();
            
		      if ($this->db->trans_status() === FALSE){
                $return = [
                    'type' => 'not_success', 
                    'class' => 'warning',
                    'message' =>  'Somthing wrong data not saved!',
                ]; 
            } else {
                $return = [
                    'type' => 'save_success', 
                    'class' => 'success',
                    'message' =>  $message,
                    'url' => site_url('hr/management/dailyreport/view/'.$data['workreport_id']),
                ]; 
            }

            echo json_encode($return);
        }
	}

	public function report() {
        if($_REQUEST['columns'][0]['search']['value'] || $_REQUEST['columns'][1]['search']['value'] || $_REQUEST['columns'][2]['search']['value'] || $_REQUEST['columns'][3]['search']['value']):
            $lists = $this->Admin_m->findall_datatable(
                'Report_m', // Model name
                '_get_dailyreport_query', // Function Name
                'filter' // Query type            
            );
            // echo $this->db->last_query();
            // exit;
            $data = array();
            //dd($lists);
            $no = $_POST['start'];

            foreach ($lists as $key => $list) {	
          
                $timestamp = date('H:m:s', strtotime($list->date));
                $no++;
                $row    = array();
                $row[]  = $list->fullname;
                $row[]  = $list->name;
                $row[]  = $list->supervisorname;
                $row[]  = plainText($list->description);
                $row[]  = '<span class="'.($timestamp > '10:00:00' && $timestamp < '17:00:00' ?  'orange' : '').'">'. date('M j,Y h:i a',strtotime($list->date)).'</span>';
                $data[] = $row;

            }

            $output = array(
                "draw"              => $_POST['draw'],
                "recordsTotal"      => '',
                "recordsFiltered"   => $this->Admin_m->findall_datatable(
                        'Report_m', // Model name
                        '_get_dailyreport_query', // Function Name
                        'count' // Query type
                    ),
                "data"              => $data,
            );
        else:
            $output = array(
                "draw"              => '',
                "recordsTotal"      => '',
                "recordsFiltered"   => 0,
                "data"              => [],
            );
        endif;    

        //output to json format
        echo json_encode($output);
    }

    public function savereport() {

        $data['user_id'] = $this->input->post('user_id');
        $data['department_id'] = $this->input->post('department_id');
        $data['from_date'] = $this->input->post('from_date');
        $data['to_date'] = $this->input->post('to_date');


        $lists['results'] = $this->Admin_m->findall_datatable(
                'Report_m', // Model name
                '_get_dailyreport_query', // Function Name
                '', // Query type    
                $data        
            );

        $options = new \Dompdf\Options();
        $dompdf  = new \Dompdf\Dompdf();
        $options->setIsRemoteEnabled(true);
        $dompdf->setOptions($options);
        $this->load->view('hr/reports/management/pdf/dailyreport',$lists);
        $html = $this->output->get_output();
        $dompdf->loadHtml($html);
        $dompdf->set_paper('A4', 'landscape');
        $dompdf->render();
        $dompdf->stream('projectreport_'.date('Ymd').'.pdf',array("Attachment"=>0));

    }

}