<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
class MY_Security extends CI_Security {

    function __construct()
    {
    	parent::__construct();
	}

	// --------------------------------------------------------------------
	
	/*
		* Modified for cb_cms
	 */
	protected function _remove_evil_attributes($str, $is_image)
	{
		// All javascript event handlers (e.g. onload, onclick, onmouseover), style, and xmlns
		$allowed = array("/www.amarjessore.com-update/backend/article/save", "/www.amarjessore.com-update/backend/news/save", "/www.amarjessore.com-update/backend/literature/save", "/www.amarjessore.com-update/backend/product/save", "/www.amarjessore.com-update/backend/job/save", "/www.amarjessore.com-update/backend/airlines/save", "/www.amarjessore.com-update/backend/residential/save", "/www.amarjessore.com-update/backend/blog/save", "/www.amarjessore.com-update/backend/market_price/save", "/www.amarjessore.com-update/backend/about_us/save", "/www.amarjessore.com-update/backend/contact_us/save");
		if(in_array($_SERVER['REQUEST_URI'],$allowed)){
			$evil_attributes = array('on\w*', 'xmlns', 'formaction', 'form', 'xlink:href');
		}else{
			$evil_attributes = array('on\w*', 'style', 'xmlns', 'formaction', 'form', 'xlink:href');
		}
		
		if ($is_image === TRUE)
		{
			/*
			 * Adobe Photoshop puts XML metadata into JFIF images, 
			 * including namespacing, so we have to allow this for images.
			 */
			unset($evil_attributes[array_search('xmlns', $evil_attributes)]);
		}
		
		do {
			$str = preg_replace(
				"#<(/?[^><]+?)([^A-Za-z\-])(".implode('|', $evil_attributes).")(\s*=\s*)([\"][^>]*?[\"]|[\'][^>]*?[\']|[^>]*?)([\s><])([><]*)#i",
				"<$1$6",
				$str, -1, $count
			);
		} while ($count);
		
		return $str;
	}		
}
?>