<div class="row">
   <div class="col-sm-12">
      <div id="setFormMessage"></div>
      <div id="form-content">
         <form id="leads_form" class="form-horizontal" action="<?php echo site_url('lead/leads/save') ?>" method="post">
            <div class="box">
               <div class="row">
                  <input type='hidden' name='id' value='<?php echo $input->id ?>' />
                  <input type='hidden' name='km' value='<?php echo $input->km ?>' />
                  <input type='hidden' name='created_user' value='<?php echo $input->created_user ?>' />
                  <div class="col-sm-4">
                     <div class="form-group">
                        <label for="name" class="col-sm-4">Type</label>
                        <div class="col-sm-8">
                           <label class="radio-inline">
                           <input tabindex="1" id="company" class="leadType" type="radio" value="1" name="type" <?php echo ($input->id ? ($input->type == 1 ? 'checked' : '') : 'checked')?>>Company
                           </label>
                           <label class="radio-inline">
                           <input tabindex="1" id="individual" class="leadType" type="radio"  value="2" name="type" <?php echo ($input->type == 2 ? 'checked' : '')?>> Individual
                           </label>
                        </div>
                     </div>
                     <?php if($input->type != 2):?>
                     <div class="form-group">
                        <label for="name" class="col-sm-4">Name</label>
                        <div class="col-sm-8">
                           <input tabindex="4" type="text" class="form-control" id="name" name="name" value="<?php echo $input->name ?>">
                        </div>
                     </div>
                     <div class="form-group">
                        <label for="company_email" class="col-sm-4">Email</label>
                        <div class="col-sm-8">
                           <input tabindex="12" type="text" class="form-control" id="company_email" name="company_email" value="<?php echo $input->company_email ?>">
                        </div>
                     </div>
                     <?php endif;?>
                     <div class="form-group multiple-form-group">
                        <label class="col-sm-4">Contact</label>
                        <div class="col-sm-8">
                           <?php 
                              if($input->company_contact):
                              $econtact = array_to_string($input->company_contact);
                              foreach ($econtact as $key => $row):
                              ?>
                           <div class="form-group input-group no-left-margin no-right-margin">
                              <input type="tel"  tabindex="14" class=" company_contact form-control" name="company_contact[]" id="company_contact" value="<?php echo $row  ?>" >
                              <span class="input-group-btn">
                              <?php if(count($econtact) == $key + 1): ?>
                              <button type="button" class="btn btn-primary btn-xs btn-add"><i class="fa fa-plus"></i></button>
                              <?php else: ?> 
                              <button type="button" class="btn btn-danger btn-xs btn-remove"><i class="fa fa-trash"></i></button>
                              <?php endif;?>
                              </span>
                           </div>
                           <?php endforeach; else: ?> 
                           <div class="form-group input-group no-left-margin no-right-margin">
                              <input type="tel"  tabindex="14"  id="company_contact" class=" company_contact form-control" name="company_contact[]" value="<?php echo $input->company_contact ?>">
                              <span class="input-group-btn">
                              <button type="button" class="btn btn-primary btn-xs btn-add"><i class="fa fa-plus"></i></button>
                              </span>
                           </div>
                           <?php endif;?>  
                        </div>
                     </div>
                     <div class="form-group">
                        <label class="col-sm-4 control-label no-padding-right" for="logo"> Photo </label>
                        <div class="col-sm-8">
                           <div data-type="crm" data-target="#logo" class="attachmentbody">
                              <?php if(empty($input->logo)): ?>
                              <img tabindex="16" src="<?php echo base_url('assets/img/no_image.png') ?>" class="upload">
                              <?php else: ?>
                              <ul class="success">
                                 <li><img tabindex="16" alt="" src="<?php echo base_url('uploads/'.$input->logo) ?>"></li>
                                 <li class="remove"><i class="color-orange smaller-80 glyphicon glyphicon-remove hand" title="Remove"></i></li>
                              </ul>
                              <?php endif ?>
                           </div>
                           <input value="<?php echo $input->logo ?>" id="logo" name="logo" type="hidden">                     
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="form-group">
                        <label for="company_website" class="col-sm-4">Website</label>
                        <div class="col-sm-8">
                           <input tabindex="2" type="text" class="form-control" id="company_website" name="company_website" value="<?php echo $input->company_website ?>">
                        </div>
                     </div>
                     <div class="form-group">
                        <label for="company_address" class="col-sm-4">Address</label>
                        <div class="col-sm-8">
                           <input type="text" tabindex="5" placeholder="street 1" id="street" name="street" value="<?php echo $input->street ?>" class="form-control" />
                           <div class="space-2"></div>
                           <input type="text" placeholder="street 2" tabindex="6" id="street2" name="street2" value="<?php echo $input->street2 ?>" class="form-control" />
                        </div>
                        <div class="col-sm-4"></div>
                        <div class="col-sm-3">
                           <div class="space-2"></div>
                           <input type="text" placeholder="zip" tabindex="7" id="zip" name="zip" value="<?php echo $input->zip ?>" class="form-control" />
                        </div>
                        <div class="col-sm-1"></div>
                        <div class="col-sm-4" >
                           <div class="space-2"></div>
                           <input type="text" placeholder="city" tabindex="8" id="city" name="city" value="<?php echo $input->city ?>" class="form-control" />
                        </div>
                        <lavel class="col-sm-4"></lavel>
                        <div class="col-sm-3" >
                           <div class="space-2"></div>
                           <input type="text" placeholder="state" tabindex="9" id="state" name="state" value="<?php echo $input->state ?>" class="form-control" />
                        </div>
                        <div class="col-sm-1"></div>
                        <div class="col-sm-4">
                           <div class="space-2"></div>
                           <?php echo form_dropdown('country_id' , countrydata('countries'), $input->country_id, ['class' => 'select2','tabindex' => '10', 'id' => 'country_id']);?>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <div class="form-group">
                        <label for="leadstatus_id" class="col-sm-4">Lead Status</label>
                        <div class="col-sm-8">
                           <?php echo form_dropdown('leadstatus_id' , listdata('lead_status'), $input->leadstatus_id, ['class' => 'select2','tabindex'=>'3', 'id' => 'leadstatus_id']);?>
                        </div>
                     </div>
                     <div class="form-group">
                        <label for="leadsource_id" class="col-sm-4">Lead Source</label>
                        <div class="col-sm-8">
                           <?php echo form_dropdown('leadsource_id' , listdata('lead_source'), $input->leadsource_id, ['class' => 'select2','tabindex' => '11', 'id' => 'leadsource_id']);?> 
                        </div>
                     </div>
                     <div class="form-group">
                        <label for="services" class="col-sm-4">Services</label>
                        <div class="col-sm-8">
                           <?php echo form_dropdown('services[]' , listdata('services',true), ($input->id ? array_to_string($input->services) : $input->services), ['class' => 'select2', 'id' => 'services','tabindex' => '13', 'multiple'=>'multiple']);?> 
                        </div>
                     </div>
                     <div class="form-group">
                        <label for="notes" class="col-sm-4">Notes</label>
                        <div class="col-sm-8">
                           <textarea name="notes" tabindex="15" id="notes" class="form-control" rows="5"><?php echo $input->notes ?></textarea>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="box">
               <?php if($input->id): foreach($input->contacts as $c => $contact):?>
               <div class="multiple">
                  <?php if($input->type != 2):?>
                  <div class="row">
                     <div class="col-sm-12">
                        <div class="form-group">
                           <div class="col-sm-12 text-right">                
                              <?php if(count($input->contacts) == $c + 1):?>
                              <button type="button" class="btn btn-xs btn-primary add-row"><i class="fa fa-plus"></i> Add Row </button>
                              <?php else: ?>
                              <button type="button" class="btn btn-xs btn-danger remove-row"><i class="fa fa-trash"></i> Remove Row </button>
                              <?php endif;?>  
                           </div>
                        </div>
                     </div>
                  </div>
                  <?php endif; ?>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="first_name"  class="col-sm-4">First Name </label>
                           <div class="col-sm-8">
                              <input type='hidden'  name='lead_contacts_id[]' value='<?php echo $contact->id; ?>' />  
                              <input type="text" tabindex="23" class="form-control" name="first_name[]" value="<?php echo $contact->first_name ?>">
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="last_name" class="col-sm-4">Last Name </label>
                           <div class="col-sm-8">
                              <input  type="text" tabindex="24" name="last_name[]" value="<?php echo $contact->last_name ?>" class="form-control" />
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="email" class="col-sm-4">Email</label>
                           <div class="col-sm-8">
                              <input type="email" tabindex="25" class="form-control" name="email[]" value="<?php echo $contact->email ?>">
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="designation" class="col-sm-4">Designation</label>
                           <div class="col-sm-8">
                              <input type="text" tabindex="26" class="form-control" name="designation[]" value="<?php echo $contact->designation ?>">
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="mobile" class="col-sm-4">Mobile</label>
                           <div class="col-sm-8">
                              <input type="text" tabindex="27" class="company_contact form-control" name="mobile[]" value="<?php echo $contact->mobile ?>">
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="phone" class="col-sm-4">Phone</label>
                           <div class="col-sm-8">
                              <input type="text" tabindex="28" class="form-control" name="phone[]" value="<?php echo $contact->phone ?>">
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <?php endforeach; else: ?>
               <div class="multiple">
                  <div class="row">
                     <div class="col-sm-12">
                        <div class="form-group">
                           <div class="col-sm-12 text-right">                
                              <button type="button" class="btn btn-xs btn-primary add-row"><i class="fa fa-plus"></i> Add More</button>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="first_name" class="col-sm-4">First Name</label>
                           <div class="col-sm-8">
                              <input type='hidden' name='lead_contacts_id[]' value='<?php echo $input->lead_contacts_id; ?>' />  
                              <input tabindex="17" type="text" class="form-control" name="first_name[]" value="<?php echo $input->first_name ?>"/>
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="last_name" class="col-sm-4">Last Name</label>
                           <div class="col-sm-8">
                              <input tabindex="18" type="text" name="last_name[]" value="<?php echo $input->last_name ?>" class="form-control" />
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="email" class="col-sm-4">Email</label>
                           <div class="col-sm-8">
                              <input tabindex="19" type="text" class="form-control" name="email[]" value="<?php echo $input->email ?>">
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="designation" class="col-sm-4">Designation</label>
                           <div class="col-sm-8">
                              <input tabindex="20" type="text" class="form-control" name="designation[]" value="<?php echo $input->designation ?>">
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="mobile" class="col-sm-4">Mobile</label>
                           <div class="col-sm-8">
                              <input tabindex="21" type="text" class="company_contact form-control" name="mobile[]" value="<?php echo $input->mobile ?>">
                           </div>
                        </div>
                     </div>
                     <div class="col-sm-4">
                        <div class="form-group">
                           <label for="phone" class="col-sm-4">Phone</label>
                           <div class="col-sm-8">
                              <input tabindex="22" type="text" class="form-control" name="phone[]" value="<?php echo $input->phone ?>">
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <?php endif;?>
            </div>
            <div class="col-sm-12 box text-center">
               <div class="form-group">                  
                  <button tabindex="68" type="submit" class="btn btn-success btn-sm disable-on-click"><i class="ace-icon fa fa-check bigger-120"></i> Save</button>
                  <button tabindex="70" type="button" class="btn btn-danger btn-sm reload-form"><i class="ace-icon fa fa-repeat bigger-120"></i> Reset</button>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>
<script type="text/javascript">
   $(document).ready(function() {
   
         var validationRules = {
            //company_website     : { required: true },
            'company_contact[]' : { required: true },
            bankinfo            : { required: true },
            street              : { required: true },
            zip                 : { required: true },
            city                : { required: true },
           // company_contact     : { required: true },
            type                : { required: true },
            leadstatus_id       : { required: true },
            leadsource_id       : { required: true },
            services            : { required: true },
            'first_name[]'      : { required: true },
            // 'last_name[]'       : { required: true },
            'mobile[]'          : { required: true },
            'designation[]'     : { required: true },
            'email[]'           : { required: true },
            //'phone[]'           : { required: true }
            
            
         };
   
         var validationMessage = {};
   
         var formType    = 'edit';
         <?php if($input->status == 0): ?>
         loadFormValidation("#leads_form",validationRules , validationMessage , formType, 'lead/leads');
         <?php else :?>
         loadFormValidation("#leads_form",validationRules , validationMessage , formType, 'clients');
         <?php endif;?>
   });

   $(document).on('focusout', '.company_contact', function() {
      var $this = $(this);
      $this.next('span.help-block').remove();
      if($this.val().length < 7 || $this.val().length > 16){
         $this.after('<span class="red help-block text-danger">Mobile number not valid!</span>');    
      } else {
         $this.next('span.help-block').remove();
      }
   });

   $('.leadType').on('click', function(){
      $("#name").parents('.form-group').toggleClass('hidden');
      $("#company_email").parents('.form-group').toggleClass('hidden');
      $('body').find('.add-row').toggleClass('hidden');
   });
   
   
   <?php if(empty($input->id)): ?>
       $(".select2").val("18").change();
   <?php endif;?>

   
</script>