<script src="<?php echo site_url('assets/js/gradient-progress-bar.js');?>"></script>

<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Leads</strong> List </h2>
				<ul class="header-dropdown">
				    <li class="remove">
				        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
				    </li>
				</ul>
            </div>
            <div class="body">
                    <div class="row clearfix">
                        <div class="col-sm-3">
                            <div class="form-group" >
                            <label for="user_id">&nbsp;</label>                                   
                                <input placeholder="search lead" class="form-control input-sm filter-value" type="search" value="">                                   
                            </div>
                       </div>
                        <div class="col-sm-3">
                            <div class="form-group" >  
                                <label for="user_id">KM</label>
                                <?php echo form_dropdown('user_id' ,userList((getUserData('is_admin') == 0 ? ['where_in' => ['users.id' => getUserData('supervisor_of')]] : [])), '', ['class' => 'form-control select2', 'id' => 'user_id']);
                               ?>                                                                    
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group" >  
                                <label for="user_id">Lead status</label>                              
                                <?php echo form_dropdown('leadstatus_id' , listdata('lead_status'), '', ['class' => 'form-control select2', 'id' => 'leadstatus_id']);?>                                  
                            </div>
                        </div>
                        <?php if(getUserData('user_type') != 5 && getUserData('user_type') != 6):?>
                        <div class=" col-sm-3" style="padding-top: 28px;" >
                            <a class="btn  btn-theme float-right btn-round"  data-type="button" href="<?php echo site_url('crm/lead/Leads/new_') ?>" data-title="New Leads" data-html="form" data-selector="add">
                            <i class="zmdi zmdi-plus"></i>&nbsp;New Lead
                            </a>
                        </div>
                    <?php endif; ?>
                    </div>
                <table id="table_leads" class="table table-hover dataTable table_leads" width="100%">
                    <thead>
                        <tr class="btn-theme">
                            <th>Name</th>
                            <th>Contact</th>
                            <th>KM</th>
                            <th width="150">Lead Status</th>
                            <th width="100">Analysis</th>
                            <th width="150">Expected Order Value</th>
                            <th width="150"></th>
                        </tr>
                    </thead>
                    <tbody>  
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {

        let width = "30px";
        let fixCol = "true";

        if($(window).width() > 767){
            width = "210px";
            fixCol = "false";
        }

        //datatables
        let isMobile = window.matchMedia("only screen and (max-width: 760px)");
         setTimeout(function(){  
        //datatables
            dataTable = $('.table_leads').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('crm/lead/Leads/getListData')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -3 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -6 ], //last column
                        "orderable": false, //set not orderable
                    }
                ],
                scrollX:        fixCol,
                fixedColumns:   {
                leftColumns: 0,
                rightColumns: 1,  //last column fixed
                heightMatch: 'auto'
               }
       
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info

            <?php if($this->uri->segment(4)):?>
                $("#user_id").val("<?php echo $this->uri->segment(4);?>").change();
                var v = '<?php echo $this->uri->segment(4);?>';  
                dataTable.columns(2).search(v).draw();
            <?php endif; ?>

        }, 1000);

        $('.filter-value').on( 'keypress', function (e) {   // for select box
            if(e.which == 13){
                let v =$(this).val();  
                if(v.length >= 3){
                    dataTable.columns(1).search(v).draw();
                } else {
                    v = '';
                    dataTable.columns(1).search(v).draw();
                }          
            }
        });

        $('#user_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(2).search(v).draw();
        }); 
        $('#leadstatus_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(3).search(v).draw();
        });   
            
    });

    $(document).on('click', '.contenteditable', function(){
        let $this = $(this),
            $value = $this.html(),
            $status_id = $this.data('status'),
            $id = $this.data('id')
            $html = '';    

        if($this.attr('class') === 'contenteditable'){
            $this.addClass('active');
            $this.attr('data-old_value', $value);
            $.getJSON( URL.getSiteAction('setup/leadstatus/getLeadStatus'), function( data ) {
                $html += '<form action="'+URL.getSiteAction('crm/lead/leads/updateLead')+'" class="form"><div class="form-group"><input type="hidden" name="id" value="'+$id+'"></div><button class="btn btn-sm btn-success updateLead" style="margin:3px 0 0 4px">Update</button></form>';
                $this.html($html);
                $this.find('.form-group').append(createElement('select', 'leadstatus', data));
                $this.find('option').filter('[value='+$status_id+']').attr('selected', true);
            }); 
        }        
    });

    $(document).on('click', '.updateLead', function(event){
        event.preventDefault();
        let $this = $(this),
            $form = $this.parents('form'),
            $lstatus = $this.parents('.contenteditable').data('old_value'),
            $lstatus_text = $this.parents('form').find('.leadstatus option:selected').text();
            $lstatus_id = $this.parents('form').find('.leadstatus option:selected').val();

        $.ajax({
            url: URL.getSiteAction('crm/lead/leads/updateLead'),
            dataType: 'text json',
            type: 'POST',
            data: $form.serialize(),
            success: function( data ){
                if(data.class === 'success'){
                    $this.parents('.contenteditable').removeClass('active').attr('data-status', $lstatus_id).removeAttr('data-old_value').html($lstatus_text);
                } else {
                    $this.parents('.contenteditable').html($lstatus);
                }
            },
            error: function( jqXhr, textStatus, errorThrown ){
                console.log( errorThrown );
            }
        }); 

    });

</script>


