<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="header">
                <h2><strong>New</strong> Lead<small>Please fill up full form for next step to <b>create New Lead</b></small></h2>
				<ul class="header-dropdown">
				    <li class="remove">
				        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
				    </li>
				</ul>
            </div>
			<form id="form-validation" class="form-horizontal topmessage" action="<?php echo site_url('crm/lead/leads/saveprimaryinfo') ?>" method="post">
            	<div class="body">
					<div class="row clearfix">
						<div class="col-lg-2"></div>
						<div class="col-lg-8 border-box">							
							<div class="col-sm-12">
								<label for="form-field-8">Is it a company or individual? <span class="text-danger">*</span></label>
								<div class="form-group">
	                                <div class="radio inlineblock m-r-20">
	                                    <input title="Type" type="radio" id="company" class="with-gap type" value="1" name="type" <?php echo ($input->id ? ($input->type == 1 ? 'checked' : '') : '')?> >
	                                    <label for="company">Company</label>
	                                </div>                                
	                                <div class="radio inlineblock">
	                                    <input title="Type" type="radio" id="individual" class="with-gap type" value="2" name="type" <?php echo ($input->type == 2 ? 'checked' : '')?> >
	                                    <label for="individual">Individual</label>
	                                </div>
	                            </div>
							</div>
	                        <div class="col-sm-12 m-t-20">
	                            <label for="address">Name Please: <span class="text-danger">*</span></label> 
	                            <div class="form-group">
	                                <input title="Name" type="text" class="form-control name" id="name" name="name" value="<?php echo $input->name ?>" placeholder="Company Name or others..." required  />
	                            </div>
	                        </div><!-- col-sm-12 -->
	                        <div class="col-sm-12 m-t-20">
	                            <label for="address">Please mention the Address: <span class="text-danger">*</span></label> 
	                            <div class="form-group">
	                                <div class="form-line">
	                                <textarea title="Address" rows="1" class="form-control no-resize street" id="street" name="street" value="<?php echo $input->street ?>" placeholder="street 1" required></textarea>
	                                </div>
	                                <div class="form-line">
	                                <textarea title="Address" rows="1" class="form-control no-resize street2" d="street2" name="street2" value="<?php echo $input->street2 ?>" placeholder="street 2" required></textarea>
	                                </div>
	                            </div>
	                            <div class="row clearfix">
	                            	<div class="col-sm-3"> 
			                            <div class="form-group">
			                                <input title="Zip" class="form-control numberOnly zip" type="text" placeholder="zip" id="zip" name="zip" value="<?php echo $input->zip ?>" required  />
		                            	</div>
		                        	</div>
		                        	<div class="col-sm-3">
			                            <div class="form-group">
			                                <input title="City" type="text" class="form-control city" placeholder="city" id="city" name="city" value="<?php echo $input->city ?>" required  />
			                            </div>
		                        	</div>
	                            	<div class="col-sm-3"> 
			                            <div class="form-group">
			                                <input title="State" type="text" class="form-control state" placeholder="state" id="state" name="state" value="<?php echo $input->state ?>" required  />
		                            	</div>
		                        	</div>
		                        	<div class="col-sm-3">
	                                    <?php echo form_dropdown('country_id' , countrydata('countries'), $input->country_id, ['class' => 'form-control select2 country_id', 'id' => 'country_id', 'data-live-search' => 'true']);?>
		                        	</div>
		                        </div>
	                        </div><!-- col-sm-12 -->
	                        <div class="col-sm-12 m-t-20">
	                        	<label for="form-field-9">Type of business: <span class="text-danger">*</span></label>
	                        	<div class="form-group">
									<input title="Type of business" type="text" class="form-control type_of_business" id="type_of_business" name="type_of_business" value="<?php echo $input->type_of_business ?>" placeholder="input business type here..." required />
								</div>
	                        </div>
	                        <div class="col-sm-12 m-t-20">
								<label for="form-field-9">Years in business: <span class="text-danger">*</span></label>
	                        	<div class="form-group">
									<input title="Years in business" type="text" class="form-control numberOnly years_in_business" id="years_in_business" name="years_in_business" value="<?php echo $input->years_in_business ?>" placeholder="input business years..." required>
								</div>
	                        </div>
	                        <div class="col-sm-12 m-t-20">
								<label for="form-field-9">Approximate number of employees: <span class="text-danger">*</span></label>
	                        	<div class="form-group">
									<input title="number of employees" type="text" class="form-control numberOnly number_of_emp" id="number_of_emp" name="number_of_emp" value="<?php echo $input->number_of_emp ?>" placeholder="input correct value..." required />
								</div>
	                        </div>
	                        <div class="col-sm-12 m-t-20">
								<label for="form-field-9">Approximate annul revenue: <span class="text-danger">*</span></label>
	                        	<div class="form-group">
									<input title="annul revenue" type="text" class="form-control annual_revenue" id="annual_revenue" name="annual_revenue" value="<?php echo $input->annual_revenue ?>" placeholder="input correct value..." required />
								</div>
	                        </div>
	                        <hr>
							<div class="col-sm-12 m-t-20">	
								<div class="form-group">
									<label for="form-field-9">How did you get this lead? <span class="text-danger">*</span></label>
									<?php echo form_dropdown('leadsource_id' , listdata('lead_source'), $input->leadsource_id, ['class' => 'form-control select2 leadsource_id', 'id' => 'lead_source']);?>
								</div>
								<div class="form-group notes" id="notes">
									<label for="form-field-9">A little more details: <span class="text-danger">*</span></label>
									<div class="form-line">
		                                <textarea title="Notes" rows="2" class="form-control no-resize lead_source_desc" name="lead_source_desc" id="lead_source_desc" placeholder="Type lead details here..." required><?php echo $input->lead_source_desc ?></textarea>
		                            </div>
		                        </div>
							</div>
							<hr>
							<div class="serviceWrap">
								<div class="col-sm-12 m-t-20">
									<div class="form-group">
										<label for="form-field-9">Which product / service they are looking for? <span class="text-danger">*</span></label>
										<?php echo form_dropdown('services[]' , listdata('services',false, ['parent_id' => NULL]), ($input->id ? array_to_string($input->services) : $input->services), ['class' => 'form-control services getServices']);?>
									</div>
								</div>
							</div>
							<hr>
							<div class="col-sm-12 m-t-20">
								<label for="form-field-9">Are they taking any of the mentioned services from any provider? <span class="text-danger">*</span></label>
								<div class="form-group">
	                                <div class="radio inlineblock m-r-20">
	                                    <input type="radio" name="used_services" id="used_services_yes" class="with-gap used_services" value="1" >
	                                    <label for="used_services_yes">Yes</label>
	                                </div>                                
	                                <div class="radio inlineblock">
	                                    <input type="radio" name="used_services" id="used_services_no" class="with-gap used_services" value="0" >
	                                    <label for="used_services_no">No</label>
	                                </div>
	                            </div>
								<div class="form-group" id="selected-toolbar" <?php echo ($input->used_services_desc == 1 ? '' : 'hidden')?> >
									<label for="form-field-9">Details please: <span class="text-danger">*</span></label>
									<div class="form-line">
									<textarea title="Details" name="used_services_desc" id="used_services_desc" class="form-control used_services_desc" rows="2"><?php echo $input->used_services_desc ?></textarea>
									</div>
								</div>
							</div>
							<div class="col-sm-12 m-t-20">
								<label for="form-field-9">Do you need any referral? <span class="text-danger">*</span></label>
								<div class="form-group">
	                                <div class="radio inlineblock m-r-20">
	                                    <input type="radio" name="require_referrals" id="require_referrals_yes" class="with-gap require_referrals" value="1" >
	                                    <label for="require_referrals_yes">Yes</label>
	                                </div>                                
	                                <div class="radio inlineblock">
	                                    <input type="radio" name="require_referrals" id="require_referrals_no" class="with-gap require_referrals" value="0" >
	                                    <label for="require_referrals_no">No</label>
	                                </div>
	                            </div>
								<div id="selected-referrals" class="form-group" <?php echo ($input->require_referrals_desc == 1 ? '' : 'hidden')?> >
									<label for="form-field-9">Details please: <span class="text-danger">*</span></label>
									<textarea title="Details" name="require_referrals_desc" id="require_referrals_desc" class="form-control require_referrals_desc" rows="2"><?php echo $input->require_referrals_desc ?></textarea>
								</div>
							</div>
							<div class="col-sm-12 m-t-20">
								<label for="form-field-9">what is their management style? <span class="text-danger">*</span></label>
								<div class="form-group">
									<input title="management style" type="text" id="management_style" class="form-control management_style" name="management_style" value="<?php echo $input->management_style ?>">
								</div>
							</div>
							<div class="col-sm-12 m-t-20">
								<label for="form-field-9">what is their Decision Process? <span class="text-danger">*</span></label>
								<div class="form-group">
									<input title="Decision Process" type="text" class="form-control decision_process" name="decision_process" value="<?php echo $input->decision_process ?>"/>
								</div>
							</div>
							<div class="col-sm-12 m-t-20">
								<label for="form-field-9">Is the negotiation Price Sensitive? <span class="text-danger">*</span></label>
								<div class="form-group">
	                                <div class="radio inlineblock m-r-20">
	                                    <input type="radio" name="price_sensitivity" id="priceyes" class="with-gap price_sensitivity" value="1" >
	                                    <label for="priceyes">Yes</label>
	                                </div>                                
	                                <div class="radio inlineblock">
	                                    <input type="radio" name="price_sensitivity" id="priceno" class="with-gap price_sensitivity" value="0" >
	                                    <label for="priceno">No</label>
	                                </div>
	                            </div>
							</div>
							<div class="col-sm-12 m-t-20">
								<label for="form-field-9">What is the probability of this lead closing? <span class="text-danger">*</span></label>
								<?php echo form_dropdown('probability' , ['1'=>'0 - 20%','2'=>'21 - 40%','3'=>'41 - 60%','4'=>'61 - 80%','5'=>'81 - 99%'], $input->probability, ['class' => 'form-control select2 probability','data-live-search'=>'true', 'id' => 'probability']);?>
							</div>
							<div class="col-sm-12 m-t-50">
								<h6 class="text-info">Please mention the contact person details</h6>
								<hr>
								<span class="badge badge-info">Contact Person details</span>
							</div>
							<input title="" type='hidden'  name='lead_contacts_id[]' value='1' />
							<div class="" id="contact_person">
								<div class="col-sm-12 m-t-30">
									<label for="form-field-9">Full Name <span class="text-danger">*</span></label>
									<div class="form-group">
		                          		<input title="Name" type="text" class="form-control first_name[]" name="first_name[]" value="" placeholder="Type full name here..">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Email <span class="text-danger">*</span></label>
									<div class="form-group">
										 <input title="Email" type="email" class="form-control email" name="email[]" value="" placeholder="example@gmail.com">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Mobile <span class="text-danger">*</span></label>
									<div class="form-group">
										<input title="Mobile" type="text" class="mobile form-control" name="mobile[]" value="" placeholder="+880 151-XXXX000">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Designation <span class="text-danger">*</span></label>
									<div class="form-group">
										<input title="Designation" type="text" class="form-control designation" name="designation[]" value="" placeholder="Types designation here..">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Image <span class="text-danger">*</span></label>
	                                <div class="col-sm-4">
	                                    <div class="row clearfix">
	                                        <div data-type="crm" data-target="#photo" class="attachmentbody"> 
	                                          <?php if(empty($contact->photo)): ?>
	                                             <img src="<?php echo base_url('assets/images/no_image.png') ?>" class="upload hand">
	                                          <?php else: ?>
	                                             <ul class="success">
	                                                <li><img alt="" src="<?php echo ($contact->$contact->photo ? base_url('uploads/'.$contact->photo) : ''); ?>"></li>
	                                                <li class="remove"><i class="red-color zmdi zmdi-close hand" title="Remove"></i></li>
	                                             </ul>
	                                          <?php endif ?>
	                                        </div>
	                                        <input id="photo" name="photo[]" value="" class="attachmentFile" type="hidden">
	                                    </div>                          
	                                </div>
								</div>
							</div>
							<div class="col-sm-12 m-t-30">
								<span class="badge badge-info">Owner details</span>
							</div>
							<div class="col-sm-12 m-t-10">
								<div class="form-group">
	                                <div class="checkbox">
	                                    <input title="" type="checkbox" name="same_as_contact" id="same_as_contact" class="with-gap same_as_contact" >
	                                    <label for="same_as_contact">Check if contact person and owner are same.</label>
	                                </div>
	                            </div>
							</div>
							<input title="" type='hidden'  name='lead_contacts_id[]' value='2' />
							<div class="" id="owner_detail">
								<div class="col-sm-12 m-t-20">
									<label for="form-field-9">Full Name <span class="text-danger">*</span></label>
									<div class="form-group">								
		                          		<input title="Name" type="text" class="form-control first_name" name="first_name[]" value="" placeholder="full name">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Email <span class="text-danger">*</span></label>							
									<div class="form-group">
										 <input title="Email" type="email" class="form-control email" name="email[]" value="" placeholder="example@gmail.com">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Mobile <span class="text-danger">*</span></label>						
									<div class="form-group">
										<input title="Mobile" type="text" class="mobile form-control" name="mobile[]" value="" placeholder="+880 151-XXXX000">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Designation <span class="text-danger">*</span></label>
									<div class="form-group">
										<input title="Designation" type="text" class="form-control designation" name="designation[]" value="" placeholder="designation">
									</div>
								</div>
								<div class="col-sm-12 m-t-10">
									<label for="form-field-9">Image <span class="text-danger">*</span></label>
	                                <div class="col-sm-4">
	                                    <div class="row clearfix">
	                                        <div data-type="crm" data-target="#photo" class="attachmentbody"> 
	                                          <?php if(empty($contact->photo)): ?>
	                                             <img src="<?php echo base_url('assets/images/no_image.png') ?>" class="upload hand">
	                                          <?php else: ?>
	                                             <ul class="success">
	                                                <li><img alt="" src="<?php echo ($contact->$contact->photo ? base_url('uploads/'.$contact->photo) : ''); ?>"></li>
	                                                <li class="remove"><i class="red-color zmdi zmdi-close hand" title="Remove"></i></li>
	                                             </ul>
	                                          <?php endif ?>
	                                        </div>
	                                        <input id="photo" name="photo[]" value="" class="attachmentFile" type="hidden">
	                                    </div>                          
	                                </div>
								</div>
							</div>
					
							<div class="float-right m-t-20">
				                <button type="submit" class="btn btn-lg btn-theme saveBtn"><i class="zmdi zmdi-check"></i> Submit</button>
				            </div>
				        </div><!-- col-md-8 -->
			            <div class="row m-t-50">
			                <p>&nbsp;</p>
			            </div>
			        </div><!-- row clearfix -->
				</div><!-- Body -->
			</form>
        </div>
    </div>
</div>

<div id="serviceListCopy" style="display: none;">
	<div class="col-sm-12 m-t-20">
		<div class="form-group">
			<label for="form-field-9">Which product / service they are looking for? <span class="text-danger">*</span></label>
			<?php echo form_dropdown('services[]' , listdata('services',false, ['parent_id' => NULL]), ($input->id ? array_to_string($input->services) : $input->services), ['class' => 'form-control services']);?>
		</div>
	</div>
</div>

<script type="text/javascript">   

   $(document).on('focusout', '.mobile', function() {
      var $this = $(this);
      $this.next('span.help-block').remove();
      if($this.val().length < 7 || $this.val().length > 16){
         $this.after('<span class="red help-block text-danger">Mobile number not valid!</span>');    
      } else {
         $this.next('span.help-block').remove();
      }
   });
   
   
   <?php if(empty($input->id)): ?>
       $("#country_id").val("18").change();
   <?php endif;?>

   $(function() {
   		$('.getServices').select2();

      	<?php if(empty($input->id)): ?>
    	$('#notes').hide(); 
    	<?php endif; ?>
    	$("input[name='type']").click(function() {
    		if ($(this).val() == 2) {
       			$("#years_in_business").parents('div.col-sm-12.m-t-20').hide();
       			$('#annual_revenue').parents('div.col-sm-12.m-t-20').hide();
       			$('#number_of_emp').parents('div.col-sm-12.m-t-20').hide();
       			$('#management_style').parents('div.col-sm-12.m-t-20').hide();
     		} else {
     			$("#years_in_business").parents('div.col-sm-12.m-t-20').show();
       			$('#annual_revenue').parents('div.col-sm-12.m-t-20').show();
       			$('#number_of_emp').parents('div.col-sm-12.m-t-20').show();
       			$('#management_style').parents('div.col-sm-12.m-t-20').show();
     		}
   		});

    	$('#lead_source').change(function(){
        	if($('#lead_source').val() != 'null') {
            	$('#notes').show(); 
	        } else {
	            $('#notes').hide(); 
	        } 
    	});
	
		$("input[name='used_services']").click(function() {
		    if ($(this).val() == 1) {
		       $("#selected-toolbar").removeAttr('hidden');
		    } else {
		       $("#selected-toolbar").attr('hidden', true);
		    }
   		});
   
   		$("input[name='require_referrals']").click(function() {
     		if ($(this).val() == 1) {
       			$("#selected-referrals").removeAttr('hidden');
     		} else {
       			$("#selected-referrals").attr('hidden', true);
     		}
   		});

   		$("#same_as_contact").change(function() {
            var ischecked= $(this).is(':checked');
            if(!ischecked){
              	$('#owner_detail').find('input').each(function(){
              		$(this).val('');
              	});
            } else {
            	$('#owner_detail').html($('#contact_person').clone());
            }
        });  

        $(document).on('change', '.getServices', function(){
        	let $this = $(this);

	   		$.ajax({
	            url: URL.getSiteAction('setup/services/filterService'),
	            dataType: 'html',
	            type: 'POST',
	            data : { id : $this.val() },
	            success: function( data ){
	            	$this.parents('.serviceWrap').find('.wrap').remove();
	            	$this.parents('.serviceWrap').append(data);
	                $this.parents('.serviceWrap').find('.sub_service').select2();
	            },
	            error: function( jqXhr, textStatus, errorThrown ){
	                console.log( errorThrown );
	            }
	        });

        	return false;
        });

       	$(document).on('change', '.sub_service', function(){
			let $this = $(this);

			$.ajax({
	            url: URL.getSiteAction('setup/service_modules/filterModule'),
	            dataType: 'html',
	            type: 'POST',
	            data : { id : $this.val() },
	            success: function( data ){
	            	$this.parents('.serviceWrap').find('.table').parents('.wrap').remove();
	            	$this.parents('.serviceWrap').find('.exp_total_order_val').parents('.wrap').remove();
	            	$this.parents('.serviceWrap').find('.addAnotherService').parents('.wrap').remove();
	                $this.parents('.serviceWrap').append(data);
	                $this.parents('.serviceWrap').find('.criteria').select2();
	            },
	            error: function( jqXhr, textStatus, errorThrown ){
	                console.log( errorThrown );
	            }
	        });	
       	});

       	$(document).on('click', '.addAnotherService', function(event){
       		event.preventDefault()
       		let $this = $(this),
       			count = 0,
       			last_order_invoice_div;

       		$element = $('#serviceListCopy').find('div.col-sm-12').clone();
       		$this.parents('.serviceWrap').after('<div class="serviceWrap"><div class="col-sm-12 m-t-20">' + $element.html() + '</div></div>');

       		$('body').find('.serviceWrap').each(function () {
				count++;
	            last_order_invoice_div = $(this);
	        });

       		last_order_invoice_div.find('.bootstrap-select').replaceWith(function() { return $('select', this).addClass('getServices'); });
       		last_order_invoice_div.find('.getServices').select2();
       		$this.parents('.wrap').remove();
       		
       	});
 	});
   
</script>