<?php echo datetimepickerAssets();?>
<div class="modal-body">
    <form id="form" class="form-horizontal" action="<?php echo site_url('crm/lead/tasks/save') ?>" method="post">
      <input type='hidden' name='id' value='<?php echo $input->id ?>' />

      <div class="form-group">
        <label for="name"> Leads <span class="text-danger">*</span></label>
        <?php echo form_dropdown('lead_id', $leads, $input->lead_id, ['class' => 'form-control select2 lead_id', 'id' => 'supervisor_id', 'style' =>'width: 100%; '.($input->lead_id ? 'pointer-events:none' : '')])?>
      </div>

      <div class="form-group">
        <label for="name"> Title <span class="text-danger">*</span></label>
        <input name="name" id="name" value="<?php echo $input->name ?>" class="form-control name">   
      </div>

      <div class="form-group">
          <label for="services"> Users </label>
          <div class="clearfix">
            <?php echo form_dropdown('user_id[]' , userList([],true), ($input->id ? $input->user_id : getUserData('user_id')), ['class' => 'form-control select2 user_id', 'id' => 'userList',  'multiple'=>'multiple', 'style' =>'width: 100%;']);?>
          </div>
          <?php //echo form_dropdown('user_id[]' , userList([], true), ($input->id ? $input->user_id : getUserData('user_id ')), ['class' => 'user_id', 'id' => 'user_id', 'multiple'=>'multiple']); ?> 
      </div>

      <div class="form-group">
        <label for="deadline"> Deadline <span class="text-danger">*</span></label>
        <div class="input-group">
            <span class="input-group-addon">
                  <i class="zmdi zmdi-calendar"></i>
              </span>
            <input type="text" class="form-control dateminpicker" id="deadline" name="deadline" value="<?php echo $input->deadline ?>">
        </div>
      </div>

    <div class="form-group">
      <button type="button" class="btn btn-raised btn-primary waves-effect btn-round"  data-dismiss="modal">Close</button>
        <button  class="btn l-cyan btn-round float-right waves-effect waves-light saveBtn"> Save</button>   
    </div>

  </form>
</div>

<script>
    $(function () {
        $('.select2').select2();

        dateminpicker();
    });
</script>