<?php echo datetimepickerAssets();?>
<div class="col-lg-12 topmessage ">
  <div class="tab-content">
    <form id="form_validation" class="form-horizontal" action="<?php echo site_url('crm/workspace/workspace/save') ?>" method="post">
        <div role="tabpanel" class="tab-pane active" id="project">
          <div class="row clearfix">
            <div class="col-lg-6 col-md-6 col-sm-12">
              <div class="card">
                <div class="body">
                    <input type='hidden' name='id' value='<?php echo $input->id ?>' />

                    <label for="name"> Workorder No  <span class="text-danger">*</span></label>
                    <div class="form-group">
                      <input type="text" id="workorder_no" name="workorder_no" value="<?php echo $input->workorder_no ?>" class="workorder_no form-control" />
                    </div>

                    <label for="name"> Workorder Name  <span class="text-danger">*</span></label>
                    <div class="form-group">
                      <input type="text" id="name" name="name" value="<?php echo $input->name ?>" class="name form-control" />
                    </div>

                    <label for="name"> Client <span class="text-danger">*</span></label>
                    <div class="form-group">
                      <?php echo form_dropdown('client_id', $leads, $input->lead_id, ['class'=>'form-control select2 client_id',  'style' => (!empty($input->lead_id) ? 'pointer-events: none;' : '')]); ?>
                    </div>

                    <label for="services" class="col-sm-4"> Primary Workorder<small>( if necessary ) </small> </label>
                    <div class="form-group">
                      <?php echo form_dropdown('sub_order', $workorder, $input->sub_order, ['class'=>'form-control select2',  'style' => (!empty($input->sub_order) ? 'pointer-events: none;' : '')]); ?>
                    </div>
                    <label for="name"> Agreement Date  <span class="text-danger">*</span></label>
                    <div class="form-group">
                      <div class="input-group">
                        <span class="input-group-addon">
                          <i class="zmdi zmdi-calendar"></i>
                        </span>
                        <input type="text" class="form-control datemaxpicker agreement_date" id="agreement_date" name="agreement_date" value="<?php echo $input->agreement_date ?>" class="form-control" />
                      </div>
                    </div>
                </div>
              </div>
            </div>
              <div class="col-lg-6 col-md-6 col-sm-12">
                <div class="card">
                  <div class="body">
                    <label for="name"> Attachment  <span class="text-danger">*</span></label>
                    <div class="form-group clearfix">
                      <div data-type="crm" data-target="#upload" class="attachmentbody"> 
                          <?php if(empty($input->upload)): ?>
                             <img src="<?php echo base_url('assets/images/no_image.png') ?>" class="upload hand">
                          <?php else: ?>
                             <ul class="success">
                                <li><img alt="" src="<?php echo ($input->upload ? base_url('uploads/'.$input->upload) : ''); ?>"></li>
                                <li class="remove"><i class="theme-color zmdi zmdi-close hand" title="Remove"></i></li>
                             </ul>
                          <?php endif ?>
                      </div>
                      <input id="upload" name="upload" value="<?php echo (!empty($input->upload) ? $input->upload : '') ?>" type="hidden">
                    </div>
                    
                    <label> Comment </label>
                    <div class="form-group">
                      <textarea type="text" name="comment" id="comment" class="form-control" rows="1  "><?php echo $input->comment ?></textarea>
                    </div>
                    <div class="table-responsive">
                        <table class="table">
                          <thead class="btn-theme">
                            <tr>
                              <td>Particulars</td>
                              <td>Quantity</td>
                              <td>Unit Price</td>
                              <td>Ammount</td>
                              <td></td>
                            </tr>
                          </thead>
                          <tbody class="parent_multiple">
                            <?php
                            if ($input->cost_breakdown): 
                              foreach ($input->cost_breakdown as $key => $cost):
                                ?>
                                <tr class="multiple" data-ele_name="particularsRow">
                                  <td width="40%">
                                    <input type="hidden" name="cost_breakdown_id[]" value="<?php echo $cost->id;?>">
                                    <?php 
                                    $servicelist = listdata('services');
                                    $servicelist['discount'] = 'Discount';
                                    $servicelist['vat'] = 'Vat';
                                    $servicelist['tax'] = 'Tax';
                                    echo form_dropdown('servicesid[]' , $servicelist, !empty($cost->other) ? $cost->other : $cost->service_id, ['class' => 'select2 servicesid',  ]);
                                    ?>
                                  </td>
                                  <td>
                                    <input  type="text"  name="quantity[]"  value="<?php echo $cost->quantity ?>" class="form-control quantity input-right " style="pointer-events: <?php echo ($cost->service_id ? 'visible' : 'none')?>" />
                                  </td>
                                  <td>
                                    <input  type="text" name="unit_price[]" id="unit_price" value="<?php echo $cost->unit_price ?>" class="form-control unit_price  input-right" style="pointer-events: <?php echo ($cost->service_id ? 'visible' : 'none')?>" />
                                  </td>
                                  <td>
                                    <input  type="text" name="service_cost[]" value="<?php echo $cost->service_cost ?>" class="form-control service_cost input-right" style="pointer-events: <?php echo ($cost->service_id ? 'none' : 'visible')?>" />
                                  </td>
                                  <td>
                                    <?php if($key == 0):?>
                                      <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                    <?php else: ?>
                                      <button type="button" class="btn btn-xs btn-round btn-danger remove-row"><i class="zmdi zmdi-close"></i> Remove</button>
                                    <?php endif;?>
                                  </td>
                                </tr>
                                <?php 
                              endforeach; 
                            else: 
                              ?>
                              <tr class="multiple" data-ele_name="particularsRow">
                                <td>
                                    <input type="hidden" name="cost_breakdown_id[]" value="">
                                  <?php 
                                    $servicelist = listdata('services');
                                    $servicelist['discount'] = 'Discount';
                                    $servicelist['vat'] = 'Vat';
                                    $servicelist['tax'] = 'Tax';
                                    echo form_dropdown('servicesid[]' , $servicelist, '', ['class' => 'select2 servicesid',  ]);?>
                                </td>
                                <td>
                                  <input type="text" style="text-align:left;"  name="quantity[]" value="" class="form-control quantity input-right " />
                                </td>
                                <td>
                                  <input type="text" style="text-align:left; "  name="unit_price[]" value="" class="form-control unit_price input-right" />
                                </td>
                                <td>
                                  <input style="pointer-events: none; text-align:right;"  type="text" name="service_cost[]" value="" class="form-control service_cost input-right" />
                                </td>
                                <td>
                                  <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                </td>
                              </tr>

                            <?php endif; ?>
                          </tbody>
                          <tfoot>
                            <tr>
                              <td></td>
                              <td></td>
                              <td> Order Total</td>
                              <td class="text-right netTotal">
                                <?php 
                                if($input->id && array_search('discount', array_column($input->cost_breakdown, 'other'))):
                                  $discount = $input->cost_breakdown[array_search('discount', array_column($input->cost_breakdown, 'other'))];
                                else:
                                  $discount = 0; 
                                endif;
                                echo ($input->cost_breakdown ? array_sum(array_column($input->cost_breakdown, 'service_cost')) - ($discount ? $discount->service_cost-$discount->service_cost : 0) : ''); ?></td>
                                <td></td>
                              </tr>
                            </tfoot>
                        </table>
                    </div>
                    </div>
                  </div>
                </div>
          </div>
        </div>
        <div class="card">
          <div class="body parent_multiple">
            <?php 
            if($input->workorder_payment): 
              foreach($input->workorder_payment as $key => $payment):
                ?>
                <div class="row multiple" data-ele_name="paymentRow">
                  <div class="col-sm-10">
                    <div class="row">
                      <div class="col-sm-4">
                        <div class="form-group">
                          <label class="control-label no-padding-right" for="agreement_date">Date <span class="text-danger">*</span></label>
                          <input type="hidden" name="workorder_payment_id[]" value="<?php echo $payment->id ?>">
                          <div class="input-group">
                            <span class="input-group-addon">
                              <i class="zmdi zmdi-calendar"></i>
                            </span>
                            <input type="text" class="form-control dateminpicker" name="date[]" value="<?php echo $payment->date ?>" class="form-control" />
                          </div>

                        </div>
                      </div>
                      <div class="col-sm-4">
                        <div class="form-group">
                          <label class="control-label no-padding-right" for="project_cost">Ammount <span class="text-danger">*</span></label>
                          <input type="text" name="ammount[]" value="<?php echo $payment->ammount ?>" class="form-control" />
                        </div>
                      </div>
                      <div class="col-sm-4">
                        <div class="form-group">
                          <label class="control-label no-padding-right" for="comment"> Notes <span class="text-danger">*</span></label>
                          <input type="text" name="note[]" value="<?php echo $payment->note ?>" class="form-control" />
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-2">
                    <label for=""></label>
                    <div class="form-group">
                      <?php if($key == 0):?>
                        <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                      <?php else: ?>
                        <button type="button" class="btn btn-xs btn-round btn-danger remove-row"><i class="zmdi zmdi-close"></i> Remove</button>
                      <?php endif;?>
                    </div>
                  </div>
                </div>
                <?php
              endforeach;
            else:
              ?>
              <div class="row multiple" data-ele_name="paymentRow">
                <div class="col-sm-10">
                  <div class="row">
                    <div class="col-sm-4">
                      <div class="form-group">
                        <label class="control-label no-padding-right" for="agreement_date">Date <span class="text-danger">*</span></label>
                        <input type="hidden" name="workorder_payment_id[]" value="">
                        <div class="input-group">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-calendar"></i>
                          </span>
                          <input type="text" class="form-control datemaxpicker" name="date[]" value="" class="date form-control" />
                        </div>

                      </div>
                    </div>
                    <div class="col-sm-4">
                      <div class="form-group">
                        <label class="control-label no-padding-right" for="project_cost">Ammount <span class="text-danger">*</span></label>
                        <input type="text" name="ammount[]" value="" class="ammount form-control" />
                      </div>
                    </div>
                    <div class="col-sm-4">
                      <div class="form-group">
                        <label class="control-label no-padding-right" for="comment"> Notes <span class="text-danger">*</span></label>
                        <input type="text" name="note[]" value="" class="note form-control" />
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-sm-2">
                  <label for=""></label>
                  <div class="form-group">
                    <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                  </div>
                </div>
              </div>
            <?php endif;?>
          </div>
        </div>
        <div class="card">
          <div class="body table-responsive">
            <table class="table">
              <thead class="btn-theme">
                <tr>
                  <th>Service</th>
                  <th>Department</th>
                  <th>Task</th>
                  <th>Description</th>
                  <th>Start Date</th>
                  <th>Deadline</th>
                  <th width="50"></th>
                </tr>
              </thead>
              <tbody class="parent_multiple">
                <?php 
                if($input->projects):
                  foreach($input->projects as $key => $v):
                    ?>
                    <tr class="multiple" data-ele_name="projectsRow">
                      <td>
                        <input type="hidden" name="projects_id[]" value="<?php echo $v->id;?>">
                        <div class="form-group">
                          <?php echo form_dropdown('services_id[]' , listdata('services'), $v->services_id, ['class' => 'select2 services_id', 'data-live-search' => 'true']);?> 
                        </div>
                      </td>
                      <td>
                        <?php echo form_dropdown('department_id[]', listdata('department'), $v->department_id, ['class' => 'select2 form-control', 'data-live-search' => 'true']);?>
                      </td>
                      <td>
                        <input type="text" name="task[]" value="<?php echo $v->name ?>" class="form-control" placeholder="Task Name" />
                      </td>
                      <td>
                        <textarea name="description[]" class="form-control" rows="2"><?php echo $v->description ?></textarea>
                      </td>
                      <td>
                        <div class="input-group">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-calendar"></i>
                          </span>
                          <input type="text" class="form-control dateminpicker" name="start_date[]" value="<?php echo $v->start_date ?>">
                        </div>
                      </td>
                      <td>
                        <div class="input-group">
                          <span class="input-group-addon">
                            <i class="zmdi zmdi-calendar"></i>
                          </span>
                          <input type="text" class="form-control dateminpicker" name="deadline[]" value="<?php echo $v->deadline ?>">
                        </div>
                      </td>
                      <td>
                        <?php if($key == 0):?>
                          <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                        <?php else: ?>
                          <button type="button" class="btn btn-xs btn-round btn-danger remove-row"><i class="zmdi zmdi-close"></i> Remove</button>
                        <?php endif;?>
                      </td>
                    </tr>
                    <?php 
                  endforeach;
                else:
                  ?> 
                  <tr class="multiple" data-ele_name="projectsRow">
                    <td>
                      <input type="hidden" name="projects_id[]" value="">
                      <div class="form-group">
                        <?php echo form_dropdown('services_id[]' , listdata('services'), '', ['class' => 'select2 services_id', 'data-live-search' => 'true']);?> 
                      </div>
                    </td>
                    <td>
                      <?php echo form_dropdown('department_id[]', listdata('department'), '', ['class' => 'select2 form-control', 'data-live-search' => 'true']);?>
                    </td>
                    <td>
                      <input type="text" name="task[]" value="" class="form-control" placeholder="Task Name" />
                    </td>
                    <td>
                      <textarea name="description[]" class="form-control" rows="2"></textarea>
                    </td>
                    <td>
                      <div class="input-group">
                        <span class="input-group-addon">
                          <i class="zmdi zmdi-calendar"></i>
                        </span>
                        <input type="text" class="form-control dateminpicker" name="start_date[]" value="">
                      </div>
                    </td>
                    <td>
                      <div class="input-group">
                        <span class="input-group-addon">
                          <i class="zmdi zmdi-calendar"></i>
                        </span>
                        <input type="text" class="form-control dateminpicker" name="deadline[]" value="">
                      </div>
                    </td>
                    <td>
                      <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                    </td>
                  </tr>
                <?php endif;?>
              </tbody>
            </table>
          </div>
          <div class="col-sm-12 box text-center">
          <div class="form-group">                  
                <div style="display: inline-flex;">
                     <button type="button" class="btn btn-raised btn-theme btn-round waves-effect saveBtn">Save</button>
                </div>
                <div style="display: inline-flex;">
                     <button type="reset" class="btn btn-raised btn-primary btn-round waves-effect">Reset</button>
                </div>
          </div>
        </div>
        </div>
        
    </form>
  </div>
</div>

<table id="particularsRow" style="display: none;">
  <tr class="multiple">
    <td>
        <input type="hidden" name="cost_breakdown_id[]" value="">
      <?php 
        $servicelist = listdata('services');
        $servicelist['discount'] = 'Discount';
        $servicelist['vat'] = 'Vat';
        $servicelist['tax'] = 'Tax';
        echo form_dropdown('servicesid[]' , $servicelist, '', ['class' => 'servicesid']);?>
    </td>
    <td>
      <input type="text" style="text-align:left;"  name="quantity[]" value="" class="form-control quantity input-right " />
    </td>
    <td>
      <input type="text" style="text-align:left; "  name="unit_price[]" value="" class="form-control unit_price input-right" />
    </td>
    <td>
      <input style="pointer-events: none; text-align:right;"  type="text" name="service_cost[]" value="" class="form-control service_cost input-right" />
    </td>
    <td>
      <button type="button" class="btn btn-xs btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> Remove </button>
    </td>
  </tr>
</table>

<div id="paymentRow" style="display: none">
  <div class="row multiple">
    <div class="col-sm-10">
      <div class="row">
        <div class="col-sm-4">
          <div class="form-group">
            <label class="control-label no-padding-right" for="agreement_date">Date <span class="text-danger">*</span></label>
            <input type="hidden" name="workorder_payment_id[]" value="">
            <div class="form-group">
              <div class="input-group">
                <span class="input-group-addon">
                  <i class="zmdi zmdi-calendar"></i>
                </span>
                <input type="text" class="form-control dateminpicker" name="date[]" value="" class="date form-control" />
              </div>
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="form-group">
            <label class="control-label no-padding-right" for="project_cost">Ammount <span class="text-danger">*</span></label>
            <div class="form-group">
              <input type="text" name="ammount[]" value="" class="ammount form-control" />
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="form-group">
            <label class="control-label no-padding-right" for="comment"> Notes <span class="text-danger">*</span></label>
            <input type="text" name="note[]" value="" class="note form-control" />
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-2">
      <label for=""></label>
      <div class="form-group">
        <button type="button" class="btn btn-xs btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> Remove </button>
      </div>
    </div>
  </div>
</div>

<table id="projectsRow" style="display: none;">
  <tr class="multiple">
    <td>
      <input type="hidden" name="projects_id[]" value="">
      <?php echo form_dropdown('services_id[]' , listdata('services'), '', ['class' => 'services_id', 'data-live-search' => 'true']);?> 
    </td>
    <td>
      <?php echo form_dropdown('department_id[]', listdata('department'), '', ['class' => 'form-control', 'data-live-search' => 'true']);?>
    </td>
    <td>
      <input type="text" name="task[]" value="" class="form-control" placeholder="Task Name" />
    </td>
    <td>
      <textarea name="description[]" class="form-control" rows="2"></textarea>
    </td>
    <td>
      <div class="input-group">
        <span class="input-group-addon">
          <i class="zmdi zmdi-calendar"></i>
        </span>
        <input type="text" class="form-control dateminpicker" name="start_date[]" value="">
      </div>
    </td>
    <td>
      <div class="input-group">
        <span class="input-group-addon">
          <i class="zmdi zmdi-calendar"></i>
        </span>
        <input type="text" class="form-control dateminpicker" name="deadline[]" value="">
      </div>
    </td>
    <td>
      <button type="button" class="btn btn-xs btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> Remove </button>
    </td>
  </tr>
</table>

<script type="text/javascript">

  $(document).ready(function() {

    datetimepicker();
    dateminpicker();
    datemaxpicker();

  });

//   $(document).on('focusout', '.unit_price', function(){
//     var total = 0;
// alert('as');
//     $('.service_cost').each(function(){
//       total += parseFloat($(this).val());     
//     });

//     $('.netTotal').html(total);
//   });

  $(document).on('focusout', '.unit_price',function() {
    var $this     = $(this),
    unit_price  = $this.val(),
    quantity  = $this.parents('.multiple').find('.quantity').val(),
    total       = parseInt(quantity) * parseInt(unit_price);

    $this.parents('.multiple').find('.service_cost').val(total);

    calcNetTotal();

  });

  $(document).on('focusout', '.service_cost',function() {
    calcNetTotal();
  });



  $(document).on('click', '.remove-row', function(){
    setTimeout(function(){ 
      calcNetTotal();
    }, 1);
    
  });

  $(document).on('change', '.servicesid', function(){
    $this = $(this);
    $this.parents('.multiple').find('input').val('');
    if($this.val() === 'vat' || $this.val() === 'discount' || $this.val() === 'tax'){
      $this.parents('.multiple').find('input').css('pointer-events', 'none');
      $this.parents('.multiple').find('.service_cost').css('pointer-events', 'visible');
    } else {
      $this.parents('.multiple').find('input').not('.service_cost').css('pointer-events', 'visible');
      $this.parents('.multiple').find('.service_cost').css('pointer-events', 'none');
    }
  });

  function calcNetTotal(){
    let netTotal = 0;
    $('body').find('.service_cost').each(function(){
      let $this = $(this),
      particulars = $this.parents('.multiple').find('.servicesid').val();
      if($this.val()){
        console.log($this.val());
        if(particulars === 'discount'){
          netTotal -= parseInt($this.val());
        } else {
          netTotal += parseInt($this.val());
        }           
      }
    });
    $('.netTotal').html(netTotal);
  }

</script>