<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Workspace</strong> List </h2>
            </div>
            <div class="body">
                    <div class="row clearfix">
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label>&nbsp;</label>                                    
                                <input placeholder="search Workspace" class="form-control input-sm filter-value" type="search" value="">                                   
                            </div>
                       </div>
                    <div class="col-sm-3">
                        <div class="form-group" >  
                            <label for="user_id">KM</label>
                            <?php echo form_dropdown('user_id' , userList([]), '', ['class' => 'form-control select2', 'id' => 'user_id']);
                            ?>
                                                                                    
                    </div>
                    </div>
                    <div class="col-sm-3">
                        <div class="form-group" >  
                            <label for="lead_id">Lead / Client</label>
                            <?php echo form_dropdown('lead_id' , getLead(['leads.deleted_at' => NULL], true), '', ['class' => 'form-control select2', 'id' => 'lead_id']);
                            ?> 
                                                                
                        </div>
                    </div>
                    <?php if(getUserData('user_type') != 5 & getUserData('user_type') != 6):?>
                    <div class=" col-sm-9" style="padding-top: 28px;" >
                            <a class="btn  btn-theme float-right btn-round"  data-type="button" href="<?php echo site_url('crm/workspace/workspace/new_') ?>" data-title="New Leads" data-html="form" data-selector="add">
                            <i class="zmdi zmdi-plus"></i>&nbsp;New Workspace
                            </a>
                    </div>
                    <?php endif; ?>
                    </div>
                <table id="table_workspace" class="table table-hover dataTable table_workspace" width="100%">
                    <thead>
                        <tr class="btn-theme">
                            <th>Name</th>
                            <th>Client</th>
                            <th>KM</th>
                            <th width="140"></th>
                        </tr>
                    </thead>
                    <tbody>  
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>


<script>
    $(document).ready(function() {

        let width = "30px";
        let fixCol = "true";

        if($(window).width() > 767){
            width = "120px";
            fixCol = "false";
        }

        //datatables
        let isMobile = window.matchMedia("only screen and (max-width: 760px)");
         setTimeout(function(){  
        //datatables
            dataTable = $('.table_workspace').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('crm/workspace/workspace/getListData')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -2 ], //last column
                        "orderable": false, //set not orderable
                    },
                ],
                scrollX:        fixCol,
                fixedColumns:   {
                leftColumns: 0,
                rightColumns: 1,  //last column fixed
                heightMatch: 'auto'
               }
       
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info
        }, 1000);
        $('.filter-value').on( 'keypress', function (e) {   // for select box
            if(e.which == 13){
            var i =$(this).attr('data-column');  
            var v =$(this).val();  
            if(v.length >= 3){
                dataTable.columns(i).search(v).draw();
            } else {
                v = '';
                dataTable.columns(i).search(v).draw();
            }          
        }
        });
        $('#user_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(2).search(v).draw();
        });  
        
        $('#lead_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(3).search(v).draw();
        }); 


    });

    $(document).on('click', '.backLink', function(){
    history.back(1);
});

</script>

