
<html>
   <head>
      <title>Money Receipt</title>
      <link href="https://fonts.googleapis.com/css?family=Anton|PT+Sans+Narrow|Sirin+Stencil|Sorts+Mill+Goudy" rel="stylesheet">
      <style type="text/css">
         *{padding: 0px; margin: 0px; font-family: 'PT Sans Narrow', sans-serif;}
         .cut_border{ padding: 0px 10px; border-right: 1px dotted #000; }
         .full_wrap{ padding: 0px 10px; }
         .full_wrap .logo{width: 80px; height: 30px;}
         .full_wrap .heading{ background: #004137; color: #fff; font-family: 'Anton', sans-serif; padding: 10px 5px 0px 0px;
         text-transform: uppercase; letter-spacing: 1px; border-radius: 35px 0px 0px 35px; font-size: 26px; }
         .full_wrap .dot{font-size: 20px; font-family: 'Sirin Stencil', cursive; transform: rotate(55deg); display: inline-block;}
         .full_wrap .input_title{font-size: 14px;}
         .full_wrap .input_dot{position: absolute; margin-top: -2px;}
         .full_wrap .input_value{display: inline-block; font-size: 12px; padding: 0px 10px; margin-top: -4px; position: absolute;}
         .full_wrap small{ font-family: sans-serif; display: inline-block; padding: 5px 5px; font-size: 12px; }
         .footer_text{font-size: 18px;}
         .full_wrap .bar_img{width: 40px; height: 40px;}
         .border-top{
         border-top : 1px solid #000000;
         }
         .border-top-dotted{
         border-top : 1px dotted #000000;
         }
         .border-bottom-dotted{
         border-bottom: 1px dotted #000000; 
         }
         .border-left{
         border-left: 1px dotted #000000; 
         }
      </style>
   </head>
   <body>
   
      <table  width="100%" border="0" cellpadding="0" cellspacing="0">
         <?php foreach ($input->bill as $key => $v):?>
            <tr>
            <td style="height: 35px" >&nbsp;</td>
         </tr>
         <tr>
            <td align="center" valign="middle">
               <table width="100%" class="border-bottom-dotted border-top-dotted" cellpadding="0" cellspacing="0">
                  <tr>
                     <!-- left section -->
                    <td width="1%"></td>
                    <td width="45%" valign="top">
                        <table class="full_wrap cut_border" width="100%" border="0" cellpadding="0" cellspacing="0">
                           <tr>
                              <td align="left" width="30%"><img class="logo" src="<?php echo base_url('uploads/'.$settings->logo)?>"></td>
                              <td align="right" width="70%">
                                 <h1 class="heading">Money Receipt</h1>
                              </td>
                           </tr>
                        </table>
                        <table width="98%" >
                           <tr>
                              <td width="100%" align="right">
                                 <small style="font-size: 70%"  >
                                 <?php echo $settings->address ?><br>hotline:&nbsp; <?php echo $settings->phone_fax ?>,&nbsp; e-mail:&nbsp; <?php echo $settings->email ?>
                                 </small>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td align="left"><span class="sl_no">Sl.:00<?php echo $v['id']+17; ?> </span></td>
                              <td align="right"><span class="date">Date: <?php echo date("d-m-Y") ?></span></td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="32%" >
                                 <p class="input_title" style="font-size: 75%">Recived with thanks from :</p>
                              </td>
                              <td width="76%" style="font-size: 85%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="22%" >
                                 <p class="input_title" style="font-size: 75%">Amount(in word):</p>
                              </td>
                              <td width="86%" style="font-size: 85%;"  class="border-bottom-dotted">
                                 <p><?php echo 'Taka '.convert_number_to_word($v['ammount']).' Only.';?></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="18%" >
                                 <p class="input_title" style="font-size: 75%">by Cash/Cheque No.</p>
                              </td>
                              <td width="10%" style="font-size: 85%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                              <td width="8%" >
                                 <p class="input_title" style="font-size: 75%">of Bank</p>
                              </td>
                              <td width="16%" style="font-size: 75%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                              <td width="7%" >
                                 <p class="input_title" style="font-size: 75%">Dated</p>
                              </td>
                              <td width="18%" style="font-size: 75%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="52%" >
                                 <p class="input_title" style="font-size: 75%">as Advance/Part/Final Payment on Account of :</p>
                              </td>
                              <td width="46%" style="font-size: 85%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td align="left"  colspan="2" height="55px">
                                 <span valign="top" class="input_title">Tk. </span>
                                 <input style="width: 220px;" type="text" value="">
                              </td>
                           </tr>
                           <tr>
                              <td colspan="2">
                                 <table width="100%" style="padding-top: 0%;" >
                                    <tr style="text-align: center" >
                                       <td width="1%"></td>
                                       <td valign="top" style="font-size: 70%" class="border-top footer_text">Received by</td>
                                       <td width="10%"></td>
                                       <td valign="top" style="font-size: 70%" class="border-top footer_text">Accounts Manazer</td>
                                       <td width="10%"><img style="width: 50px" src="<?php echo base_url('assets/images/code.png')?>"></td>
                                       <td valign="top" style="font-size: 70%" class="border-top footer_text">Authorized Signature</td>
                                       <td width="1%"></td>
                                    </tr>
                                 </table>
                              </td>
                           </tr>
                        </table>
                    </td>
                    <!-- left section end -->


                    <td width="1%" height="35%" class="border-left"  ></td>
                      



                     <!-- right section -->
                    <td width="53%" valign="top">
                        <table class="full_wrap cut_border" width="100%" border="0" cellpadding="0" cellspacing="0">
                           <tr>
                              <td align="left" width="30%"><img class="logo" src="<?php echo base_url('uploads/'.$settings->logo)?>"></td>
                              <td align="right" width="70%">
                                 <h1 class="heading">Money Receipt</h1>
                              </td>
                           </tr>
                        </table>
                        <table width="98%" >
                           <tr>
                              <td width="100%" align="right">
                                 <small style="font-size: 80%"  >
                                 <?php echo $settings->address ?><br>hotline:&nbsp; <?php echo $settings->phone_fax ?>,&nbsp; e-mail:&nbsp; <?php echo $settings->email ?>
                                 </small>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td align="left"><span class="sl_no">Sl.:00<?php echo $v['id']+17?></span></td>
                              <td align="right"><span class="date">Date: <?php echo date("d-m-Y") ?></span></td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="32%" >
                                 <p class="input_title" style="font-size: 85%">Recived with thanks from :</p>
                              </td>
                              <td width="76%" style="font-size: 95%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="22%" >
                                 <p class="input_title" style="font-size: 85%">Amount(in word):</p>
                              </td>
                              <td width="86%" style="font-size: 95%;"  class="border-bottom-dotted">
                                 <p><?php echo 'Taka '.convert_number_to_word($v['ammount']).' Only.';?></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="18%" >
                                 <p class="input_title" style="font-size: 85%">by Cash/Cheque No.</p>
                              </td>
                              <td width="10%" style="font-size: 95%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                              <td width="8%" >
                                 <p class="input_title" style="font-size: 85%">of Bank</p>
                              </td>
                              <td width="16%" style="font-size: 85%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                              <td width="7%" >
                                 <p class="input_title" style="font-size: 85%">Dated</p>
                              </td>
                              <td width="18%" style="font-size: 85%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td width="52%" >
                                 <p class="input_title" style="font-size: 85%">as Advance/Part/Final Payment on Account of :</p>
                              </td>
                              <td width="46%" style="font-size: 95%;"  class="border-bottom-dotted">
                                 <p></p>
                              </td>
                           </tr>
                        </table>
                        <table width="98%">
                           <tr>
                              <td align="left"  colspan="2" height="55px">
                                 <span valign="top" class="input_title">Tk. </span>
                                 <input style="width: 220px;" type="text" value="">
                              </td>
                           </tr>
                           <tr>
                              <td colspan="2">
                                 <table width="100%" style="padding-top: 0%;" >
                                    <tr style="text-align: center" >
                                       <td width="1%"></td>
                                       <td valign="top" style="font-size: 80%" class="border-top footer_text">Received by</td>
                                       <td width="10%"></td>
                                       <td valign="top" style="font-size: 80%" class="border-top footer_text">Accounts Manazer</td>
                                       <td width="10%"><img style="width: 50px" src="<?php echo base_url('assets/images/code.png')?>"></td>
                                       <td valign="top" style="font-size: 80%" class="border-top footer_text">Authorized Signature</td>
                                       <td width="1%"></td>
                                    </tr>
                                 </table>
                              </td>
                           </tr>
                        </table>
                    </td>
                     <!-- right section end -->
                  </tr>
               </table> 
            </td>
         </tr>
          <?php endforeach; ?>
      </table>
      
   </body>
</html>