<?php echo datetimepickerAssets();?>

<div class="modal-body">
	<form id="form" class="form-horizontal" action="<?php echo site_url('crm/workspace/workspace/saveWorkBill') ?>" method="post">
		<input type="hidden" name="id" value="<?php echo $input->id;?>">
		<div class="form-group">
			<label class="col-sm-12 control-label no-padding-right" for="name"> Workorder <span class="text-danger">*</span></label>
			<div class="col-sm-12">
				<?php echo form_dropdown('workspace_id', $workorder, $input->workspace_id, ['class' => 'form-control select2', 'style' => 'pointer-events:none']);?>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-12 control-label no-padding-right" for="name"> Workorder Amount  <span class="text-danger">*</span></label>
			<div class="col-sm-12">	
				<input class="form-control" id="total_ammount" placeholder="Workorder Amount" value="<?php echo $input->total_ammount; ?>" disabled style="width: 100%" ></input>
			</div>
		</div>

		<div class="form-group">				
			<label class="col-sm-12 control-label" for="name"> Client Paid  <span class="text-danger">*</span></label>
			<div class="col-sm-12">
				<input type="text" id="total_payment" class="form-control" placeholder="Client Paid" value="<?php echo $input->total_payment; ?>" disabled>
			</div>
		</div>

		<div class="form-group">				
			<label class="col-sm-12 control-label no-padding-right" for="name"> Amount <span class="text-danger">*</span></label>
			<div class="col-sm-12">
				<input type="text" name="ammount" id="ammount" class="ammount numberOnly form-control" placeholder="Ammount" value="<?php echo $input->ammount; ?>">
			</div>
		</div>

		<div class="form-group">				
			<label class="col-sm-12 control-label no-padding-right" for="name"> Due Amount <span class="text-danger">*</span></label>
			<div class="col-sm-12">
				<input type="text" id="dueAmmount" class="form-control numberOnly" placeholder="Due Ammount" value="" style="pointer-events: none;">
			</div>
		</div>

		<div class="form-group">				
			<label class="col-sm-12 control-label no-padding-right" for="name"> Date <span class="text-danger">*</span></label>
			<div class="col-sm-12">
				<div class="input-group">
					 <span class="input-group-addon">
                        <i class="zmdi zmdi-calendar"></i>
                      </span>
                      <input type="text" class="form-control datetimepicker agreement_date" id="date" name="date" value="<?php echo $input->date ?>" class="form-control" />
				</div>
			</div>
		</div>

		<div class="form-group">				
			<label class="col-sm-12 control-label no-padding-right" for="name"> Note <span class="text-danger">*</span></label>
			<div class="col-sm-12">
				<textarea name="note" class="form-control" id="note" rows="1"><?php echo $input->note;?></textarea>
			</div>
		</div>

		<div class="form-group">
			<button type="button" class="btn btn-raised btn-primary waves-effect btn-round"  data-dismiss="modal">Close</button>
			<button  class="btn l-cyan btn-round float-right waves-effect waves-light saveBtn">	Save</button>		
		</div>
	</form>
</div>

<script type="text/javascript">

$(document).ready(function() {
	$(function () {
        $('.datetimepicker').bootstrapMaterialDatePicker({
          format: 'YYYY-MM-DD',
          clearButton: true,
          weekStart: 1,
          time: false
        });
      });
	});

	$(document).on('focusout', '#ammount', function(){
		var $this = $(this),
		ammount 		= $this.val(),
		total_ammount 	= $("#total_ammount").val(),
		total_payment 	= $("#total_payment").val(),
		due_amount 		= parseInt(total_ammount) - (parseInt(total_payment) + parseInt(ammount));

		if(due_amount < 0){
			$this.val('');
			$this.parents('#form').find('#dueAmmount').val('');
		} else {
			$this.parents('#form').find('#dueAmmount').val(parseInt(due_amount));			
		}
	});
</script>