<?php echo datetimepickerAssets();?>

<div class="row clearfix" >
	<?php if (empty($settings) && getUserData('is_admin')): ?>
	<div style="width: 100%" class="alert alert-danger" role="alert">
	    <a href="javascript:void(0);" class="js-right-sidebar" data-href="http://localhost/crm/system_settings/index" data-close="true"><button class="btn btn-danger btn-sm btn-round">settings</button></a> not configured yet.   !! &ensp;<a href="javascript:void(0);" class="js-right-sidebar" data-href="http://localhost/crm/system_settings/index" data-close="true"><i class="white-color zmdi zmdi-settings zmdi-hc-spin"></i></a>
	    &ensp;&ensp;<button type="button" class="close" data-dismiss="alert" aria-label="Close">
	        <span aria-hidden="true">
	            <i class="zmdi zmdi-close"></i>
	        </span>
	    </button>
	</div>
	<?php endif; ?>
</div>

<div class="row">
    <div class="col-sm-12">
        <div class="row">
            <div class="col-sm-4">
                <div class="card">
                    <div class="header p-b-0">
                        <h2><strong>Lead</strong> This Month</h2>
                    </div>
                    <div class="body">
                        <div class="row">
                            <div class="col-sm-3 col-3 m-b-10">
                                <small class="text-muted">Leads</small>
                                <h5 class="m-b-0 count"><?php echo $lead['leads']; ?></h5>                                
                            </div>
                            <div class="col-sm-3 col-3 m-b-10">
                                <small class="text-muted">Insufficient</small>
                                <h5 class="m-b-0 count"><?php echo $lead['insufficient']; ?></h5>                                
                            </div>
                            <div class="col-sm-3 col-3 m-b-10">
                                <small class="text-muted">Good</small>
                                <h5 class="m-b-0 count"><?php echo $lead['good']; ?></h5>                                
                            </div>
                            <div class="col-sm-3 col-3 m-b-10">
                                <small class="text-muted">Bad</small>
                                <h5 class="m-b-0 count"><?php echo $lead['bad']; ?></h5>                                
                            </div>
                        </div>
                    </div>                    
                </div>               
            </div>
            <div class="col-sm-3">
                <div class="card">
                    <div class="header p-b-0">
                        <h2><strong>Project</strong> Report</h2>
                    </div>
                    <div class="body">
                        <div class="row">
                            <div class="col-sm-4 col-4 m-b-10">
                                <small>Created</small>
                                <h5 class="m-b-0 count"><?php echo $project['projects']; ?></h5>                                
                            </div>
                            <div class="col-sm-4 col-4 m-b-10">
                                <small>Completed</small>
                                <h5 class="m-b-0 count"><?php echo $project['complete_project']; ?></h5>                                
                            </div>
                            <div class="col-sm-4 col-4 m-b-10">
                                <small>Failed</small>
                                <h5 class="m-b-0 count"><?php echo $project['failed_project']; ?></h5>                                
                            </div>
                        </div>
                    </div>                    
                </div> 
            </div>
            <div class="col-sm-3">
                <div class="card">
                    <div class="header p-b-0">
                        <h2><strong>Task</strong> Report</h2>
                    </div>
                    <div class="body">
                        <div class="row">
                            <div class="col-sm-4 col-4 m-b-10">
                                <small>Created</small>
                                <h5 class="m-b-0 count"><?php echo $task['tasks']; ?></h5>                                
                            </div>
                            <div class="col-sm-4 col-4 m-b-10">
                                <small>Completed</small>
                                <h5 class="m-b-0 count"><?php echo $task['complete_task']; ?></h5>                                
                            </div>
                            <div class="col-sm-4 col-4 m-b-10">
                                <small>Failed</small>
                                <h5 class="m-b-0 count"><?php echo $task['failed_task']; ?></h5>                                
                            </div>
                        </div>
                    </div>                    
                </div>
            </div>
            <div class="col-sm-2 text-center">
                <div id="myclock"></div>
            </div>
        </div>
    </div>
    
    <?php if(!getUserData('login_type')):?>
    <!-- <div class="col-sm-2 text-center">
        <div><a href="https://play.google.com/store/apps/details?id=com.safaraitbd.safaraOms" target="_blank" download><img style="width: 60%;padding-top: 15%;" src="<?php echo base_url('assets/images/apkaci.png');?>"></a></div>
    </div> -->
    <?php endif; ?>
</div>


<div class="row clearfix ">
    <div class="col-sm-8">
        <div class="row" id="deliverableWrap">
            <div class="col-sm-6">
                <div id="deliverable" class="dashboard-donut-chart"></div>                        
            </div>
            <div class="col-sm-6">
                <table class="table m-t-15 m-b-0" id="deliverable_tbl">
                    <thead>
                        <tr>
                            <th colspan="2" class="text-center btn-theme">Deliverable Data</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>                
            </div>
        </div>

        <div class="row clearfix m-b-30">
            <div class="col-sm-12">
                <form id="generalSaleFunnel" action="<?php echo site_url('dashboard/getFunnelData');?>" method="post">
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="user_id"> Employee </label>
                                <input type="hidden" name="type" value="funnel_data">
                                <?php echo form_dropdown('user_id' , userList((getUserData('is_admin') == 1 ? ['employees.department_id' => 7] : ['where_in' => ['users.id' => $subordinate]])), '', ['class' => 'form-control select2 user_id']);
                                     ?> 
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label for="from_date">Month</label>
                                <div class="input-group">
                                    <input id="ajax_data_table_date" type="text" class="form-control monthpicker" placeholder="search by date" name="from_date" value="<?php echo date('Y-m', strtotime('0 month', strtotime(date('Y-m-d'))))?>" data-dtp="dtp_NOZBg"/>
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="col-sm-12">
                <div class="spinnerWrap text-center">
                    <div id="chartContainer" style="height: 300px; width: 100%;"></div>
                    <div class="spinner">
                        <div class="rect1"></div>
                        <div class="rect2"></div>
                        <div class="rect3"></div>
                        <div class="rect4"></div>
                        <div class="rect5"></div>
                    </div>
                </div>
            </div>
        </div>

        <?php if(getUserData('is_admin') == 1):?> 
        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header">
                        <div class="row">
                            <div class="col-sm-8">
                                <h2><strong>Tasks</strong> </h2>
                            </div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input id="ajax_data_table2_date" type="text" class="form-control datetimepicker ajax_data_table2_date" placeholder="search by date" name="date" value="" data-dtp="dtp_NOZBg"/>                                   
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="body">
                        <table id="ajax_data_table2" class="table m-t-15 m-b-0" width="100%">
                            <thead>
                                <tr class="btn-theme">
                                    <th>Lead</th>
                                    <th>Task</th>
                                    <th>Employee</th>
                                    <th>Dead line</th>
                                </tr>
                            </thead>
                            <tbody>  
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div> 
         <?php if(getUserData('user_type') != 6):?>
        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header">
                        <div class="row">
                            <div class="col-sm-8">
                                <h2><strong>Project Tasks</strong></h2>        
                            </div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input id="ajax_data_table3_date" type="text" class="form-control datetimepicker ajax_data_table3_date" placeholder="search by date" name="date" value="" data-dtp="dtp_NOZBg"/>                                   
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="body">
                        <table id="ajax_data_table3" class="table m-t-15 m-b-0" width="100%">
                            <thead>
                                <tr class="btn-theme">
                                    <th>Lead</th>
                                    <th>Task</th>
                                    <th>Employee</th>
                                    <th>Dead line</th>
                                </tr>
                            </thead>
                            <tbody>  
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div> 
        <?php endif;?>
        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="header">
                        <div class="row">
                            <div class="col-sm-8">
                                <h2><strong>Leads</strong></h2>
                            </div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input id="ajax_data_table_date" type="text" class="form-control datetimepicker ajax_data_table_date" placeholder="search by date" name="date" value="" data-dtp="dtp_NOZBg"/>
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="body">
                        <table id="ajax_data_table" class="table m-t-15 m-b-0" width="100%">
                            <thead>
                                <tr class="btn-theme">
                                    <th>Name</th>
                                    <th>KM</th>
                                    <th>Contact Person</th>
                                    <!-- <th>Number</th> -->
                                    <th width="120">Lead Status</th>
                                </tr>
                            </thead>
                            <tbody>  
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div> 
        <script>
            $(document).ready(function(){
                setTimeout(function(){  
                    //datatables
                    var dataTable1 = $('#ajax_data_table').DataTable({
                        "processing": true, //Feature control the processing indicator.
                        "serverSide": true, //Feature control DataTables' server-side processing mode.
                        "ordering": false, //Feature control DataTables' filtering.
                        "order": [], //Initial no order.

                        // Load data for the table's content from an Ajax source
                        "ajax": {
                            "url": '<?php echo base_url('crm/lead/leads/reports')?>',
                            "type": "POST"
                        },
                        "bDestroy": true,
                        fnDrawCallback: function (settings) {
                            $("#ajax_data_table_wrapper").parent().toggle(settings.fnRecordsDisplay() > 0);
                        },
                        scrollX: "true",
                        fixedColumns:   {
                            leftColumns: 0,
                            rightColumns: 1,  //last column fixed
                            heightMatch: 'auto'
                        }
                    });

                    $("#ajax_data_table_filter").css("display","none");  // hiding global search box
                    $("#ajax_data_table_info").css("display","none");  // hiding global table info

                    $('#ajax_data_table_date').on( 'change', function () {   // for select box
                        var v =$(this).val();  
                        dataTable1.columns(0).search(v).draw();
                    });    
                }, 3000);

                setTimeout(function(){  
                    //datatables
                    var dataTable2 = $('#ajax_data_table2').DataTable({

                        "processing": true, //Feature control the processing indicator.
                        "serverSide": true, //Feature control DataTables' server-side processing mode.
                        "ordering": false, //Feature control DataTables' filtering.
                        "order": [], //Initial no order.

                        // Load data for the table's content from an Ajax source
                        "ajax": {
                            "url": '<?php echo base_url('crm/lead/tasks/reports')?>',
                            "type": "POST"
                        },
                        "bDestroy": true,
                        fnDrawCallback: function (settings) {
                            $("#ajax_data_table2_wrapper").parent().toggle(settings.fnRecordsDisplay() > 0);
                        },
                        scrollX: "true",
                        fixedColumns:   {
                            leftColumns: 0,
                            rightColumns: 1,  //last column fixed
                            heightMatch: 'auto'
                        }
                    });
                    $("#ajax_data_table2_filter").css("display","none");  // hiding global search box
                    $("#ajax_data_table2_info").css("display","none");  // hiding global search box

                    $('#ajax_data_table2_date').on( 'change', function () {   // for select box
                        var v =$(this).val();  
                        dataTable2.columns(0).search(v).draw();
                    });
                }, 4000);

                setTimeout(function(){  
                    //datatables
                    var dataTable3 = $('#ajax_data_table3').DataTable({

                        "processing": true, //Feature control the processing indicator.
                        "serverSide": true, //Feature control DataTables' server-side processing mode.
                        "ordering": false, //Feature control DataTables' filtering.
                        "order": [], //Initial no order.

                        // Load data for the table's content from an Ajax source
                        "ajax": {
                            "url": '<?php echo base_url('crm/workspace/Tasks/reports')?>',
                            "type": "POST"
                        },
                        "bDestroy": true,
                        fnDrawCallback: function (settings) {
                            $("#ajax_data_table3_wrapper").parent().toggle(settings.fnRecordsDisplay() > 0);
                        },
                        scrollX: "true",
                        fixedColumns:   {
                            leftColumns: 0,
                            rightColumns: 1,  //last column fixed
                            heightMatch: 'auto'
                        }
                    });
                    $("#ajax_data_table3_filter").css("display","none");  // hiding global search box
                    $("#ajax_data_table3_info").css("display","none");  // hiding global search box

                    $('#ajax_data_table3_date').on( 'change', function () {   // for select box
                        var v =$(this).val();  
                        dataTable3.columns(0).search(v).draw();
                    });
                }, 5000);
            });
        </script>
        <?php endif;?>
    </div>
    <div class="col-sm-4">
        <div class="row clearfix">
            <div class="col-sm-12">
                <form id="calFilter" action="<?php echo site_url('dashboard/getCalData');?>" method="post">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label for="user_id"> Employee </label>
                                <input type="hidden" name="type" value="calendar_data">
                                <?php echo form_dropdown('user_id' , userList((getUserData('is_admin') == 1 ? [] : ['where_in' => ['users.id' => $subordinate]])), '', ['class' => 'form-control select2 user_id']);
                                     ?> 
                            </div>
                        </div>                        
                    </div>
                </form>
                <?php if(getUserData('user_type') != 6):?>
                <div id="calendar" class="m-t-20" style="height: 450px"></div>
                <?php endif;?>
            </div>
        </div>        
    </div>
</div>

<script>
    $(function () {
        getSalesFunnel();

        $('.datetimepicker').bootstrapMaterialDatePicker({
            format: 'YYYY-MM-DD',
            clearButton: true,
            weekStart: 1,
            time: false
        });

        $('.monthpicker').bootstrapMaterialDatePicker({
            format: 'YYYY-MM',
            clearButton: false,
            time: false,
            month: true,
            changeMonth: true,
            changeYear: true,
        }).on('change', function(){
            getSalesFunnel($(this).parents('form').serialize());
        });

        let deliverable;
        $.ajax({
            url: URL.getSiteAction('dashboard/getDeliverableData'),
            dataType: 'text json',
            type: 'POST',
            data: CSRF.csrfTokenName()+'='+Cookies.get('csrf_cookie'),
            success: function( data ){
                let dataPointsVal = [],
                    dataPointColor = [],
                    $tbody = '';
                $.each(data.info, function(key, value){
                    dataPointsVal.push({value: parseInt(value[0]), label: value[1]});
                    dataPointColor.push(value[2]);
                    $tbody += '<tr style="background-color: '+value[2]+'; color: #fff;"><td>'+value[1]+'</td><td>'+value[0]+'</td></tr>';
                });  
                $tbody += '<tr style="background-color: #333; color: #fff;"><td>Total</td><td>'+data.total+'</td></tr>';

                Morris.Donut({
                    element: 'deliverable',
                    data: dataPointsVal,
                    colors: dataPointColor,
                    formatter: function(y) {
                        return y
                    }
                });

                $('#deliverable').parents('#deliverableWrap').find('tbody').html('').append($tbody);

                //deliverable.render();
            },
            error: function( jqXhr, textStatus, errorThrown ){
                console.log( errorThrown );
            }
        });

        $('#calendar').fullCalendar({
            header: {
                left: 'prev',
                center: 'title',
                right: 'next'
            },
            defaultDate: $('#calendar').fullCalendar('today'),
            fixedWeekCount: false,   
            contentHeight: "auto",         
            contentWidth: "auto",
            utc: true,
            editable: true,
            droppable: true, // this allows things to be dropped onto the calendar
            drop: function() {
                // is the "remove after drop" checkbox checked?
                if ($('#drop-remove').is(':checked')) {
                    // if so, remove the element from the "Draggable Events" list
                    $(this).remove();
                }
            },
            eventLimit: true, // allow "more" link when too many events
            events: function(start, end, timezone, callback) {
                $.ajax({
                    url: URL.getSiteAction('dashboard/getCalData'),
                    dataType: 'json',
                    data: {
                        // our hypothetical feed requires UNIX timestamps
                        start: start.unix(),
                        end: end.unix()
                    },
                    success: function(doc) {
                        var events = doc;
                        callback(events);
                    }
                });
            }
        });
    });

    $(document).on('change', '.user_id', function(){
        let $this = $(this),
            $form = $this.parents('form');
        if($form.find('input[name="type"]').val() === 'calendar_data'){
            getCalendarData($form.serialize());
        } else if($form.find('input[name="type"]').val() === 'funnel_data'){
            getSalesFunnel($form.serialize());   
        }
        
    });

    function getCalendarData(argument = ''){
        console.log(CSRF.csrfTokenName()+'='+Cookies.get('csrf_cookie')+'&'+argument);
        $.ajax({
            url: URL.getSiteAction('dashboard/getCalData'),
            type: 'POST', // Send post data
            data: CSRF.csrfTokenName()+'='+Cookies.get('csrf_cookie')+'&'+argument,
            async: false,
            success: function(s){
                $('#calendar').fullCalendar('removeEvents');
                $('#calendar').fullCalendar('addEventSource', JSON.parse(s));
            }
        });        
    }

    function getSalesFunnel(argument = ''){

        var dataPointsVal = [];
        $('#chartContainer').parents('.spinnerWrap').find('.spinner').show();
        $.ajax({
            url: URL.getSiteAction('dashboard/getFunnelData'),
            dataType: 'text json',
            type: 'POST',
            data: CSRF.csrfTokenName()+'='+Cookies.get('csrf_cookie')+'&'+argument,
            success: function( data ){
                $.each(data, function(key, value){
                    dataPointsVal.push({y: parseInt(value[0]), label: value[1], color: value[2], legendText: value[1], total_val: value[3]});
                });  
                var options = {
                    animationEnabled: true,
                    theme: "light2", //"light1", "light2", "dark1", "dark2"
                    legend:{
                        verticalAlign: "bottom",
                        horizontalAlign: "center",
                        fontSize: 13,
                    },
                    title: {
                        text: "General Sales Funnel"
                    },
                    data: [{
                        type: "funnel",
                        showInLegend: true,
                        toolTipContent: "<b>{label}: {total_val}</b>",
                        indexLabel: "{label}: {y} ({total_val})",
                        dataPoints: dataPointsVal
                    }]
                };
                
                calculatePercentage();
                
                $("#chartContainer").CanvasJSChart(options);

                function calculatePercentage() {
                  var dataPoint = options.data[0].dataPoints;
                  var total = dataPoint[0].y;
                  for (var i = 0; i < dataPoint.length; i++) {
                    if (i == 0) {
                      options.data[0].dataPoints[i].percentage = 100;
                    } else {
                      options.data[0].dataPoints[i].percentage = ((dataPoint[i].y / total) * 100).toFixed(2);
                    }
                  }
                }
                $('#chartContainer').parents('.spinnerWrap').find('.spinner').hide();

                let filterData = $('#generalSaleFunnel').serializeArray();
                $('.spinnerWrap').find('a').remove();
                if(argument && filterData[1].value != ''){
                    $('.spinnerWrap').append('<a href="'+URL.getSiteAction('crm/lead/leads/'+filterData[1].value)+'" class="btn btn-theme btn-sm text-center btn-round font-0">View Detail</a>');    
                }
                
            },
            error: function( jqXhr, textStatus, errorThrown ){
                console.log( errorThrown );
            }
        });
    }

     $('.count').each(function () {
        $(this).prop('Counter',0).animate({
            Counter: $(this).text()
        }, {
            duration: 2000,
            easing: 'swing',
            step: function (now) {
                $(this).text(Math.ceil(now));
            }
        });
    });

</script>       
	
<style>
.dtp div.dtp-picker {
    padding: 0em;
}
</style>

<script language="javascript" type="text/javascript" src="<?php echo site_url('assets/js/jquery.thooClock.js');?>"></script>  
<script language="javascript">
    var intVal, myclock;

    $(window).resize(function(){
        window.location.reload()
    });

    $(document).ready(function(){

        var audioElement = new Audio("");
        //clock plugin constructor
        $('#myclock').thooClock({
            size:120,
            showNumerals:true,
            dialColor:'purple',
            onEverySecond:function(){
                //callback that should be fired every second
            }
        });
    });
</script>