<?php echo datetimepickerAssets(); $sett = getSettings();?>

<div class="row clearfix">
    <div class="col-sm-12">
    	<div id="map" style="height: 300px;"></div>
    </div>
</div>
<div class="body m-t-20">
    <form id="attfilter" action="<?php echo site_url('hr/attendance/savereport') ?>" method="post">
        <div class="row clearfix">
        	<div class="col-sm-3"> 
        		<?php if(getUserData('is_admin') == 1): ?>
        		 <div class="form-group" >  
                     <label for="user_id">User Name</label>

                    <?php echo form_dropdown('user_id' , userList([]), $input->user_id?$input->user_id:'', ['class' => 'form-control select2', 'id' => 'user_id']);?>
                                                                         
                  </div>
                <?php endif; ?> 
        	</div>
        	<div class="col-sm-2">
                <label for="user_id">From date</label>
                 <div class="input-group">
                      <span class="input-group-addon">
                          <i class="zmdi zmdi-calendar"></i>
                      </span>
                      <input type="text" class="form-control datemaxpicker" name="from_date" id="from_date" placeholder="Form date" value="<?php echo $input->from_date?$input->from_date:'';?>"/>
                  </div>
            </div>
            <div class="col-sm-2">
                <label for="user_id">To date</label>
                 <div class="input-group">
                      <span class="input-group-addon">
                          <i class="zmdi zmdi-calendar"></i>
                      </span>
                      <input type="text" class="form-control datemaxpicker" name="to_date" id="to_date" placeholder="To date" value="<?php echo $input->from_date?$input->to_date:'';?>"/>
                  </div>
            </div>
        	<div class=" col-sm-3">

                <button type="submit" class="btn  m-t-30 btn-theme  btn-round filterBtnMT"><i class="zmdi zmdi-pdf" aria-hidden="true"></i> Filter</button>
            </div>
        </div>
    </form>
</div>
<div class="row clearfix">    
    <div class="col-sm-12">
        <div class="table-responsive">
            <table id="table_attendence" class="table_attendence table table-hover dataTable table_leads js-exportable" width="100%">
            <thead>
                <tr class="btn-theme">
                    <th>Employee</th>
                    <th>Department</th>
                    <th>Location</th>
                    <th>Time</th>
                    <th>Status</th>
                </tr>
                </thead>
                <tbody>
                    <?php if($lists): foreach($lists as $list):?>
                        <?php $timestamp = date('H:m:s', strtotime($list->timestamp));?>
                        <tr data-id="<?php echo $list->id;?>">
                            <td><?php echo $list->fullname;?></td>
                            <td><?php echo $list->department;?></td>
                            <td><?php echo $list->address;?></td>
                            <td><?php echo date('F d Y h:i a', strtotime($list->timestamp)); ?></td>
                            <td>
                                <?php 
                                    if(getUserData('is_admin') == 1):
                                        echo '<div class="flipswitch" data-toggle="tooltip" data-placement="top" title="Status Change">
                                            <input type="checkbox" name="status" class="status flipswitch-cb" data-admin="'.getUserData('is_admin').'" data-usertype = "'.getUserData('user_type').'" data-href="'.site_url('hr/attendance/status').'" data-id="'.$list->id.'" id="status'.$list->id.'" value="'.$list->status.'" '.($list->status == 1 ? 'checked' : '').' '.(getUserData('is_admin') == 0 ? '': '').' onclick="return false" onkeydown="return false">
                                            <label class="flipswitch-label" for="status'.$list->id.'">
                                                <div class="flipswitch-inner"></div>
                                                <div class="flipswitch-switch"></div>
                                            </label>
                                        </div>';
                                    else:
                                        echo ($list->status == 1 ? '<p class="text-success">Approved</p>' : '<p class="text-warning">Pending</p>');
                                    endif;
                                ?>    
                            </td>
                        </tr> 
                    <?php endforeach; endif;?>
                    
                </tbody>
            </table>
            
        </div>
    </div>
</div>

<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAcvTpcnXDpTiFZd72E6Xsb7wtt8R6OSr0&callback=initMap"
  type="text/javascript"></script>      
<script type="text/javascript">
   $(function(){
      datemaxpicker();

   });

    let arr = new Array();

    function initMap() { 
        getAttData($('#attfilter').serializeArray());
    }

    $(document).on('click', '#table_attendence tr td:not(:last-child)', function(){
        let $this = $(this),
            data = {'id': $this.parents('tr').data('id')};
        getAttData(data);      
    });

    function getAttData(param = '',argument = '') {  
        $.ajax({
            url: URL.getSiteAction('hr/attendance/getAttendance'),
            dataType: 'json',
            type: 'POST',
            data: { parm : param },
            success: function( att ){
                console.log(att);
                var i;  
                var Locations = att;
                const location1 = 23.7680857,
                    location2 = 90.4012152; 

                var myOptions = {
                    zoom: 11,
                    center: new google.maps.LatLng(location1,location2),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                };

                var map = new google.maps.Map(document.getElementById("map"), myOptions);

                var infowindow =  new google.maps.InfoWindow({
                    content: ''
                });

                for (i = 0; i < Locations.length; i++) {
                    size=25;        
                    var img=new google.maps.MarkerImage(
                        URL.getSiteAction('assets/images/marker.png'),           
                        new google.maps.Size(size, size),
                        new google.maps.Point(0,0),
                        new google.maps.Point(size/2, size/2)
                    );

                    var marker = new google.maps.Marker({
                        map: map,
                        title: Locations[i].title,
                        position: new google.maps.LatLng(Locations[i].lat, Locations[i].lon),           
                        icon: img
                    });

                    bindInfoWindow(marker, map, infowindow, "<p>" + Locations[i].descr + "</p>",Locations[i].title);  
                }   

                document.body.scrollTop = 0; // For Safari
                document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
            },
            error: function( jqXhr, textStatus, errorThrown ){
                console.log( errorThrown );
            }
        });
    }

    function bindInfoWindow(marker, map, infowindow, html, Ltitle) { 
        google.maps.event.addListener(marker, 'mouseover', function() {
            infowindow.setContent(html); 
            infowindow.open(map, marker); 

        });
        google.maps.event.addListener(marker, 'mouseout', function() {
            infowindow.close();

        });
    } 

    let dataTable;

    setTimeout(function(){  
        //datatables
        dataTable = $('.table_attendence').DataTable({
            "serverSide": false, //Feature control DataTables' server-side processing mode.
            "ordering": true, //Feature control DataTables' filtering.
            "order": [], //Initial no order.
            "select": true,
                "dom": 'Bfrtip',
                "buttons": [
                    {
                        extend: 'print',
                        title: '',
                        messageTop: '<h1 style= "text-align: center;">Attendance Report<h1>',
                        customize: function ( win ) {
                            $(win.document.body)
                                .css( 'font-size', '10pt' )
                                .prepend(
                                    '<img src="<?php echo base_url('uploads/'.$sett->favicon)?>" style="position:absolute; height:70px; top:5px; left:5px;" />'
                                );
         
                            $(win.document.body).find( 'table' )
                                .addClass( 'compact' )
                                .css( 'font-size', 'inherit' );
                        }
                    }
                ],


            //Set column definition initialisation properties.
            "columnDefs": [
                {
                    "targets": [ -1 ], //last column
                    "orderable": false, //set not orderable
                },
                {
                    "targets": [ -2 ], //last column
                    "orderable": false, //set not orderable
                },
            ],
            
        });       
        $(".dataTables_filter").css("display","none");  // hiding global search box     
        $(".dataTables_info").css("display","none");  // hiding global table info
    }, 1000);      

</script>  