<div class="col-lg-12 topmessage ">
    <div class="card">
        <div class="header">
            <h2><strong>Bill Details</strong></h2>
            <hr>
            <div class="col-12">
              <h7 class="media-txt"><strong>Bill No :</strong><small> <?php  echo $input->bill_no; ?></small>
              </h7>
            </div>
            <hr>
            <div class="col-12">
              <h7 class="media-txt"><strong>Description :</strong><small><?php echo $input->description?></small>
              </h7>
            </div>
        </div>
    </div>
    <?php if($input->vrn_no):?>
    <div class="card">
        <div class="header">
            <h2><strong>VRN :</strong><?php echo $input->vrn_no ?></h2>
            <hr>
         
          <?php if($input->visit):?>
            <div class="row clearfix" >
              <div class="col-lg-2 ">
                <h6 class="media-txt">
                  <small><strong>Type :</strong> 
                        <?php
                          if($input->visit->type == 1):
                            echo "lead";
                          elseif($input->visit->type == 2):
                            echo "Client";
                          else:
                            echo "Other";
                          endif;
                        ?> 
                  </small>
                </h6>
              </div>
              <div class="col-lg-3 ">
                <h6 class="media-txt"><small><strong>Date :</strong> <?php echo $input->visit->visit_date ?></small>
                </h6>
              </div>
              <hr>
              <div class="col-12" >
                <table>
                      <tbody>
                        <tr>
                          <td><b>Visit For<sm</b><small>(Lead/Client)</small></td>
                          <td width="1px"><b>:</b></td>
                          <td><span><?php echo ($input->visit->type == 3 ? $input->visit->others : getLead(['leads.id' => $input->visit->lead_id]));?></span></td>
                        </tr>                        
                        <tr>
                          <td><b>Visit Location</b></td>
                          <td width="1px"><b>:</b></td>
                          <td><span><?php echo $input->visit->location; ?></span></td>
                        </tr>
                        <tr>
                          <td><b>Purpose of Visit</b></td>
                          <td width="1px"><b>:</b></td>
                          <td><span><?php echo $input->visit->purpose; ?></span></td>
                        </tr>
                      </tbody>
                </table>
                <hr>
                <h6><strong>Out Come of Visit :</strong><small><?php echo $input->visit->outcome; ?><small></h6>
                <hr>
                <h4><strong>Description of Journey :</strong></h4>
                <div class="body table-responsive">
                    <table class="table table-striped">
                        <thead>
                            <tr>
                              <th>#</th>
                              <th>Particulars</th>
                              <th>Time</th>
                            </tr>
                        </thead>
                        <tbody>
                          <?php $i = 1;

                              foreach ($input->desc as $key => $v ): ?>
                              <tr>
                                <td scope="row"><?php echo $key+1?></td>
                                <td><?php echo $v->particulars?></td>
                                <td><?php echo timeConvertDBtoForm ($v->date)?></td>
                              </tr>
                            <?php endforeach?>
                        </tbody>
                    </table>
                </div>
              </div>
            </div>
          <?php endif; ?>
        </div>
    </div>
     <?php endif; ?>
    <div class="card">
        <div class="header">
            <h2> <strong>Total Expense</strong> </h2>
        </div>
        <div class="body table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Particulars</th>
                        <th>Amount  </th>
                        <th>Approved Amount</th>
                    </tr>
                </thead>
                <tbody>
                  <?php

                      foreach ($input->cost as $key=> $v ): ?>
                      <tr>
                        <td scope="row"><?php echo $key+1?></td>
                        <td><?php echo $v->particulars ?></td>
                        <td><?php echo $v->amount ?></td>
                        <td><?php echo $v->approved_amount ?></td>
                      </tr>
                    <?php endforeach?>
                </tbody>
            </table>
        </div>
    </div>
    <div class="card">
      <?php if(getUserData('user_type') != 5):?>
        <div class="text-center " >
            <?php if($input->id && $input->status < 1):?>
            <div class="m-t-10" >
              <div class="pos-middle">
                   <a role="button" href="<?php echo site_url('hr/bill/accounts/billsubmission/edit/'.$input->id); ?>" class="boxs-edit btn btn-theme btn-round btn-sm"><i class="zmdi zmdi-edit"></i> Edit Bill</a>
              </div>
            </div>
            <?php elseif($input->id && $input->status == 1 && $input->supervisor_id == getUserData('user_id')):?>
            <div class="row text-center">
              <div class="col-12" >
                  <div style="display: inline-flex;">
                       <a role="button" href="<?php echo site_url('hr/bill/accounts/billsubmission/edit/'.$input->id); ?>" class="boxs-edit btn btn-theme btn-round btn-sm"><i class="zmdi zmdi-edit"></i> Edit Bill</a>
                  </div>
                <div style="display: inline-flex;">
                  <form id="billApprove" class="form-horizontal" action="<?php echo site_url('hr/bill/accounts/billsubmission/saveApprovebill') ?>" method="post">
                      <input type="hidden" name="user_id" value="<?php echo $input->user_id;?>" >
                      <input type="hidden" name="bill_id" value="<?php echo $input->id;?>" >
                      <input type="hidden" name="status" value="<?php echo ($input->status + 1);?>" >
                      <input type="hidden" name="saveType" value="Approve" >
                      <input style="margin-top: 0%;" type="submit" name="saveType" class="boxs-edit btn btn-success btn-round btn-sm saveBtn" value="Approve">
                  </form>
                </div>
              </div>
            </div>
            <?php elseif ($input->id && $input->status == 2 && getUserData('user_type') == 3):?>
            <div class="row text-center">
              <div class="col-12" >
                <div style="display: inline-flex;">
                  <form id="billApprove" class="form-horizontal" action="<?php echo site_url('hr/bill/accounts/billsubmission/saveApprovebill') ?>" method="post">
                    <input type="hidden" name="user_id" value="<?php echo $input->user_id;?>" >
                    <input type="hidden" name="bill_id" value="<?php echo $input->id;?>" >
                    <input type="hidden" name="status" value="<?php echo ($input->status + 1);?>" >
                    <input type="hidden" name="saveType" value="Confirm" >
                    <input type="submit" name="saveType" class="boxs-edit btn btn-success btn-round btn-sm saveBtn" value="Confirm">
                  </form>
                </div>
              </div>
            </div>
            <?php endif; ?>
          </div>
        </div>
      <?php endif; ?> 
    </div>
</div>


