<style>
    #pdf {
        font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
        width: 100%;
    }
    
    #pdf td, #pdf th {
        border: 0px solid #ddd;
        padding: 8px;
    }
    
    #pdf tr:nth-child(even){background-color: #f2f2f2;}
    
    #pdf tr:hover {background-color: #ddd;}
    
    #pdf th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #ECF0F1;
        color: #000;
    }
</style>
<div>
    <table id="pdf">
        <tr>
            <td style="width: 500px;">
                <div>
                    <div>
                        <table>
                            <tr>
                                <td>
                                    <h2>
                                        <font style="color: blue;">
                                            <?php echo $input->first_name. ' '. $input->last_name?>
                                        </font><br><i style="font-size: 15px;">- <?php echo $input->d_name ?></i><br>

                                        <b style="font-size: 15px;">Supervisor : </b>
                                        <font style="font-size: 14px;">
                                            <?php $suser = $this->Admin_m->find('employees', ['id' => $input->supervisor_id]); 
                                            if($suser):
                                                echo $suser->first_name.' '.$suser->last_name;
                                            endif;
                                            ?>
                                        </font> <br>
                                        <b style="font-size: 15px;">Dept : </b>
                                        <font style="font-size: 16px;">
                                            <?php echo $input->dep_name; ?>
                                        </font><br>
                                        <b style="font-size: 15px;">Employee ID : </b>
                                        <font style="font-size: 16px;">
                                            <?php echo $input->emp_id; ?>
                                        </font>
                                        <?php if(getUserData('is_admin') == 1 || getUserData('user_id') == $input->user_id): ?> <br>
                                        <b style="font-size: 15px;">Joining Date : </b>
                                        <font style="font-size: 16px;">
                                            <?php echo $input->joining_date; ?>
                                        </font>
                                    </h2>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div>
                        <?php else:?>
                        <table>
                            <tr>
                                <td>
                                    <p>Contact Number :</p>
                                </td>
                                <td>
                                    <p>
                                        <?php 
                                    if($input->contact_number):
                                    echo $input->contact_number;
                                    endif;?>
                                    </p>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <p>Email :</p>
                                </td>
                                <td>
                                    <p>
                                        <?php echo $input->email; ?>
                                    </p>
                                </td>
                            </tr>
                        </table>

                        <?php endif;?>
                    </div>
                </div>
            </td>
            <td>
                <div>
                    <div style="padding-left: 5px;">
                        <?php if(empty($input->doc_link)): ?>
                        <img src="https://placeholdit.co//i/250x250?bg=ecf0f1&fc=2c3e50&text=<?php echo strtoupper($input->first_name.' '.$input->last_name);?>" class="upload">
                        <?php else: ?>
                        <img  width="190px" class="img-responsive" src="<?php echo base_url('uploads/'.$input->doc_link) ?>">
                        <?php endif ?>
                    </div>
                </div>
            </td>
        </tr>
    </table>

    <?php if(getUserData('is_admin') == 1 || getUserData('user_id') == $input->user_id): ?>
    <div>
        <div>
            <div>
                <div style="background-color: #ccc ; height:40px; ">
                    <h3 style="padding-top: 6px">&nbsp; Contact Information</h3>
                </div>

                <table>
                    <tr>
                        <td><b>Contact Number:</b></td>
                        <td><span>
                            <?php 
                            if($input->contact_number):
                            $contact_number = array_to_string($input->contact_number);
                            foreach ($contact_number as $key => $row):
                            ?>
                            <?php echo $row ?><br>
                            <?php endforeach; ?>
                            <?php endif;?>
                        </span></td>
                    </tr>
                    <tr>
                        <td><b>Emergency Contact:</b></td>
                        <td><span>
                            <?php 
                            if($input->emergency_contact):
                            $emergency_contact = array_to_string($input->emergency_contact);
                            foreach ($emergency_contact as $key => $row):
                            ?>
                            <?php echo $row ?><br>
                            <?php endforeach; ?>
                            <?php endif;?>
                        </span></td>
                    </tr>
                    <tr>
                        <td><b>Email:</b></td>
                        <td><span><?php echo $input->email; ?></span></td>
                    </tr>
                    <tr>
                        <td><b>Address:</b></td>
                        <td><span><?php echo $input->present_address; ?></span></td>
                    </tr>
                </table>
                <div style="background-color: #ccc ; height:40px; ">
                    <h3 style="padding-top: 6px">&nbsp; Basic Information</h3>
                </div>
                <table>
                    <tr>
                        <td><b>Father Name:</b></td>
                        <td><span><?php echo $input->father_name; ?></span></td>
                    </tr>
                    <tr>
                        <td><b>Mother Name:</b></td>
                        <td><span><?php echo $input->mother_name; ?></span></td>
                    </tr>
                    <tr>
                        <td><b>National Id:</b></td>
                        <td><span><?php echo $input->nid_no; ?></span></td>
                    </tr>
                    <tr>
                        <td><b>Date of Birth:</b></td>
                        <td><span><?php echo $input->dob; ?></span></td>
                    </tr>
                    <tr>
                        <td><b>Blood Group:</b></td>
                        <td><span><?php echo $input->blood_group; ?></span></td>
                    </tr>
                    <tr>
                        <td><b>Permanent Address:</b></td>
                        <td><span><?php echo $input->permanent_address; ?></span></td>
                    </tr>
                </table>


            </div>
        </div>
        <div>
            <div>
                <?php if($input->education):?>
                <p ">
                <div style="background-color: #ccc ; height:40px; " >
                    <h3 style="padding-top: 6px ">&nbsp; Education</h3>
                </div> 
                <?php foreach($input->education as $k => $education):?>
                <div >
                    <table>
                        <tr>
                            <td><b>Level of Education:</b></td>
                            <td><span><?php echo $education->edu_level ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Title:</b></td>
                            <td><span><?php echo $education->edu_title ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Institute:</b></td>
                            <td><span><?php echo $education->institute ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Completion Year:</b></td>
                            <td><span><?php echo $education->completion_year ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Result:</b></td>
                            <td><span><?php echo $education->result ?></span></td>
                        </tr>
                    </table>
                </div>
                <?php endforeach; ?>
                <?php endif;?>            
            </div> 
            
            <div >
                <?php if($input->experience):?>
                <div style="background-color: #ccc ; height:40px; " >
                    <h3 style="padding-top: 6px ">&nbsp; Skill / Experience</h3>
                </div> 
                <?php foreach($input->experience as $k => $experience): if($experience->company_name):?>
                <div >
                    <table>
                        <tr>
                            <td><b>Company Name:</b></td>
                            <td><span><?php echo $experience->company_name ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Designation:</b></td>
                            <td><span><?php echo $experience->designation ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Duration:</b></td>
                            <td><span><?php echo $experience->form_date . 'to' . $experience->to_date ?></span></td>
                        </tr>
                    </table>
                </div>
                <?php endif; endforeach; ?>
                <?php endif;?>  
            </div>
            
            <div >
                <?php if($input->training):?>
                <div style="background-color: #ccc ; height:40px; " >
                    <h3 style="padding-top: 6px ">&nbsp; Traning Summary</h3>
                </div> 
                <?php foreach($input->training as $k => $training): if($training->training_title):?>
                <div>
                    <table>
                        <tr>
                            <td><b>Training Title:</b></td>
                            <td><span><?php echo $training->training_title ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Institute:</b></td>
                            <td><span><?php echo $training->training_institute ?></span></td>
                        </tr>
                        <tr>
                            <td><b>Year:</b></td>
                            <td><span><?php echo $training->training_year ?></span></td>
                        </tr>
                    </table>
                </div>
                <?php endif; endforeach; ?>
                <?php endif;?>
            </div>
            
            <div>
                <?php if($input->expertise || $input->interest): ?>
                <p ></i> Others</p>
                <hr>
                <div >
                    <?php if($input->expertise):?>
                    <h4>Expertise</h4>
                    <?php
                        $exp = array_to_string($input->expertise);
                        foreach ($exp as $key => $row):
                    ?>
                    <p><?php echo $row ?></p>
                    <?php endforeach; ?>
                    <?php endif;?>                    
                </div>
                <div>
                    <?php if($input->interest):?>
                    <h4>Interest</h4>
                    <?php
                        $exp = array_to_string($input->interest);
                        foreach ($exp as $key => $row):
                    ?>
                    <p><?php echo $row ?></p>
                    <?php endforeach; ?>
                    <?php endif;?>
                </div>
                <?php endif;?>
            </div>   
        </div>
    </div>
    <?php endif;?>
    
</div>