<?php echo datetimepickerAssets();?>
<!-- Input -->
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 topmessage">
        <form id="form_validation" class="form-horizontal" action="<?php echo site_url('hr/employee/save') ?>" method="post" autocomplete="off">
            <div class="card">
                <div class="header">
                    <h2><strong><?php echo ($input->user_id ? 'Edit' : 'Create' )?></strong> Employee </h2>
                </div>

            <!-- hidden input -->

                <input type='hidden' name='user_id' value='<?php echo $input->user_id ?>' />
                <input type='hidden' name='employee_id' value='<?php echo $input->employee_id ?>' />
                <input type='hidden' name='salary_id' value='<?php echo $input->salary_id ?>' />
                <input type='hidden' class="attachmentId" name='empdocuments_id' value='<?php echo $input->empdocuments_id ?>' />
                <input type='hidden' id="SystemPreview" name='SystemPreview' value='' />

            <!-- hidden input end  -->
                <div class="body">
                    <h2 class="card-inside-title"><strong>Basic Account Info</strong></h2>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">                                    
                                <label for="username" >Username</label>
                                <input type="text" class="form-control username" id="username" placeholder="Username" data-toggle="tooltip" title="Username" name="username" value="<?php echo $input->username ?>" <?php echo ($input->user_id ? ' readonly' : '')?>  style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>"> 
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Email</label> 
                                <input type="text" title="email" name="email" id="email" class="form-control email" placeholder="Ex: example@example.com" value="<?php echo $input->email ?>" <?php echo ($input->user_id ? ' readonly' : '')?> style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>">
                                                             
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group"> 
                                <label>Password</label>                           
                                <input type="password" class="form-control password" data-toggle="tooltip" title="password" id="password" name="password" value="" placeholder="Password">
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                            <label>Supervisor</label> 
                            <?php echo form_dropdown('supervisor_id' , userList(), $input->supervisor_id, ['class' => 'form-control select2 supervisor_id', 'id' => 'supervisor_id', 'style' =>'width: 100%; '.($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')]);?>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">  
                            <label for="usertype_id" >User Type</label>                                  
                                <?php echo form_dropdown('usertype_id' , listdata('usertypes'), $input->usertype_id, ['class' => 'form-control select2 usertype_id', 'id' => 'usertype_id', 'style' =>'width: 100%; '.($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')]);?>                          
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group" style="padding-top: 7%">    
                                <div class="checkbox">
                                    <input  id="is_admin" name="is_admin" type="checkbox" value="1" <?php echo ($input->is_admin == 1 ? 'checked' : '');?>>
                                    <label for="is_admin">IS Admin</label>
                                </div>                                 
                            </div>
                        </div>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .End Basic Account Info................. -->
                <div class="body">
                    <h2 class="card-inside-title"><strong>Employee Job Info</strong></h2>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">                                   
                                <label>Staff ID</label>
                                <input type="text" class="form-control emp_id" id="emp_id" name="emp_id" value="<?php echo $input->emp_id ?>" placeholder="Ex: c-100010" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '');?>">                                 
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Joining Date</label> 
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                    <input type="text" class="form-control joining_date datemaxpicker" id="joining_date" name="joining_date" placeholder="Ex: 2017-12-23" value="<?php echo $input->joining_date ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '');?>">
                                </div>                                 
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Employment Type</label> 
                                <div class="input-group">                                
                                    <?php echo form_dropdown('employmenttype_id' , listdata('employment_type'), $input->employmenttype_id, ['class' => 'form-control select2 employmenttype_id', 'id' => 'employmenttype_id', 'style' =>'width: 100%; '.($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')]);?>
                                    <!-- <span class="input-group-btn">
                                        <a tabindex="10" class="btn btn-sm btn-default btn-white hand ajax-popup-load" data-href="<?php echo site_url('setup/employmenttype/new_'); ?>" data-title="New Employment Type" data-html="form" data-selector="employment_type" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '');?>">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </a>
                                    </span>   -->                                
                                </div>
                            </div>
                        </div>                    
                    </div>                        
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Department</label> 
                                <div class="input-group">
                                    <?php echo form_dropdown('department_id' , listdata('department'), $input->department_id, ['class' => 'form-control select2 department_id', 'id' => 'department_id', 'style' =>'width: 100%; '.($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')]);?>
                                    <!-- <span class="input-group-btn">
                                        <a tabindex="10" class="btn btn-sm btn-default btn-white hand ajax-popup-load" data-href="<?php echo site_url('setup/department/new_'); ?>" data-title="New Department" data-html="form" data-selector="department" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '');?>">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </a>
                                    </span> -->
                                </div>                                   
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group"> 
                                <label>Designation</label> 
                                <div class="input-group">
                                    <?php echo form_dropdown('designation_id' , listdata('designation'), $input->designation_id, ['class' => 'form-control select2 designation_id', 'id' => 'designation_id', 'style' =>'width: 100%; '.($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')]);?>
                                    <!-- <span class="input-group-btn">
                                        <a tabindex="10" class="btn btn-sm btn-default btn-white hand ajax-popup-load" data-href="<?php echo site_url('setup/designation/new_'); ?>" data-title="New Designation" data-html="form" data-selector="designation" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '');?>">
                                            <i class="fa fa-plus" aria-hidden="true"></i>
                                        </a>
                                    </span> -->
                                </div>                                   
                            </div>
                        </div>
                        <div class="col-sm-4">
                        </div>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .End Employee Job Info................. -->
                <div class="body">
                    <h2 class="card-inside-title"><strong>Employee Info</strong></h2>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">                                   
                                <label>First Name</label>
                                <input type="text" class="form-control first_name" id="first_name" name="first_name" value="<?php echo $input->first_name ?>" placeholder="First Name">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">                                   
                                <label>Last Name</label>
                                <input type="text" class="form-control last_name" id="last_name" name="last_name" value="<?php echo $input->last_name ?>" placeholder="Last Name">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Gender</label>   
                                <?php
                                    $gender = [
                                        '' => 'SELECT GENDER',
                                        'male' => 'Male',
                                        'female' => 'Female'
                                    ];
                                    echo form_dropdown('gender', $gender, $input->gender, ['class'=> 'form-control select2 gender', 'id' => 'gender']);
                                ?>
                            </div>
                        </div>                    
                    </div>                        
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">                                   
                                <label>Father Name</label>
                                <input type="text" title="Father name" placeholder="Father name" class="form-control father_name" id="father_name" name="father_name" value="<?php echo $input->father_name ?>">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">                                    
                                <label>Mother Name</label>
                                <input type="text" title="Mother name" placeholder="Mother name" class="form-control mother_name" id="mother_name" name="mother_name" value="<?php echo $input->mother_name ?>">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Date of Birth</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                    <input title="Your Date of Birth" placeholder="Ex: 1990-12-23" type="text" class="form-control dob datemaxpicker dob" id="dob" name="dob" value="<?php echo $input->dob ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Marital status</label>
                                <?php
                                    $mstatus = [
                                        '' => 'SELECT MARITAL STATUS',
                                        'married' => 'Married',
                                        'unmarried' => 'Unmarried'
                                    ];
                                    echo form_dropdown('marital_status', $mstatus, $input->marital_status, ['class'=> 'form-control select2 marital_status', 'id' => 'marital_status']);
                                ?>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">                                    
                                <label>Spouse Name</label>
                                <input type="text" class="form-control" title="Spouse name" placeholder="Spouse name" id="spouse_name" name="spouse_name" value="<?php echo $input->spouse_name ?>" placeholder="Spouse name">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Spouse Contact</label>
                                <input type="text" class="form-control numberOnly" title="Spouce name" placeholder="Spouce name" id="spouse_conatct" name="spouse_conatct" value="<?php echo $input->spouse_conatct ?>" placeholder="Spouse conatct">
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Present address</label>
                                <textarea type="text" title="Your present address" placeholder="Your present address" class="form-control" id="present_address" name="present_address"><?php echo $input->present_address ?></textarea>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group"> 
                                <label>Permanent address</label>
                                <textarea type="text" title="Your permanent address" placeholder="Your permanent address" class="form-control" id="permanent_address" name="permanent_address"><?php echo $input->permanent_address ?></textarea>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Blood group</label>
                                <?php
                                    $blood_group = [
                                        '' => 'SELECT BLOOD GROUP',
                                        'O+' => 'O+',
                                        'A+' => 'A+',
                                        'B+' => 'B+',
                                        'AB+' => 'AB+',
                                        'O-' => 'O-',
                                        'A-' => 'A-',
                                        'B-' => 'B-',
                                        'AB-' => 'AB-',
                                    ];
                                    echo form_dropdown('blood_group', $blood_group, $input->blood_group, ['class'=> 'form-control select2 blood_group', 'id' => 'blood_group']);
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-1 form-control-label">
                           <label for="photo"><strong>Photo :</strong></label>
                        </div>
                        <div class="col-sm-3">
                            <div class="row clearfix">
                                <div class="col-sm-5">
                                    <div class="row clearfix">
                                        <div data-type="crm" data-target="#doc_link" class="attachmentbody"> 
                                          <?php if(empty($input->doc_link)): ?>
                                             <img src="<?php echo base_url('assets/images/no_image.png') ?>" class="upload hand">
                                          <?php else: ?>
                                             <ul class="success">
                                                <li><img alt="" src="<?php echo ($input->doc_link ? base_url('uploads/'.$input->doc_link) : ''); ?>"></li>
                                                <li class="remove"><i class="red-color zmdi zmdi-close hand" title="Remove"></i></li>
                                             </ul>
                                          <?php endif ?>
                                        </div>                                             
                                        <input id="doc_link" name="doc_link" value="<?php echo (!empty($input->doc_link) ? $input->doc_link : '') ?>" class="attachmentFile" type="hidden">
                                    </div>                          
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="row clearfix">
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">               
                                        <label>Contact Number</label>                     
                                        <div class="parent_multiple">
                                            <?php 
                                                if($input->contact_number):
                                                $contact = array_to_string($input->contact_number);
                                                foreach ($contact as $key => $row):
                                            ?>
                                            <div class="multiple" data-ele_name="contact_numberRow" data-ele_status="single">
                                                <div class="input-group">
                                                    <input type="text" class="form-control contact_number numberOnly" name="contact_number[]" value="<?php echo $row ?>" placeholder="Contact Number">
                                                    <span class="input-group-btn">
                                                        <?php if($key == 0): ?>
                                                        <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                                        <?php else: ?> 
                                                        <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                                                        <?php endif;?>
                                                    </span>
                                                </div>
                                            </div>   
                                            <?php endforeach; else: ?>
                                            <div class="multiple"  data-ele_name="contact_numberRow" data-ele_status="single"> 
                                                <div class="input-group">
                                                    <input type="text" class="form-control contact_number numberOnly" name="contact_number[]" value="<?php echo $input->contact_number ?>" placeholder="Contact Number">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                                    </span>
                                                </div>
                                            </div>
                                            <?php endif;?>  
                                        </div>                                        
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12 parent_multiple">
                                    <div class="form-group">
                                        <label>Emergency Contact</label>
                                        <div class="parent_multiple">
                                            <?php 
                                                if($input->emergency_contact):
                                                $econtact = array_to_string($input->emergency_contact);
                                                foreach ($econtact as $key => $row):
                                            ?>
                                            <div class="multiple" data-ele_name="emergency_contactRow" data-ele_status="single">                                            
                                                <div class="input-group">
                                                    <input type="text" class="form-control emergency_contact numberOnly" name="emergency_contact[]" value="<?php echo $row ?>" placeholder="emergency contact">
                                                    <span class="input-group-btn">
                                                        <?php if($key == 0): ?>
                                                        <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                                            <?php else: ?> 
                                                            <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                                                        <?php endif;?>
                                                    </span>
                                                </div>
                                            </div>    
                                            <?php endforeach; else: ?>
                                            <div class="multiple" data-ele_name="emergency_contactRow" data-ele_status="single">
                                                <div class="input-group">
                                                    <input type="text" class="form-control emergency_contact numberOnly" name="emergency_contact[]" value="<?php echo $input->emergency_contact ?>" placeholder="emergency contact">
                                                    <span class="input-group-btn">
                                                        <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                                    </span>
                                                </div>
                                            </div>
                                            <?php endif;?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group m-t-0">
                                <label>NID</label>
                                <input type="text" title="Your National id card number" placeholder="Your National id card number" class="form-control" id="nid_no" name="nid_no" value="<?php echo $input->nid_no ?>">
                            </div>
                        </div>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .End Employee Info................. -->
                <div class="body">
                    <h2 class="card-inside-title m-b-0"><strong>Employee Education</strong></h2>
                    <div class="parent_multiple">
                        <?php if($input->education): foreach($input->education as $e => $education):?>
                        <div class="row multiple" data-ele_name="educationRow">
                            <div class="col-sm-12 m-b-20">
                                <div class="row clearfix">
                                  <div class="col-sm-12">
                                    <div class="form-group m-b-0">  
                                      <div class="col-sm-12 text-right">   
                                        <?php if($e == 0):?>
                                        <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                      <?php else: ?>
                                        <button type="button" class="btn btn-xs btn-round btn-danger remove-row"><i class="zmdi zmdi-close"></i> Remove Row</button>
                                      <?php endif;?> 
                                      </div>
                                    </div>
                                  </div>
                                </div>    
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Education Level</label>
                                            <?php
                                                $edulevel = [
                                                    '' => 'Select Education Level',
                                                    'JSC/JDC/8 pass' => 'JSC/JDC/8 pass',
                                                    'Secondary' => 'Secondary',
                                                    'Higher Secondary' => 'Higher Secondary',
                                                    'Diploma' => 'Diploma',
                                                    'Bachelor/Honors' => 'Bachelor/Honors',
                                                    'Masters' => 'Masters',
                                                    'PhD (Doctor of Philosophy)' => 'PhD (Doctor of Philosophy)'
                                                ];
                                                echo form_dropdown('edu_level[]', $edulevel, $education->edu_level, ['class'=> 'select2']);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Education title</label>
                                            <input type="text" class="form-control"  name="edu_title[]" value="<?php echo $education->edu_title ?>" placeholder="Type education title here..">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Major group</label>
                                            <input type="text" class="form-control" name="majorgroup[]" value="<?php echo $education->majorgroup ?>" placeholder="Major group">
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Institute</label>
                                            <input type="text" class="form-control"  name="institute[]" value="<?php echo $education->institute; ?>" placeholder="Type Institute here..">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group" >
                                            <label>Completion year</label>
                                            <?php
                                                $completion_year[''] = 'SELECT YEAR';
                                                for($i = date('Y'); $i >= 1970; $i--):
                                                    $completion_year[$i] = $i;
                                                endfor;
                                                echo form_dropdown('completion_year[]', $completion_year, $education->completion_year, ['class'=> 'select2']);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Result</label>
                                            <input type="text" class="form-control" name="result[]" value="<?php echo $education->result; ?>" placeholder="Ex: 5.00/A+/1st division">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; else:?>
                        <div class="row multiple" data-ele_name="educationRow">
                            <div class="col-sm-12 m-b-20">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group m-b-0">  
                                            <div class="col-sm-12 text-right">                
                                                <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Education Level</label>
                                            <?php
                                                $edulevel = [
                                                    '' => 'Select Education Level',
                                                    'JSC/JDC/8 pass' => 'JSC/JDC/8 pass',
                                                    'Secondary' => 'Secondary',
                                                    'Higher Secondary' => 'Higher Secondary',
                                                    'Diploma' => 'Diploma',
                                                    'Bachelor/Honors' => 'Bachelor/Honors',
                                                    'Masters' => 'Masters',
                                                    'PhD (Doctor of Philosophy)' => 'PhD (Doctor of Philosophy)'
                                                ];
                                                echo form_dropdown('edu_level[]', $edulevel, '', ['class'=> 'select2']);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Education title</label>
                                            <input type="text" class="form-control"  name="edu_title[]" value="" placeholder="Type education title here..">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Major group</label>
                                            <input type="text" class="form-control" name="majorgroup[]" value="" placeholder="Major group">
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Institute</label>
                                            <input type="text" class="form-control"  name="institute[]" value="" placeholder="Type Institute here..">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Completion year</label>
                                            <?php
                                                $completion_year[''] = 'SELECT YEAR';
                                                for($i = date('Y'); $i >= 1970; $i--):
                                                    $completion_year[$i] = $i;
                                                endfor;
                                                echo form_dropdown('completion_year[]', $completion_year, '', ['class'=> 'select2']);
                                            ?>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Result</label>
                                            <input type="text" class="form-control" name="result[]" value="" placeholder="Ex: 5.00/A+/1st division">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endif;?>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .End Employee Education................. -->
                <div class="body">
                    <h2 class="card-inside-title m-b-0"><strong>Employee Experience</strong></h2>
                    <div class="parent_multiple">
                        <?php if(!empty($input->experience)): foreach($input->experience as $ex => $experience):?>
                        <div class="row multiple" data-ele_name="experienceRow">
                            <div class="col-sm-12 m-b-20">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group m-b-0">  
                                            <div class="col-sm-12 text-right">    
                                                <?php if($ex == 0):?>
                                                <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                              <?php else: ?>
                                                <button type="button" class="btn btn-xs btn-round btn-danger remove-row"><i class="zmdi zmdi-close"></i> Remove Row</button>
                                              <?php endif;?>                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Company name</label>
                                            <input type="text" class="form-control" name="company_name[]" value="<?php echo $experience->company_name ?>" placeholder="Company name">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Responsibilities</label>
                                            <textarea type="text" class="form-control" rows="2" name="responsibilities[]"><?php echo $experience->responsibilities ?></textarea>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Company business</label>
                                            <textarea type="text" class="form-control" rows="2" name="company_business[]"><?php echo $experience->company_business ?></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Designation</label>
                                            <input type="text" class="form-control" name="designation[]" value="<?php echo $experience->designation; ?>" placeholder="Designation">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Department</label>
                                            <input type="text" class="form-control" name="department[]" value="<?php echo $experience->department; ?>" placeholder="Department">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <label>Form date</label>
                                                    <div class="input-group">
                                                        <span class="input-group-addon">
                                                            <i class="zmdi zmdi-calendar"></i>
                                                        </span>
                                                        <input type="text" class="form-control datemaxpicker" name="form_date[]" value="<?php echo $experience->form_date ?>"/ placeholder="Ex: 2010-12-30">
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <label>To date</label>
                                                    <div class="input-group">
                                                        <span class="input-group-addon">
                                                            <i class="zmdi zmdi-calendar"></i>
                                                        </span>
                                                        <input type="text" class="form-control datemaxpicker" name="to_date[]" value="<?php echo $experience->to_date ?>" placeholder="Ex: 2015-12-30" />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; else:?>
                        <div class="row multiple" data-ele_name="experienceRow">
                            <div class="col-sm-12 m-b-20">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group m-b-0">  
                                            <div class="col-sm-12 text-right">                
                                                <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>  
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Company name</label>
                                            <input type="text" class="form-control" name="company_name[]" value="" placeholder="Company name">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Responsibilities</label>
                                            <textarea type="text" class="form-control" rows="2" name="responsibilities[]"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Company business</label>
                                            <textarea type="text" class="form-control" rows="2" name="company_business[]"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Designation</label>
                                            <input type="text" class="form-control" name="designation[]" value="" placeholder="Designation">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Department</label>
                                            <input type="text" class="form-control" name="department[]" value="" placeholder="Department">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <label>Form date</label>
                                                    <div class="input-group">
                                                        <span class="input-group-addon">
                                                            <i class="zmdi zmdi-calendar"></i>
                                                        </span>
                                                        <input type="text" class="form-control datemaxpicker" name="form_date[]" value=""/ placeholder="Ex: 2010-12-30">
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <label>To date</label>
                                                    <div class="input-group">
                                                        <span class="input-group-addon">
                                                            <i class="zmdi zmdi-calendar"></i>
                                                        </span>
                                                        <input type="text" class="form-control datemaxpicker" name="to_date[]" value="" placeholder="Ex: 2015-12-30" />
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <?php endif;?>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .........End Employee Experience................. -->
                <div class="body">
                    <h2 class="card-inside-title m-b-0"><strong>Employee Trainning Summary</strong></h2>
                    <div class="parent_multiple">
                        <?php if(!empty($input->training)): foreach($input->training as $tr => $training):?>
                        <div class="row multiple" data-ele_name="traningRow">
                            <div class="col-sm-12 m-b-20">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group m-b-0">  
                                            <div class="col-sm-12 text-right">    
                                                <?php if($tr == 0):?>
                                                <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                              <?php else: ?>
                                                <button type="button" class="btn btn-xs btn-round btn-danger remove-row"><i class="zmdi zmdi-close"></i> Remove Row</button>
                                              <?php endif;?>                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Training Title</label>
                                            <input type="text" class="form-control" name="training_title[]" value="<?php echo $training->training_title ?>" placeholder="Title of Training">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Training Institute</label>
                                            <input type="text" class="form-control" name="training_institute[]" value="<?php echo $training->training_institute ?>" placeholder="Name of Training Institute">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="row">
                                            <label>Training Year</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="zmdi zmdi-calendar"></i>
                                                </span>
                                                <input type="text" class="form-control datemaxpicker" name="training_year[]" value="<?php echo $training->training_year ?>"/ placeholder="Ex: 2010-12-30">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; else:?>
                        <div class="row multiple" data-ele_name="traningRow">
                            <div class="col-sm-12 m-b-20">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group m-b-0">  
                                            <div class="col-sm-12 text-right">                
                                                <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>  
                                <div class="row clearfix">
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Training Title</label>
                                            <input type="text" class="form-control" name="training_title[]" value="" placeholder="Title of Training">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="form-group">
                                            <label>Training Institute</label>
                                            <input type="text" class="form-control" name="training_institute[]" value="" placeholder="Name of Training Institute">
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <div class="row">
                                            <label>Training Year</label>
                                            <div class="input-group">
                                                <span class="input-group-addon">
                                                    <i class="zmdi zmdi-calendar"></i>
                                                </span>
                                                <input type="text" class="form-control datemaxpicker" name="training_year[]" value="" placeholder="Ex: 2010-12-30">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <?php endif;?>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .........End Employee Experience................. -->
                <div class="body">
                    <h2 class="card-inside-title"><strong>Employee Salary Info</strong></h2>
                    <div class="row clearfix ">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">Basic Salary</label>
                                    <input type="text" class="form-control basic numberOnly" id="basic" name="basic" value="<?php echo $input->basic; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="Basic Salary">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">House Rent</label>
                                    <input type="text" class="form-control houserent numberOnly" id="houserent" name="houserent" value="<?php echo $input->houserent; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="House Rent">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">Medical</label>
                                    <input type="text" class="form-control medical numberOnly" id="medical" name="medical" value="<?php echo $input->medical; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="Medical">
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">Children</label>
                                    <input type="text" class="form-control children numberOnly" id="children" name="children" value="<?php echo $input->children; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="Children">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">Communication</label>                                
                                    <input type="text" class="form-control communication numberOnly" id="communication" name="communication" value="<?php echo $input->communication; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="Communication"> 
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">Spacial</label>
                                    <input type="text" class="form-control spacial numberOnly" id="spacial" name="spacial" value="<?php echo $input->spacial; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="Spacial">
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">LTA</label>                                
                                    <input type="text" class="form-control lta numberOnly" id="lta" name="lta" value="<?php echo $input->lta; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="LTA">
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label for="emp">Bouns</label>
                                    <input type="text" class="form-control bouns numberOnly" id="bouns" name="bouns" value="<?php echo $input->bouns; ?>" style="<?php echo ($input->user_id && getUserData('is_admin') == 0 ? 'pointer-events:none': '')?>" placeholder="Bouns">
                                </div>
                            </div>
                        <div class="col-sm-4"></div>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <!-- .........End Salary info................. -->
                <div class="body">
                    <h2 class="card-inside-title"><strong>Others</strong></h2>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Expertise</label>                                    
                                <div class="parent_multiple">
                                    <?php 
                                        if($input->expertise):
                                        $exp = array_to_string($input->expertise);
                                        foreach ($exp as $key => $row):
                                    ?>
                                    <div class="multiple" data-ele_name="expertiseRow" data-ele_status="single">
                                        <div class="input-group">
                                            <input type="text" class="form-control" name="expertise[]" value="<?php echo $row ?>" placeholder="Expertise">
                                            <span class="input-group-btn">
                                                <?php if($key == 0): ?>
                                                <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                                <?php else: ?> 
                                                <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                                                <?php endif;?>
                                            </span>
                                        </div>
                                    </div>  
                                    <?php endforeach; else: ?>
                                    <div class="multiple" data-ele_name="expertiseRow" data-ele_status="single">
                                        <div class="input-group">
                                            <input type="text" class="form-control" name="expertise[]" value="<?php echo $input->expertise ?>" placeholder="Expertise">
                                            <span class="input-group-btn">
                                                <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                            </span>
                                        </div>
                                    </div>
                                    <?php endif;?> 
                                </div>
                            </div>                            
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Interest</label>
                                <div class="parent_multiple">
                                    <?php 
                                        if($input->interest):
                                        $int = array_to_string($input->interest);
                                        foreach ($int as $key => $row):
                                    ?>
                                    <div class="multiple" data-ele_name="interestRow" data-ele_status="single">                                    
                                        <div class="input-group">
                                            <input type="text" class="form-control" name="interest[]" value="<?php echo $row ?>" placeholder="Interest">
                                            <span class="input-group-btn">
                                                <?php if($key == 0): ?>
                                                <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                                <?php else: ?> 
                                                <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                                                <?php endif;?>
                                            </span>
                                        </div>
                                    </div>    
                                    <?php endforeach; else: ?>
                                    <div class="multiple" data-ele_name="interestRow" data-ele_status="single"> 
                                        <div class="input-group">
                                            <input type="text" class="form-control" name="interest[]" value="<?php echo $input->interest ?>" placeholder="Interest">
                                            <span class="input-group-btn">
                                                <button type="button" class="btn btn-theme no-margin btn-radius add-row"><i class="zmdi zmdi-plus"></i></button>
                                            </span>
                                        </div>
                                    </div>
                                    <?php endif;?> 
                                </div>                        
                            </div>                            
                        </div>
                        <div class="col-sm-4"></div>
                    </div>
                </div>
                <legend class="white-space"></legend>
                <div class="body">
                    <div class="row m-t-20 m-b-20 text-center">
                        <div class="col-12" >
                          <div style="display: inline-flex;">
                               <button type="button" class="btn btn-raised btn-theme btn-round waves-effect saveBtn">Save</button>
                          </div>
                          <div style="display: inline-flex;">
                               <button type="reset" class="btn btn-raised btn-primary btn-round waves-effect">Reset</button>
                          </div>
                        </div>
                    </div>
                </div>
                
            </div>
        </form>
    </div>
</div>
<!-- #END# Input --> 


<div id="contact_numberRow" style="display: none;">
    <div class="multiple" data-ele_name="contact_numberRow">
        <div class="col-sm-12">
            <div class="input-group">
                <input type="text" class="form-control contact_number numberOnly" name="contact_number[]" value="" placeholder="Contact Number">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                </span>
            </div>
        </div>
    </div>
</div>


<div id="emergency_contactRow" style="display: none;">
    <div class="multiple" data-ele_name="emergency_contactRow">
        <div class="col-sm-12">
            <div class="input-group">
                <input type="text" class="form-control emergency_contact numberOnly" name="emergency_contact[]" value="" placeholder="Emergency Contact">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                </span>
            </div>
        </div>
    </div>
</div>



<div id="educationRow" style="display: none">
<div class="row multiple" data-ele-name="educationRow">
    <div class="col-sm-12 m-b-20">
        <div class="row clearfix">
            <div class="col-sm-12">
                <div class="form-group m-b-0">  
                    <div class="col-sm-12 text-right">                
                        <button type="button" class="btn btn-xs btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> remove</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-sm-4">
                <div class="form-group">
                    <label>Education Level</label>
                    <?php
                        $edulevel = [
                            '' => 'Select Education Level',
                            'JSC/JDC/8 pass' => 'JSC/JDC/8 pass',
                            'Secondary' => 'Secondary',
                            'Higher Secondary' => 'Higher Secondary',
                            'Diploma' => 'Diploma',
                            'Bachelor/Honors' => 'Bachelor/Honors',
                            'Masters' => 'Masters',
                            'PhD (Doctor of Philosophy)' => 'PhD (Doctor of Philosophy)'
                        ];
                        echo form_dropdown('edu_level[]', $edulevel, '', ['class'=> 'edu_level']);
                    ?>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label>Education title</label>
                    <input type="text" class="form-control"  name="edu_title[]" value="" placeholder="Type education title here..">
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label>Major group</label>
                    <input type="text" class="form-control" name="majorgroup[]" value="" placeholder="Major group" placeholder="Major group">
                </div>
            </div>
        </div>
        <div class="row clearfix">
            <div class="col-sm-4">
                <div class="form-group">
                    <label>Institute</label>
                    <input type="text" class="form-control"  name="institute[]" value="" placeholder="Type Institute here..">
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label>Completion year</label>
                    <?php
                        $completion_year[''] = 'SELECT YEAR';
                        for($i = date('Y'); $i >= 1970; $i--):
                            $completion_year[$i] = $i;
                        endfor;
                        echo form_dropdown('completion_year[]', $completion_year, '', ['class'=> 'completion_year']);
                    ?>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="form-group">
                    <label>Result</label>
                    <input type="text" class="form-control" name="result[]" value="" placeholder="Ex: 5.00/A+/1st division">
                </div>
            </div>
        </div>
    </div>
</div>



<div id="experienceRow" style="display: none;">
    <div class="row multiple" data-ele_name="experienceRow">
        <div class="col-sm-12 m-b-20">
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-group m-b-0">  
                        <div class="col-sm-12 text-right">                
                            <button type="button" class="btn btn-xs btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> remove </button>
                        </div>
                    </div>
                </div>
            </div>  
            <div class="row clearfix">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Company name</label>
                        <input type="text" class="form-control" name="company_name[]" value="" placeholder="Company name">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Responsibilities</label>
                        <textarea type="text" class="form-control" rows="2" name="responsibilities[]"></textarea>
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Company business</label>
                        <textarea type="text" class="form-control" rows="2" name="company_business[]"></textarea>
                    </div>
                </div>
            </div>
            <div class="row clearfix">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Designation</label>
                        <input type="text" class="form-control" name="designation[]" value="" placeholder="Designation">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Department</label>
                        <input type="text" class="form-control" name="department[]" value="" placeholder="Department">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-6">
                                <label>Form date</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                    <input type="text" class="form-control datemaxpicker" name="form_date[]" value="" placeholder="Ex: 2010-12-30">
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <label>To date</label>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="zmdi zmdi-calendar"></i>
                                    </span>
                                    <input type="text" class="form-control datemaxpicker" name="to_date[]" value="" placeholder="Ex: 2015-12-30" >
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



<div id="traningRow" style="display: none;">
    <div class="row multiple" data-ele_name="traningRow">
        <div class="col-sm-12 m-b-20">
            <div class="row clearfix">
                <div class="col-sm-12">
                    <div class="form-group m-b-0">  
                        <div class="col-sm-12 text-right">                
                            <button type="button" class="btn btn-xs btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> remove </button>
                        </div>
                    </div>
                </div>
            </div>  
            <div class="row clearfix">
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Training Title</label>
                        <input type="text" class="form-control" name="training_title[]" value="" placeholder="Title of Training">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="form-group">
                        <label>Training Institute</label>
                        <input type="text" class="form-control" name="training_institute[]" value="" placeholder="Name of Training Institute">
                    </div>
                </div>
                <div class="col-sm-4">
                    <div class="row">
                        <label>Training Year</label>
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="zmdi zmdi-calendar"></i>
                            </span>
                            <input type="text" class="form-control datemaxpicker" name="training_year[]" value=""/ placeholder="Ex: 2010-12-30">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




<div id="expertiseRow" style="display: none;">
    <div class="multiple" data-ele_name="expertiseRow">
        <div class="col-sm-12">
            <div class="input-group">
                <input type="text" class="form-control" name="expertise[]" value="" placeholder="Expertise">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                </span>
            </div>
        </div>
    </div>
</div>


<div id="interestRow" style="display: none;">
    <div class="multiple" data-ele_name="interestRow">
        <div class="col-sm-12">
            <div class="input-group">
                <input type="text" class="form-control" name="interest[]" value="" placeholder="Interest">
                <span class="input-group-btn">
                    <button type="button" class="btn btn-danger no-margin btn-radius remove-row"><i class="zmdi zmdi-close"></i></button>
                </span>
            </div>
        </div>
    </div>
</div>

<!-- <script src="<?php //echo site_url('assets/js/pages/forms/basic-form-elements.js');?>"></script>  -->
<script>
    $(function () {
        datetimepicker();
        datemaxpicker();
        dateminpicker();
    });

</script>
