
<?php if(getUserData('user_id') == $input->user_id): ?>
  <?php if(empty($input->education) || empty($input->experience) || empty($input->training) || empty($input->expertise) || empty($input->interest) ):?>
    <div class="alert alert-danger" role="alert">
      !! Your profile is not completed (100%)  . Please update your profile. <a class="btn btn-danger btn-sm" href="<?php echo site_url('hr/employee/edit/'.$input->user_id); ?>" style="margin:0;"> Update </a>
      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">
              <i class="zmdi zmdi-close"></i>
          </span>
      </button>
  </div>
  <?php endif; ?>
<?php endif; ?>
<?php if(getUserData('is_admin') == 1 || getUserData('user_id') == $input->user_id): ?>
  <div class="card <?php if(!empty($input->education) || !empty($input->experience) || !empty($input->training) ):?> hidden-lg-up <?php endif;?> ">
    <div class="header">
      <h1></h1>
      <ul class="header-dropdown">
        <li>
          <a class="btn btn-simple btn-round btn-success d-inline-block" href="<?php echo site_url('hr/employee/edit/'.$input->user_id); ?>"><i class="zmdi zmdi-edit text-success"></i> Edit</a>
          <a class="btn btn-simple btn-round btn-info d-inline-block" href="<?php echo site_url('hr/employee/emp_pdf/'.$input->user_id); ?>">
          <i class="zmdi zmdi-print text-info"></i> Print
          </a>
        </li>
      </ul>
    </div>
  </div>
<?php endif; ?>
<div class="row clearfix">
   <div class="
  <?php if(!empty($input->education) || !empty($input->experience) || !empty($input->training) ):?>
    col-lg-4
  <?php else: ?>
    col-lg-12
  <?php endif;?> col-md-12">
        <div class="card member-card">
            <div class="header btn-theme">
                <h4 class="name-line-height "><?php echo $input->first_name. ' '. $input->last_name?></h4>
            </div>
            <div class="member-img pw_img">
                <?php if(empty($input->doc_link)): ?>
                <a href="<?php echo site_url('hr/employee/view/'.$input->user_id)?>" class="">
                <img src="https://placeholdit.co//i/250x250?bg=ecf0f1&fc=2c3e50&text=<?php echo strtoupper($input->first_name.' '.$input->last_name);?>" class="img-responsive rounded-circle" alt="<?php echo $input->first_name?>&nbsp;<?php echo $input->last_name?>">
                </a>
                <?php else: ?>   
                <a href="javascript::" class="">
                <img src="<?php echo base_url('uploads/'.$input->doc_link)?>" class="img-responsive rounded-circle img150" alt="<?php echo $input->first_name?>">
                </a>
                <?php endif ?>                
            </div>
            <div class="body">
                <div class="col-12">
                   <h3 class="des" ><strong><?php echo $input->d_name ?></strong></h3>
                   <small>of</small>
                   <small>
                      <h5><?php echo $input->dep_name; ?></h5>
                      <h6 class="text-muted media-txt-18"><?php 
                         if($suser):
                             echo '<strong>Supervisor :</strong> '; echo  $suser->first_name.' '.$suser->last_name;
                         endif;
                         ?></h6>
                      <h6  class="text-empid " ><strong>Employee id:</strong> <?php echo $input->emp_id; ?></h6>
                   </small>
                </div>
                <hr>
                <div class="row" >
                   <div class="col-12">
                      <h5 class="media-txt" ><small><strong>Joining date:</strong> <?php echo $input->joining_date; ?></small>
                      </h5>
                   </div>
                </div>
            </div>
        </div>
  
        <div class="card">
           <ul class="nav nav-tabs nav-tabs-profile">
              <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#contact">Contact </a></li>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#basic">Basic</a></li>
              <!-- <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#friends">Friends</a></li> -->                        
           </ul>
           <div class="tab-content">
              <div class="tab-pane body active" id="contact">
                 <small class="text-muted">Email address: </small>
                 <p><?php echo $input->email ?></p>
                 <hr>
                 <small class="text-muted">Phone: </small>
                 <p><?php 
                    if($input->contact_number):
                    $contact_number = array_to_string($input->contact_number);
                    foreach ($contact_number as $key => $row):
                    ?>
                    <?php echo $row ?><br>
                    <?php endforeach; ?>
                    <?php endif;?>
                 </p>
                 <small class="text-muted">Emergency Contact: </small>
                 <p><?php 
                    if($input->emergency_contact):
                    $emergency_contact = array_to_string($input->emergency_contact);
                    foreach ($emergency_contact as $key => $row):
                    ?>
                    <?php echo $row ?><br>
                    <?php endforeach; ?>
                    <?php endif;?>
                 </p>
                 <hr>
              </div>
              <?php if(getUserData('is_admin') == 1 || getUserData('user_id') == $input->user_id): ?>
              <!-- basic information --> 
              <div class="tab-pane body" id="basic">
                 <small class="text-muted">Father Name: </small>
                 <p><?php echo $input->father_name; ?></p>
                 <small class="text-muted">Mother Name: </small>
                 <p><?php echo $input->mother_name; ?></p>
                 <small class="text-muted">National Id:</small>
                 <p><?php echo $input->nid_no; ?></p>
                 <small class="text-muted">Date of Birth:</small>
                 <p><?php echo $input->dob; ?></p>
                 <small class="text-muted">Blood Group:</small>
                 <p><?php echo $input->blood_group; ?></p>
                 <small class="text-muted">Permanent Address:</small>
                 <p><?php echo $input->permanent_address; ?></p>
                 <hr>
              </div>
            <?php endif;?>
           </div>
        </div>
    </div>
    <?php if(getUserData('is_admin') == 1 || getUserData('user_id') == $input->user_id): ?>
    <div class="col-lg-8 col-md-12">
      <?php if(!empty($input->education) || !empty($input->experience) || !empty($input->training) ):?>
      <div class="card hidden-md-down">
        <div class="header">
          <h1></h1>
          <ul class="header-dropdown">
            <li>
              <a class="btn btn-simple btn-round btn-success d-inline-block" href="<?php echo site_url('hr/employee/edit/'.$input->user_id); ?>"><i class="zmdi zmdi-edit text-success"></i> Edit</a>
              <a class="btn btn-simple btn-round btn-info d-inline-block" href="<?php echo site_url('hr/employee/emp_pdf/'.$input->user_id); ?>">
              <i class="zmdi zmdi-print text-info"></i> Print
              </a>
            </li>
          </ul>
        </div>
      </div>
    <?php endif; ?>
      <?php if(!empty($input->education) || !empty($input->experience) || !empty($input->training) ):?>
       <div class="card m-b-0">
          <ul class="nav nav-tabs nav-tabs-profile">
            <?php if(!empty($input->education)):?>
              <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#education">Education</a></li>
            <?php endif; ?>
            <?php if(!empty($input->experience)):?>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#skill">Experience</a></li>
            <?php endif; ?>
            <?php if(!empty($input->training)):?>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#traning">Traning</a></li>
            <?php endif;?>
            <?php if(!empty($input->expertise) || !empty($input->interest)):?>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#others">Others</a></li>
            <?php endif;?>
          </ul>
       </div>
       <legend class="white-space"></legend>
       <div class="tab-content">
          <div role="tabpanel" class="tab-pane active" id="education">
                <div class="row clearfix">
                <?php foreach($input->education as $k => $education):?>
                <div class="col-lg-6 col-md-6 col-sm-12">
                   <div class="card project_widget">
                      <div class="header">
                         <h2><strong><?php echo $education->edu_level ?></strong></h2>
                      </div>
                      <div class="body">
                         <h6>Title : <?php echo $education->edu_title ?></h6>
                         <h6>Institute :<?php echo $education->institute ?></h6>
                         <h6>Completion Year : <?php echo $education->completion_year ?></h6>
                         <h6>Result : <?php echo $education->result ?></h6>
                      </div>
                   </div>
                </div>
                <?php endforeach; ?>
              </div>
          </div>
          <div role="tabpanel" class="tab-pane" id="skill">
             <div class="row clearfix">
                <?php foreach($input->experience as $k => $experience): if($experience->company_name):?>
                <div class="col-lg-6 col-md-6 col-sm-12">
                   <div class="card project_widget">
                      <div class="header">
                         <h2><strong><?php echo $experience->company_name ?></strong></h2>
                      </div>
                      <div class="body">
                         <h6>Designation : <?php echo $experience->designation ?></h6>
                         <h6>Duration : <?php echo $experience->form_date . 'to' . $experience->to_date ?></h6>
                      </div>
                   </div>
                </div>
                <?php endif; endforeach; ?>
             </div>
          </div>
          <div role="tabpanel" class="tab-pane" id="traning">
             <div class="row clearfix">
                <?php foreach($input->training as $k => $training): if($training->training_title):?>
                <div class="col-lg-6 col-md-6 col-sm-12">
                   <div class="card project_widget">
                      <div class="header">
                         <h2><strong><?php echo $training->training_title ?></strong></h2>
                      </div>
                      <div class="body">
                         <h6>Institute : <?php echo $training->training_institute ?></h6>
                         <h6>Duration : <?php echo $training->training_year ?></h6>
                      </div>
                   </div>
                </div>
                <?php endif; endforeach; ?>
             </div>
          </div>
          <div role="tabpanel" class="tab-pane" id="others">
            <div class="row clearfix">
              <?php if($input->expertise):?>
                <div class="col-lg-6 col-md-6 col-sm-12">
                 <div class="card project_widget">
                    <div class="header">
                       <h2><strong>Expertise</strong></h2>
                    </div>
                    <div class="body">
                        <?php
                            $exp = array_to_string($input->expertise);
                            foreach ($exp as $k => $expertise):
                        ?>
                        <p><?php echo $expertise ?></p>
                        <?php endforeach; ?>
                    </div>
                 </div>
                </div>
              <?php endif; ?>
              <?php if($input->interest):?>
                <div class="col-lg-6 col-md-6 col-sm-12">
                 <div class="card project_widget">
                    <div class="header">
                       <h2><strong>Interest</strong></h2>
                    </div>
                    <div class="body">
                        <?php
                            $int = array_to_string($input->interest);
                            foreach ($int as $k => $interest):
                        ?>
                        <p><?php echo $interest ?></p>
                        <?php endforeach; ?>
                    </div>
                 </div>
                </div>
              <?php endif; ?>
            </div>
          </div>
       </div>
       <?php endif;?>
    </div>
    <?php endif;?>
    </div>
</div>