<?php echo datetimepickerAssets();?>

<!-- Input -->
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 topmessage">
        <form id="form_validation" class="form-horizontal" action="<?php echo site_url('hr/management/visitreport/save') ?>" method="post" autocomplete="off">
            <div class="card">
                <div class="header">
                    <h2><strong><?php echo ($input->user_id ? 'Edit' : 'Create' )?></strong> Visit Report </h2>                      
                </div>
                <div class="body">
                    <h2 class="card-inside-title">Basic Info</h2>
                    <div class="row clearfix">
                        <div class="col-sm-4">
                          <input type="hidden" name="id" value="<?php echo $input->id ?>">
                            <div class="form-group">   
                                <label for="vrn_no">VRN No</label>                                 
                                <input type="text" data-toggle="tooltip" title="VRN Number" class="form-control vrn_no"  id="vrn_no" name="vrn_no" value="<?php echo date('ymd') .'-'. getUserData('user_id') .'-'. randString(); ?>" style="pointer-events: none;" >
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                              <label for="visit_date">Visit Date</label>
                              <div class="input-group">
                                  <span class="input-group-addon">
                                      <i class="zmdi zmdi-calendar"></i>
                                  </span>
                                  <input  type="text" data-toggle="tooltip" title="Visit Date"  class="form-control datemaxpicker visit_date" name="visit_date" id= "visit_date" value="<?php echo ($input->visit_date != '0000-00-00' ? $input->visit_date : '')?>" placeholder="Ex: 2018-05-24">
                              </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group" id="leadtype">     
                                <label for="bill_type">Bill Type</label>
                                <div class="clearfix"></div>
                                <div class="radio inlineblock m-r-20">
                                    <input class="with-gap bill_type" data-toggle="tooltip" title="Bill Type"  type="radio" name="bill_type"  id="lead" value="1" checked="" <?php echo ($input->type == 1 ? 'checked' : '' );?>>
                                    <label for="lead">Lead</label>
                                </div>                                
                                <div class="radio inlineblock m-r-20">
                                    <input class="with-gap bill_type" data-toggle="tooltip" title="Bill Type" type="radio" name="bill_type" id="client" value="2" <?php echo ($input->type == 2 ? 'checked' : '' );?>>
                                    <label for="client">Client</label>
                                </div>
                                <div class="radio inlineblock">
                                    <input class="with-gap bill_type" data-toggle="tooltip" title="Bill Type" type="radio" name="bill_type" id="other" value="3" <?php echo ($input->type == 3 ? 'checked' : '' );?>>
                                    <label for="other">Other</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row clearfix">
                      <div class="col-sm-4" id="lead_wrap">
                        <div class="form-group" id="lead_wrap" style="margin-top: -5px; <?php echo ($input->id && empty($input->lead_id) ? 'display:none' : '');?>">
                          <label for="bill_type">Lead/Client</label>
                          <?php if (!empty($input->id)): ?>
                            <script>
                              document.getElementById("leadtype").style.pointerEvents = "none";
                            </script>
                          <?php endif; ?>
                          <?php echo form_dropdown('lead_id', $leads, $input->lead_id, ['class' => 'form-control select2 lead_id', 'id' => 'lead_id', 'style' =>'width: 100%; '.($input->lead_id ? 'pointer-events:none' : '')])?>
                        </div>
                      </div>
                      <div class="col-sm-4" id="others_wrap">
                        <div class="form-group">    
                          <label for="others">For</label>                                
                          <input type="text" class="form-control others" title="others" id="others" name="others" placeholder="For" value="<?php echo $input->others; ?>">
                        </div>
                      </div>
                      <div class="col-sm-4">
                        <div class="form-group">                                    
                          <label for="location">Location</label>
                          <input type="text" class="form-control location" title="Location" id="location" name="location" placeholder="Location" value="<?php echo $input->location; ?>">
                        </div>
                      </div>  
                      <div class="col-sm-4">
                        <div class="form-group"> 
                          <label for="purpose">Purpose</label>                                  
                          <input type="text" class="form-control purpose" title="Purpose"  placeholder="Purpose"   id="purpose" name="purpose"  value="<?php echo $input->purpose; ?>">
                        </div>
                      </div>                    
                    </div>
                    <div class="row clearfix">                      
                      <div class="col-sm-4">
                        <div class="form-group">
                          <label for="outcome">Outcome</label>
                          <textarea name="outcome" cols="30" rows="5" placeholder="Outcome outcome" class="form-control outcome no-resize" required><?php echo $input->outcome; ?></textarea>
                        </div>
                      </div>
                      <div class="col-sm-4" id="next_to_do">
                        
                      </div>
                    </div>

                    <h2 class="card-inside-title">Description of Journey</h2>
                    <div class="parent_multiple">
                        <?php if($input->id): foreach($input->desc as $d => $desc):?>
                        <div class="multiple" data-ele_name="journeyRow">
                          <div class="row clearfix">
                            <div class="col-sm-4">
                              <input type="text" class="form-control particulars" name="particulars[]" placeholder="particulars" value="<?php echo $desc->particulars?>">
                            </div>
                            <div class="col-sm-4">
                              <div class="input-group">
                                  <span class="input-group-addon"><i class="zmdi zmdi-time"></i></span>
                                  <input type="text" class="form-control timepicker particulars" name="date[]" value="<?php echo date('h:i a ', strtotime($desc->date));?>" placeholder="Ex: 11:59 pm">
                              </div>
                            </div>
                            <div class="col-sm-4">
                              <?php if($input->desc != 2): if ($input->id && $input->status == 1): ?>
                              <div class="row">
                                <div class="col-sm-12">
                                  <div class="form-group">  
                                    <div class="col-sm-12">                
                                      <?php if($d == 0):?>
                                        <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                      <?php else: ?>
                                        <button type="button" class="btn btn-xs btn-danger btn-round m-t-0 remove-row"><i class="zmdi zmdi-close"></i> Remove</button>
                                      <?php endif;?>  
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <?php endif; endif;?>                          
                            </div>
                          </div>
                        </div>
                        <?php endforeach; else: ?>
                        <div class="multiple" data-ele_name="journeyRow">
                          <div class="row clearfix">
                            <div class="col-sm-4">
                              <input type="text" class="form-control particulars" name="particulars[]" placeholder="particulars" value="">
                            </div>
                            <div class="col-sm-4">
                              <div class="input-group">
                                  <span class="input-group-addon"><i class="zmdi zmdi-time"></i></span>
                                  <input type="text" class="form-control timepicker date" name="date[]" placeholder="Ex: 11:59 pm">
                              </div>
                            </div>
                            <div class="col-sm-4">
                              <button type="button" class="btn btn-xs btn-theme btn-round m-t-0 add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                            </div>
                          </div>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
  
                
                <?php if ($input->status != 2): ?>

                <div class="row text-center">
                    <div class="col-sm-12 m-b-20" >
                      <button type="submit" class="btn btn-raised btn-success btn-round waves-effect saveBtn"><i class="zmdi zmdi-check"></i> Save</button>
                    <button type="button" value="Save & Submit" name="submit" class="btn btn-raised btn-theme btn-round waves-effect saveBtn"><i class="zmdi zmdi-save"></i> Save & Submit</button>
                    <button type="reset" class="btn btn-raised btn-primary btn-round waves-effect reload-form"><i class="zmdi zmdi-repeat"></i> Reset</button>
                    </div>
                </div>
              <?php endif; ?>
            </div>
        </form>
    </div>
</div>
<!-- #END# Input --> 


<div id="journeyRow" style="display: none">
  <div class="multiple" data-ele_name="journeyRow">
    <div class="col-sm-12">
    <div class="row clearfix">
      <div class="col-sm-4">
        <input type="text" class="form-control particulars" name="particulars[]" placeholder="particulars" value="">
      </div>
      <div class="col-sm-4">
        <div class="input-group">
            <span class="input-group-addon"><i class="zmdi zmdi-time"></i></span>
            <input type="text" class="form-control timepicker date" name="date[]" placeholder="Ex: 11:59 pm">
        </div>
      </div>
      <div class="col-sm-4">
        <button type="button" class="btn btn-xs btn-danger btn-round m-t-0 remove-row"><i class="zmdi zmdi-close"></i> remove </button>
      </div>
    </div>
  </div>
  </div>
</div>



<script type="text/javascript">
$(document).ready(function() {

    <?php echo (empty($input->id) ? "$('#others_wrap').hide();" : "");?> 

    $('.leadType').on('click', function(){
      $("#name").parents('.form-group').toggleClass('hidden');
      $("#company_email").parents('.form-group').toggleClass('hidden');
      $('body').find('.add-row').toggleClass('hidden');
    });
   
    $(document).on('click', '.bill_type', function(){
      var $this =  $(this).val(),
          leadField = $("#lead_id"), 
          admin = '<?php echo getUserData("is_admin") ?>';
      
      leadField.empty(); //To reset leads    

      if ($this == 1) {
        var url = '<?php echo site_url("crm/lead/leads/getLeadList") ?>';
        $('#lead_wrap').show();
        $('#others_wrap').hide();
      }
      else if($this == 2){
        var url = '<?php echo site_url("crm/clients/getClientList") ?>'; 
        $('#lead_wrap').show();
        $('#others_wrap').hide();
      } else {
        $('#lead_wrap').hide();
        $('#others_wrap').show();
      }

      if($this != 3){
        $.get( url, function( data ) {
          leadField.parents('#lead_wrap').html(data);
          $('#lead_id').select2();
        });
      }

    })
  
    $(document).on('change', '#lead_id', function(){
      var $this = $(this).val(),
          $type = $('input[name=bill_type]:checked').val(),
          $button = '',
          $formurl = '';
      if ($type == 1) {
        $formurl = '<?php echo site_url('crm/lead/tasks/new_?lead='); ?>'+$this;    
      }
      else if($type == 2){ 
        $formurl = '<?php echo site_url('crm/workspace/tasks/new_?client='); ?>'+$this;
      }    

      $button = '<div class="btn-group">\
                  <a class="btn btn-sm btn-round btn-theme white-color" data-target="#exampleModal" data-html="form" data-toggle="modal" data-href="'+$formurl+'" data-title="Add Task" data-html="form" data-selector="tasks">\
            <i class="zmdi zmdi-plus white-color "></i> New Task\
          </a>\
              </div>';

      $('#next_to_do').html($button);        
    });
  });   
</script>

<script type="text/javascript">
    $(function () {
        datemaxpicker();
    });

    $(function () {
        timepicker();
    });

</script>

