<div class="col-lg-12 topmessage ">
  <div class="card">
      <div class="header">
            <h2><strong>VRN :</strong> <?php echo $input->vrn_no ?></h2>
            <?php if ($input->status == 1): ?>
            <ul class="header-dropdown">
                <li >
                    <a class="btn btn-theme btn-round d-inline-body white-color" href="<?php echo site_url('hr/management/Visitreport/edit/'.$input->id); ?>" data-toggle="tooltip" data-placement="top" title="Edit" data-html="form" data-selector="leads">
                    <i class=" white-color zmdi zmdi-edit"></i> Edit</a>
                </li>
            </ul> 
            <?php endif; ?>      
          <hr>
          <div class="row clearfix" >
            <div class="col-lg-2 ">
              <h6 class="media-txt">
                <small><strong>Type :</strong> 
                      <?php
                        if($input->type == 1):
                          echo "lead";
                        elseif($input->type == 2):
                          echo "Client";
                        else:
                          echo "Other";
                        endif;
                      ?> 
                </small>
              </h6>
            </div>
            <div class="col-lg-3 ">
              <h6 class="media-txt"><small><strong>Date :</strong> <?php echo $input->visit_date ?></small>
              </h6>
            </div>
            <hr>
            <div class="col-12" >
              <table>
                    <tbody>
                      <tr>
                        <td><b>Visit For<sm</b><small>(Lead/Client)</small></td>
                        <td width="1px"><b>:</b></td>
                        <td><span><?php echo ($input->type == 3 ? $input->others : getLead(['leads.id' => $input->lead_id]));?></span></td>
                      </tr>                        
                      <tr>
                        <td><b>Visit Location</b></td>
                        <td width="1px"><b>:</b></td>
                        <td><span><?php echo $input->location; ?></span></td>
                      </tr>
                      <tr>
                        <td><b>Purpose of Visit</b></td>
                        <td width="1px"><b>:</b></td>
                        <td><span><?php echo $input->purpose; ?></span></td>
                      </tr>
                    </tbody>
              </table>
              <hr>
              <h6><strong>Out Come of Visit :</strong><small><?php echo $input->outcome; ?><small></h6>
              <hr>
              <h4><strong>Description of Journey :</strong></h4>
              <div class="body table-responsive">
                  <table class="table table-striped">
                      <thead>
                          <tr>
                            <th>#</th>
                            <th>Particulars</th>
                            <th>Time</th>
                          </tr>
                      </thead>
                      <tbody>
                        <?php $i = 1;

                            foreach ($input->desc as $key => $v ): ?>
                            <tr>
                              <td scope="row"><?php echo $key+1?></td>
                              <td><?php echo $v->particulars?></td>
                              <td><?php echo timeConvertDBtoForm ($v->date)?></td>
                            </tr>
                          <?php endforeach?>
                      </tbody>
                  </table>
              </div>
            </div>
          </div>
      </div>
  </div>
  <div class="card">
      <div class="header">
          <ul class="list-unstyled team-info margin-0">
              <li class="m-r-15"><h2>Review</h2></li>
          </ul>                       
      </div>
      <div class="body">
          <div id="scrolltobottom" class="slimScrollDiv" style="max-height:300px;width:auto; overflow:auto;">
            <div class="chat-widget">
              <ul class="chat-scroll-list clearfix">
                <?php if($input->reviews): foreach($input->reviews as $review):?>
                  <?php if (getUserData('user_id')==$review->comment_user):?>
                  <li class="right">
                      <div class="chat-info"><span class="datetime"><?php echo calculate_time_span($review->date);?></span> <span class="message"><?php echo $review->comment;?> </span> </div>
                  </li>
                <?php else:?>
                  <li class="left float-left">
                      <img src="<?php echo imagePath('empdocuments', $review->comment_user);?>" class="rounded-circle" alt="">
                      <div class="chat-info">
                          <a class="name" href="#"><?php echo $review->name;?></a>
                          <span class="datetime"><?php echo calculate_time_span($review->date);?></span>                            
                          <span class="message"><?php echo $review->comment;?> </span>
                      </div>
                  </li>
                <?php endif; ?>
                  <?php endforeach; endif;?>
              </ul>
            </div>
          </div>
          <?php if(getUserData('user_type') != 5): ?>
          <form id="reviewfrm" class="form-group" action="<?php echo site_url('hr/management/Visitreport/review') ?>" method="post" autocomplete="off">
            <div class=" input-group p-t-15">
                <input type="hidden" name="visitreport_id" value="<?php echo $input->id?>">
                <input  name="review" id="review" type="text" class="form-control send-input" placeholder="Enter text here...">
                <span class="input-group-addon">
                    <button type="submit" class="saveBtn transparent-btn"><i class="zmdi zmdi-mail-send icon-theme-clr"></i></button>
                </span>
            </div>
          </form>
      <?php endif;?>
      </div>
  </div>
</div>



<script type="text/javascript">
    var objDiv = document.getElementById("scrolltobottom");
    objDiv.scrollTop = objDiv.scrollHeight;

</script>