<?php echo datetimepickerAssets();?>

<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Dailyreport</strong> List </h2>
				<ul class="header-dropdown">
				    <li class="remove">
				        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
				    </li>
				</ul>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-sm-6">
                        <div class="input-group">
                            <?php echo form_dropdown('id' , listdata('department'),'' ,['class' => 'form-control select2 ', 'id' => 'table_dailyreport_dept', 'style' =>'width: 100%']);?>
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="zmdi zmdi-calendar"></i>
                            </span>
                            <input id="table_dailyreport_date" type="text" class="form-control datemaxpicker table_dailyreport_date" id="dob" name="dob" value="<?php echo date('Y-m-d') ?>" data-dtp="dtp_NOZBg"/>
                        </div>
                    </div>
                    <?php if(getUserData('is_admin') != 1 && getUserData('user_type') != 6 && getUserData('user_type') != 5):?>
                    <div class=" col-sm-3" >
                        <button class="btn  btn-theme   float-right btn-round"  data-toggle="modal" data-target="#exampleModal" type="button" data-href="<?php echo site_url('hr/management/Dailyreport/new_') ?>" data-title="New Report" data-html="form" data-selector="add">
                        <i class="zmdi zmdi-plus"></i>&nbsp;New Report
                        </button>
                    </div>
                    <?php endif;?>
                </div>
                <table id="table_dailyreport" class="table table-hover dataTable table_dailyreport" width="100%">
                    <thead>
                        <tr class="btn-theme">
                             <th>Name</th>
                             <th>Department</th>
                             <th>Supervisor</th>
                             <th width="240">Description</th>
                             <th>Date & Time</th>
                             <th width="30"></th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script>
    $(function () {
        datemaxpicker();
    });
</script>
<script>
   
   $(document).ready(function() {

        let width = "30px";
        let fixCol = "true";
        let dataTable;

        if($(window).width() > 767){
            width = "120px";
            fixCol = "false";
        }

        setTimeout(function(){  
            //datatables
            dataTable = $('.table_dailyreport').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('hr/management/dailyreport/getListData')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                        "width": width
                    },
                    {
                        "targets": [ -2 ], //last column
                        "orderable": false, //set not orderable
                    },
                ],
                scrollX:        fixCol,
                fixedColumns:   {
                    leftColumns: 0,
                    rightColumns: 1,  //last column fixed
                    heightMatch: 'auto'
                }
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info
        }, 1000);


       $('#table_dailyreport_dept').on( 'change', function () {   // for select box
          var v =$(this).val();  
          dataTable.columns(0).search(v).draw();
        });
   
        $('#table_dailyreport_date').on( 'change', function () {   // for select box
          var v =$(this).val();  
          dataTable.columns(1).search(v).draw();
        });
    });
</script>