<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Employee</strong> Todo </h2>
                <ul class="header-dropdown">
                    <li class="remove">
                        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
                    </li>
                </ul>
            </div>
            <div class="body">
                <div class="row clearfix body">
                    <div class="col-sm-2">
                        <div class="form-group">   
                            <select id="todoStatus" class="form-control select2">
                                <option value="running">Running Todo</option>
                                <option value="old">Complited Todo</option>
                        </select>                                   
                        </div>
                    </div>
                    <?php if(getUserData('user_type') != 5 && getUserData('user_type') != 6):?>
                    <div class=" col-sm-10" >
                        <button class="btn btn-theme float-right btn-round" data-toggle="modal" data-target="#exampleModal" data-title="New Todo" data-html="form" data-href="<?php echo site_url('hr/management/todo/new_') ?>" data-title="New Todo" data-html="form" data-selector="add">
                        <i class="zmdi zmdi-plus"></i>&nbsp;New Todo
                        </button>
                    </div>
                <?php endif; ?>
                </div>

                <div class="body" id="todo">
                    <div id="grid" class="my-shuffle-container row">
                        <!-- todo ajax ajax -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="<?php echo site_url('assets/js/shuffle.js');?>"></script>
<script type="text/javascript">
    $(document).ready(function() {
    	getTodo('running');

	    $('#todoStatus').on('change', function()
	    {
	    	getTodo($(this).val());

	    });
	});

	function getTodo(status){
		$('.my-shuffle-container').empty();
        $.ajax({
            url: '<?php echo site_url('hr/management/todo/getTodo')?>',
            dataType: 'html',
            type: 'POST',
            data: {status:status},
            success: function( data ){
              	$('.my-shuffle-container').append(data);

              	window.shuffleInstance = new window.Shuffle(document.getElementById('grid'), {
				  itemSelector: '.grid__brick',
				  sizer: '.my-sizer-element',
				});
            },
            error: function( jqXhr, textStatus, errorThrown ){
                console.log( errorThrown );
            }
        });
	}
</script>


