<style>
  #pdf {
      font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
      border-collapse: collapse;
      width: 100%;
  }

  #pdf td, #pdf th {
      border: 1px solid #ddd;
      padding: 8px;
  }

  #pdf tr:nth-child(even){background-color: #f2f2f2;}
  #pdf tr:first-child td{background-color: #f2f2f2;}

  #pdf tr:hover {background-color: #ddd;}

  #pdf th {
      padding-top: 12px;
      padding-bottom: 12px;
      text-align: left;
      background-color: #ECF0F1;
      color: #000;
  }
  #pdf td {
     font-size: 14px;
  }
</style>
<div style="border: solid #ccc;">
  <div style="height: 50px;background-color: #ccc; text-align: center;"><b style="font-size: 30px" >Lead Report </b></div>
    <div style=" text-align: center;padding-top:5px; "><a style="font-size: 20px" >SAFARA IT LIMITED</a></div>
  &nbsp;

  <table width="100%" id="pdf">
     <tr style="background-color: #ccc;">	
        <td>Name</td>
        <td>KM</td>
        <td>Contact</td>
        <td>Lead Status</td>
    </tr>
    <?php  foreach($results as $result):?>
    <tr>
        <td><?php echo $result->name ?></td>
        <td><?php echo $result->lead_manager_name;?></td>
        <td><?php echo $result->lead_contact;?></td>
        <td><?php echo $result->lead_status_name;?></td>
    </tr>
    <?php $services = getServiceDataByLead($result->id); if($services):?>
    <tr style="background-color: #ddd;">
      <td colspan="4">
        <?php foreach($services as $service):?>
        <p><strong>Service:</strong> <?php echo $service->name; ?></p>
        <?php if (isset($service->sub_services)):?>
          <p><strong>Sub Service:</strong> <?php echo $service->sub_services; ?></p>
          <?php endif; if (!empty($service->detail)):?>
          <table class="table" width="100%">
            <thead>
              <tr>
                <th>Module</th>
                <th>Criteria</th>
                <th>Note</th>
              </tr>
            </thead>
            <tbody>
              <?php foreach($service->detail as $detail):?>
              <tr>
                <td><?php echo $detail->name?></td>
                <td>
                  <?php 
                    foreach (array_to_string($detail->criteria) as $key => $value) {
                      echo listdata('criterions', '', ['id' => $value], true).',';
                      echo (count(array_to_string($detail->criteria)) == ($key+1) ? '' : '<br>');
                    }
                  ?>                                
                </td>
                <td><?php echo $detail->description?></td>
              </tr>
              <?php endforeach;?>
            </tbody>
          </table>
          <p><strong>Expected Order Value:</strong> <?php echo $service->exp_total_order_val; ?></p>
          <hr>
        <?php endif; ?>
        <?php endforeach;?>
      </td>
    </tr>
    <?php endif; ?>
    <?php endforeach;?>
</table>
</div>