<?php echo datetimepickerAssets();?>

<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Report</strong>Workspace Projects  </h2>
				<ul class="header-dropdown">
				    <li class="remove">
				        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
				    </li>
				</ul>
            </div>
            <div class="body">
                <form id="projectreportfilter" action="<?php echo site_url('crm/workspace/Projects/savereport') ?>" method="post">
                    <div class="row clearfix">
                        <div class="col-sm-10" >
                            <div class="row" >
                                <div class="col-sm-2">
                                    <div class="form-group" >  
                                        <label for="user_id">Client</label>
                                        <?php echo form_dropdown('lead_id' , getClient([], true), '', ['class' => 'form-control select2', 'id' => 'lead_id']);
                                        ?>
                                       
                                                                                    
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div class="form-group" >  
                                        <label for="lead_id">Department</label>
                                        <?php echo form_dropdown('id' , listdata('department'), '', ['class' => 'form-control select2', 'id' => 'department_id']);
                                    ?>  
                                                                
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div class="form-group" >  
                                        <label for="user_id">Services</label>
                                        <?php echo form_dropdown('services_id' , listdata('services'), '', ['class' => 'form-control select2', 'id' => 'services_id']);?>                                                             
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <div class="form-group">
                                        <label for="taskStatus">Status</label>
                                        <select id="taskStatus" name="status" class="form-control select2" style="width: 100%">
                                            <option value="" checked>SELECT STATUS</option>
                                            <option value="running" checked>Running</option>
                                            <option value="completed">Completed</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label>&nbsp;</label>
                                   <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="zmdi zmdi-calendar"></i>
                                        </span>
                                        <input type="text" class="form-control datemaxpicker" name="from_date" id="from_date" placeholder="Form date" value=""/>
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label>&nbsp;</label>
                                   <div class="input-group">
                                        <span class="input-group-addon">
                                            <i class="zmdi zmdi-calendar"></i>
                                        </span>

                                        <input type="text" class="form-control datemaxpicker" name="to_date" id="to_date" placeholder="To date" value=""/>
                                    </div>
                                </div>
                            </div>   
                        </div>
                        <div class="col-sm-2" >
                            <div class="row" >
                                 <div  style="padding-top: 26px;">
                                    <button type="submit" class="btn btn-theme  btn-round filterBtnMT"><i class="zmdi zmdi-pdf" aria-hidden="true"></i> Download PDF</button>
                                </div>  
                            </div>
                        </div> 
                    </div>
                </form>
                <table id="table_work_projects" class="table table-bordered table-striped table-hover dataTable table_work_projects" width="100%">
                    <thead>
                        <tr class="btn-theme">
                            <th> Client </th>
                            <th> Workspace </th>
                            <th> Department </th>
                            <th> Services </th>
                            <th> Project </th>
                            <th> KM </th>
                            <th> Status </th>
                            <th> Deadline </th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>


<script>
    $(document).ready(function() {
         setTimeout(function(){  
        //datatables
            dataTable = $('.table_work_projects').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('crm/workspace/Projects/report')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -2 ], //last column
                        "orderable": false, //set not orderable
                    },
                ],
       
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info
        }, 1000);

        $('#lead_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(0).search(v).draw();
        });
        $('#department_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(1).search(v).draw();
        });
        $('#services_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(2).search(v).draw();
        });
        $('#taskStatus').on( 'change', function (e) {   // for select box
            var v = $(this).val(); 
            dataTable.columns(3).search(v).draw();
        });
        $('#to_date').on( 'change', function () {   // for select box
            var v =$(this).val(),
                f =$(this).parents('#projectreportfilter').find('#from_date').val();  
            if(f != '' && v != ''){
                dataTable.columns(4).search(f).draw();
                dataTable.columns(5).search(v).draw();
            }
            
        });
            
    });
    $(function () {
        datemaxpicker();
    });
</script>

