<?php echo datetimepickerAssets();?>
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 topmessage">
        <form id="inventoryform" class="form-horizontal" action="<?php echo site_url('inventory/inventory/save') ?>" method="post" autocomplete="off">
            <input type='hidden' name='id' value='<?php echo $input->id ?>' />
            <div class="card">
                <div class="header">
                    <h2><strong>Inventory</strong></h2>                        
                </div>
                <div class="body">
                     <div class="row clearfix">
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Warehouse</label>
                                <div class="col-sm-8">
                                    <?php echo form_dropdown('warehouse_id' , listdata('warehouse', true), $input->warehouse_id, ['class' => 'select2 warehouse_id', 'id' => 'warehouse_id']);?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Product</label>
                                <div class="col-sm-8">
                                    <?php echo form_dropdown('product_id' , listdata('products'), $input->product_id, ['class' => 'select2 product_id', 'id' => 'product_id']);?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Product brand</label>
                                <div class="col-sm-8">
                                    <?php echo form_dropdown('product_brand' , listdata('product_brand'), $input->product_brand, ['class' => 'select2 product_brand', 'id' => 'product_brand']);?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Model No</label>
                                <div class="col-sm-8">
                                    <input type="text" class="form-control model_no" id="model_no" name="model_no" value="<?php echo $input->model_no; ?>" >
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Invoice No</label>
                                <div class="col-sm-8">
                                    <input type="text" class="form-control invoice_no" id="invoice_no" name="invoice_no" value="<?php echo $input->invoice_no; ?>">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label for="purchasedate" class="col-sm-4">Purchase Date</label>
                                <div class="col-sm-8">
                                    <div class="input-group">
                                        <input type="text" class="form-control purchase_date dateminpicker" id="purchase_date" name="purchase_date" value="<?php echo $input->purchase_date ?>">
                                        <span class="input-group-addon"><i class="fa fa-calendar" aria-hidden="true"></i></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Description</label>
                                <div class="col-sm-8">
                                    <textarea rows="2" type="text" class="form-control description" id="description" name="description"><?php echo $input->description ?></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4 m-t-20 m-b-20">
                            <div class="row form-group">
                                <div class="col-sm-4">
                                   <label for="Photo"><strong>Photo :</strong></label>
                                </div>
                                <div class="col-sm-8">
                                    <div class="col-sm-4">
                                    <div class="row clearfix">
                                        <div data-type="crm" data-target="#doc_link" class="attachmentbody"> 
                                          <?php if(empty($input->doc_link)): ?>
                                             <img src="<?php echo base_url('assets/images/no_image.png') ?>" class="upload hand">
                                          <?php else: ?>
                                             <ul class="success">
                                                <li><img alt="" src="<?php echo ($input->doc_link ? base_url('uploads/'.$input->doc_link) : ''); ?>"></li>
                                                <li class="remove"><i class="red-color zmdi zmdi-close hand" title="Remove"></i></li>
                                             </ul>
                                          <?php endif ?>
                                        </div>
                                        <input id="doc_link" name="doc_link" value="<?php echo (!empty($input->doc_link) ? $input->doc_link : '') ?>" type="hidden">
                                    </div>
                                    </div>                           
                                </div>
                            </div>
                        </div>
                        <?php if($input->id):?>
                        <div class="col-sm-4">
                            <div class="row form-group">
                                <label class="col-sm-4">Status</label>
                                <div class="col-sm-8">
                                    <?php
                                        $status = [
                                            '' => 'SELECT STATUS',
                                            '1' => 'Available',
                                            '2' => 'Assigned',
                                            '3' => 'Servicing',
                                            '0' => 'Wasted/lost',
                                        ];
                                        echo form_dropdown('status' , $status, $input->status, ['class' => 'select2 status']);
                                    ?>
                                </div>
                            </div>
                        </div>
                        <?php endif;?>
                    </div>
                </div>
                <div class="box">
                    <div class="row">
                        <div class="col-sm-12">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <td>
                                            <button class="btn btn-default btn-sm float-right" id="addCriteria">Add Criteria</button>
                                        </td>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php if($input->criteria_desc): foreach(array_to_string($input->criteria_desc) as $value):?>
                                    <tr>
                                        <td>
                                            <div class="input-group">
                                                <input type="text" class="form-control criteria" name="criteria[]" value="<?php echo $value;?>" placeholder="criteria">
                                                <span class="input-group-btn">
                                                    <button type="button" class="btn btn-danger btn-xs btn-remove">
                                                        <i class="zmdi zmdi-delete"></i>
                                                    </button>
                                                </span>
                                            </div>
                                        </td>
                                    </tr>    
                                    <?php endforeach; endif; ?>    
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="row m-t-50 m-b-20 text-center">
                    <div class="col-12" >
                      <div style="display: inline-flex;">
                           <button type="button" class="btn btn-raised btn-theme btn-round waves-effect saveBtn">Save</button>
                      </div>
                      <div style="display: inline-flex;">
                           <button type="reset" class="btn btn-raised btn-primary btn-round waves-effect">Reset</button>
                      </div>
                    </div>
                </div>
            </div>
        </form>     
    </div>
</div>

<script type="text/javascript">
$(function () {
    dateminpicker();
});
</script>