<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Stakeholder</strong> List </h2>
				<ul class="header-dropdown">
				    <li class="remove">
				        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
				    </li>
				</ul>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-sm-3">
                        <div class="form-group" style="margin-top: 6px;">                                    
                            <input placeholder="search" class="form-control input-sm filter-value" type="search" value="">
                        </div>
                    </div>
                    <div class="col-sm-9" >
                          <button class="btn btn-theme float-right btn-round" data-toggle="modal" data-target="#exampleModal" type="button" data-href="<?php echo site_url('inventory/setup/stakeholder/new_') ?>" data-title="New Stakeholder" data-html="form" data-selector="add">
                                <i class="zmdi zmdi-plus"></i>&nbsp;New Stakeholder
                          </button>
                    </div>
                </div>
                
                <table id="table_stakeholder" class="table table-hover dataTable table_stakeholder" width="100%">
                    <thead>
                        <tr class="btn-theme">
                            <th>Name</th>
                            <th>Email</th>
                            <th>Contact</th>
                            <th>Address</th>
                            <th>Bank Name</th>
                            <th>Bank ac no.</th>
                            <th>Swift code</th>
                            <th>Bank branch</th>
                            <th style="width: 150px;">Status</th>
                            <th style="width: 100px;">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>


<script>
   
   $(document).ready(function() {

        let width = "30px";
        let fixCol = "true";
        let dataTable;

        if($(window).width() > 767){
            width = "120px";
            fixCol = "false";
        }

        setTimeout(function(){  
            //datatables
            dataTable = $('.table_stakeholder').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('inventory/setup/stakeholder/getListData')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                        "width": width
                    },
                    {
                        "targets": [ -2 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -3 ], //last column
                        "orderable": false, //set not orderable
                        "width": width
                    },
                    {
                        "targets": [ -4 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -5 ], //last column
                        "orderable": false, //set not orderable
                        "width": width
                    },
                    {
                        "targets": [ -6 ], //last column
                        "orderable": false, //set not orderable
                        "width": width
                    },
                    {
                        "targets": [ -7 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -8 ], //last column
                        "orderable": false, //set not orderable
                        "width": width
                    },
                    {
                        "targets": [ -9 ], //last column
                        "orderable": false, //set not orderable
                    },
                    
                ],
                scrollX:        fixCol,
                fixedColumns:   {
                    leftColumns: 0,
                    rightColumns: 1,  //last column fixed
                    heightMatch: 'auto'
                }
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info
        }, 1000);
        $('.filter-value').on( 'keypress', function (e) {   // for select box
            if(e.which == 13){
            var i =$(this).attr('data-column');  
            var v =$(this).val();  
            if(v.length >= 3){
                dataTable.columns(i).search(v).draw();
            } else {
                v = '';
                dataTable.columns(i).search(v).draw();
            }          
        }
        });
    });
</script>