<!doctype html>
<html class="no-js " lang="en">
<?php $sett = getSettings();?>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=Edge">
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

        <title><?php echo $sett->site_title ?></title>
        <?php if(empty($sett->favicon)): ?>
            <link rel="icon" href="<?php echo base_url('favicon.ico');?>" type="image/x-icon">
        <?php else: ?>
            <link rel="icon" href="<?php echo base_url('uploads/'.$sett->favicon)?>" type="image/x-icon">
        <?php endif; ?>
        
        <!-- Favicon-->
        <link rel="stylesheet" href="<?php echo site_url('assets/plugins/bootstrap/css/bootstrap.min.css');?>">
        <!-- Custom Css -->
        <link rel="stylesheet" href="<?php echo site_url('assets/css/main.css');?>">
       
        <link rel="stylesheet" href="<?php echo site_url('assets/css/custom.css');?>">
     
    </head>
    <body class="theme-cyan authentication sidebar-collapse">
        <!-- Page Loader -->
<div class="page-loader-wrapper" id="overlay">
    <div class="loader">
        <div class="m-t-30">
            <?php if(empty($sett->favicon)): ?>
                <img class="zmdi-hc-spin img-responsive rounded-circle"  src="<?php echo base_url('favicon.ico');?>" width="48" height="48" alt="sumon">
                <?php else: ?>
                <img class="zmdi-hc-spin img-responsive rounded-circle" src="<?php echo base_url('uploads/'.$sett->favicon)?>" alt="sumon" width="48" height="48" >      
            <?php endif; ?>
            </div>
        <p>Please wait...</p>
    </div>
</div>
        <div class="page-header">
            <div class="page-header-image" style="background: #0000"></div>
            <div class="container">
                <div class="col-md-12 content-center content-center-login">
                    <div class="card-plain">
                        <div class="header">
                            <div class="logo-container logo-cotainer-login">
                            <?php if(empty($sett->logo)): ?>
                                <img src="assets/images/safara-logo.png" alt="">
                            <?php else: ?>
                                <img src="<?php echo base_url('uploads/'.$sett->logo)?>" alt="">

                            <?php endif; ?>

                                
                            </div>
                            <h5>Log in</h5>
                        </div>
                        <form class="form" method="post" action="<?php echo site_url('login/action');?>">
                            <div class="content">                                                
                                <div class="form-group">
                                    <div class="input-group form-line-height input-lg">
                                        <input type="text" name="username" class="form-control username" placeholder="Enter Username" autocomplete="off" required>
                                        <span class="input-group-addon">
                                            <i class="zmdi zmdi-account-circle"></i>
                                        </span>                            
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="input-group form-line-height input-lg">
                                        <input type="password" name="password" placeholder="Password" class="form-control password" autocomplete="off" required />
                                        <span class="input-group-addon">
                                            <i class="zmdi zmdi-lock"></i>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="footer text-center login-footer">
                                <button class="btn l-cyan btn-round btn-lg btn-block waves-effect waves-light saveBtn">SIGN IN</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Jquery Core Js -->
    </body>
    <script src="<?php echo site_url('assets/bundles/libscripts.bundle.js')?>"></script> <!-- Lib Scripts Plugin Js --> 
    <script src="<?php echo site_url('assets/plugins/notify/notify.min.js');?>"></script>  
    <script type="text/javascript">
        $(document).on('click', '.saveBtn', function(event){
    event.preventDefault();
    let $this = $(this),
        $form = $this.parents('form');
        $data = $this.parents('form').serializeArray();



    $form.find('div.alert').remove();   

    $.each($form.find('.form-group'), function(){
        $(this).removeClass('has-danger');
    });

    $.ajax({
        url: $this.parents('form').attr('action'),
        type: "POST",
        data: $data,
        dataType: "json",
        success: function(data, textStatus, jqXHR) {
            if(data.type === 'validation_error'){
                $.each(data.message, function(index, value){
                    $.notify(value, "error");
                    $.each($form.find('.'+index), function(){
                        if($(this).val() === ''){
                            $(this).addClass('form-control-danger').parents('.form-group').addClass('has-danger');      
                        } 
                    });                 
                });
            } else if(data.type === 'login_success'){
                $.notify(data.message, data.class);

                if(data.url){
                    setTimeout(function(){ window.location = data.url; }, 1000);    
                }               
            }
        },
        error: function (xhr, ajaxOptions, thrownError){
            console.log(thrownError);
        }
    });
});
window.onload = function(){
  var el = document.getElementById('overlay');
  el.style.display = 'none';
};
    </script>
</html>
