<!doctype html>
<html class="no-js " lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <meta name="description" content="Responsive Bootstrap 4 and web Application ui kit.">
<?php $sett = getSettings();?>
    <title><?php echo $sett->site_title ?></title>
    <link rel="icon" href="<?php echo base_url('uploads/'.$sett->favicon)?>" type="image/x-icon">

    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/bootstrap/css/bootstrap.min.css');?>">
    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/morrisjs/morris.css');?>"/>
    <link rel="stylesheet" href="<?php echo site_url('assets/css/main.css');?>">
    <link rel="stylesheet" href="<?php echo site_url('assets/css/color_skins.css');?>">
    <link rel="stylesheet" href="<?php echo site_url('assets/css/timeline.css');?>"/>
    <link rel="stylesheet" href="<?php echo site_url('assets/css/hm-style.css')?>">    
    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/sweetalert/sweetalert.css');?>"/>
    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/croppie/croppie.css');?>">
    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/fullcalendar/fullcalendar.min.css');?>">
    <link rel="stylesheet"  href="<?php echo site_url('assets/plugins/select2/dist/css/select2.min.css');?>" >
    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/jquery-datatable/dataTables.bootstrap4.min.css')?>">
    <link rel="stylesheet" href="<?php echo site_url('assets/css/custom.css');?>">

    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css');?>">
    
    <!-- Jquery Core Js --> 
    <script src="<?php echo site_url('assets/bundles/libscripts.bundle.js')?>"></script> <!-- Lib Scripts Plugin Js --> 
    <script>
      (function(){
        console.log("%cSAFARA !T", "font-size:30px;font-weight:bold; color: black;");
          var URL = {
              getSiteAction: function(action){
                  return '<?php echo site_url() ?>' + action;
              },
          };
          var CSRF = {
              csrfTokenName: function(){
                return '<?php echo $this->security->get_csrf_token_name();?>';        
              },
              csrfCookieName: function(){
                $.get( "<?php echo site_url('login/get_tokens');?>", { '<?php echo $this->security->get_csrf_token_name();?>': '<?php echo $this->security->get_csrf_hash(); ?>' } ).done(function( data ) {
                  return data;
                });    
              }
          };
          window.URL = URL;
          window.CSRF = CSRF;

      }());
    </script>
</head>
<body class="<?php echo (getUserData('theme') ? 'theme-'.getUserData('theme') : 'theme-cyan');?> <?php echo $class;?>">

    <?php $this->load->view($view);?>    

    <!-- <noscript id="deferred-styles">
      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/bootstrap/css/bootstrap.min.css');?>">
      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/morrisjs/morris.css');?>"/>
      <link rel="stylesheet" href="<?php echo site_url('assets/css/main.css');?>">
      <link rel="stylesheet" href="<?php echo site_url('assets/css/color_skins.css');?>">
      <link rel="stylesheet" href="<?php echo site_url('assets/css/timeline.css');?>"/>
      <link rel="stylesheet" href="<?php echo site_url('assets/css/hm-style.css')?>">    
      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/sweetalert/sweetalert.css');?>"/>
      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/croppie/croppie.css');?>">
      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/fullcalendar/fullcalendar.min.css');?>">
      <link rel="stylesheet"  href="<?php echo site_url('assets/plugins/select2/dist/css/select2.min.css');?>" >
      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/jquery-datatable/dataTables.bootstrap4.min.css')?>">
      <link rel="stylesheet" href="<?php echo site_url('assets/css/custom.css');?>">

      <link rel="stylesheet" href="<?php echo site_url('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css');?>">
    </noscript> -->

    <!-- <script>
      var loadDeferredStyles = function() {
        var addStylesNode = document.getElementById("deferred-styles");
        var replacement = document.createElement("div");
        replacement.innerHTML = addStylesNode.textContent;
        document.body.appendChild(replacement)
        addStylesNode.parentElement.removeChild(addStylesNode);
      };
      var raf = window.requestAnimationFrame || window.mozRequestAnimationFrame ||
          window.webkitRequestAnimationFrame || window.msRequestAnimationFrame;
      if (raf) raf(function() { window.setTimeout(loadDeferredStyles, 0); });
      else window.addEventListener('load', loadDeferredStyles);
    </script> -->

    <script src="<?php echo site_url('assets/bundles/vendorscripts.bundle.js');?>"></script> <!-- Lib Scripts Plugin Js --> 
    <script src="<?php echo site_url('assets/bundles/morrisscripts.bundle.js');?>"></script><!-- Morris Plugin Js -->
    <script src="<?php echo site_url('assets/bundles/knob.bundle.js');?>"></script>
    <script src="<?php echo site_url('assets/bundles/sparkline.bundle.js')?>"></script>
   <!--  <script src="<?php// echo site_url('assets/bundles/mainscripts.bundle.js');?>"></script> -->

    <script src="<?php echo site_url('assets/bundles/countTo.bundle.js');?>"></script>
    <script src="<?php echo base_url('assets/bundles/jquery.canvasjs.min.js') ?>"></script> <!-- Canvas Plugins Js -->
    <script src="<?php echo site_url('assets/js/js.cookie.js');?>"></script>
    <script src="<?php echo site_url('assets/js/ajaxupload.js');?>"></script> 
    <script src="<?php echo site_url('assets/plugins/momentjs/moment.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/bootstrap-material-datetimepicker/js/bootstrap-material-datetimepicker.js');?>"></script>    
    <script src="<?php echo site_url('assets/plugins/sweetalert/sweetalert.min.js');?>"></script> <!-- SweetAlert Plugin Js -->  
    <script src="<?php echo site_url('assets/plugins/jquery-inputmask/jquery.inputmask.bundle.js');?>"></script> <!-- Inputmask Plugin Js -->  

    <script src="<?php echo site_url('assets/plugins/notify/notify.min.js');?>"></script>     
    <script src="<?php echo site_url('assets/plugins/croppie/croppie.js');?>"></script>
    <script src="<?php echo site_url('assets/bundles/fullcalendarscripts.bundle.js');?>"></script><!--/ calender javascripts --> 
    <script src="<?php echo site_url('assets/plugins/select2/dist/js/select2.min.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/chartjs/Chart.bundle.js')?>"></script> <!-- Chart Plugins Js -->
    <script src="<?php echo site_url('assets/bundles/datatablescripts.bundle.js');?>"></script>


    <!-- print -->
    <!-- <script src="<?php //echo site_url('assets/js/pages/tables/jquery-datatable.js');?>"></script>  -->

    <script src="<?php echo site_url('assets/plugins/jquery-datatable/buttons/dataTables.buttons.min.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/jquery-datatable/buttons/buttons.bootstrap4.min.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/jquery-datatable/buttons/buttons.colVis.min.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/jquery-datatable/buttons/buttons.flash.min.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/jquery-datatable/buttons/buttons.html5.min.js');?>"></script>
    <script src="<?php echo site_url('assets/plugins/jquery-datatable/buttons/buttons.print.min.js');?>"></script>

    <!-- custom -->
    <script src="<?php echo site_url('assets/bundles/mainscripts.bundle.js');?>"></script>

    <script src="<?php echo site_url('assets/js/custom.js');?>"></script>  
    
</body>
</html>