<!doctype html>
<html class="no-js " lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <title><?php echo $input->site_title ?></title>
    <?php if(empty($input->favicon)): ?>
            <link rel="icon" href="<?php echo base_url('favicon.ico');?>" type="image/x-icon">
        <?php else: ?>
            <link rel="icon" href="<?php echo base_url('uploads/'.$input->favicon)?>" type="image/x-icon">
        <?php endif; ?>
    <!-- Favicon-->
    <link rel="stylesheet" href="<?php echo site_url('assets/plugins/bootstrap/css/bootstrap.min.css');?>">
    <!-- Custom Css -->
    <link rel="stylesheet" href="<?php echo site_url('assets/css/main.css');?>">
   
    <link rel="stylesheet" href="<?php echo site_url('assets/css/custom.css');?>">
 
</head>

<body class="theme-cyan authentication sidebar-collapse">
<div class="page-header">
    <div class="page-header-image" style="background-image:url(assets/images/login.jpg)"></div>
    <div class="container">
        <div class="col-md-12 content-center">
            <div class="card-plain">
                <form class="form" method="" action="">
                    <div class="header">
                        <div class="logo-container logo-cotainer-login">
                            <?php if(empty($input->logo)): ?>
                                <img src="assets/images/safara-logo.png" alt="">
                            <?php else: ?>
                                <img src="<?php echo base_url('uploads/'.$input->logo)?>" alt="">

                            <?php endif; ?>
                        </div>
                        <h5>System Under Construction</h5>
                        <span><?php echo $input->offline_text ?></span>
                    </div>
                    <div class="footer text-center">
                        <a href="<?php echo site_url('login/logout') ?>" class="btn l-cyan btn-round btn-lg btn-block waves-effect waves-light">Logout</a>
                        <h6 class="m-t-20"><a href="https://safaraitbd.com/#contact" class="link">Need Help?</a></h6>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- Jquery Core Js -->
</body>
</html>