<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 topmessage">
    	<div id="map" style="height: 400px;"></div>
    </div>
</div>

<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAcvTpcnXDpTiFZd72E6Xsb7wtt8R6OSr0&callback=initMap"
  type="text/javascript"></script>      
<script type="text/javascript">
var arr = new Array();

function initMap() { 

	setTimeout(getAttData(), 10000);

}

function getAttData(argument = '') {
	$.ajax({
        url: URL.getSiteAction('hr/attendance/getAttendance'),
        dataType: 'text json',
        type: 'POST',
        data: argument,
        success: function( data ){
            var i;  
		    var Locations = data;

		    var myOptions = {
		        zoom: 11,
		        center: new google.maps.LatLng(23.7805729,90.2788945),
		        mapTypeId: google.maps.MapTypeId.ROADMAP
		    };

		    var map = new google.maps.Map(document.getElementById("map"), myOptions);

		    var infowindow =  new google.maps.InfoWindow({
		        content: ''
		    });

			for (i = 0; i < Locations.length; i++) {
		    	size=25;        
		   	 	var img=new google.maps.MarkerImage(
		   	 		URL.getSiteAction('assets/images/marker.png'),           
			        new google.maps.Size(size, size),
			        new google.maps.Point(0,0),
			        new google.maps.Point(size/2, size/2)
		   		);

		        var marker = new google.maps.Marker({
		            map: map,
		            title: Locations[i].title,
		            position: new google.maps.LatLng(Locations[i].lat, Locations[i].lon),           
		                icon: img
		        });

		        bindInfoWindow(marker, map, infowindow, "<p>" + Locations[i].descr + "</p>",Locations[i].title);  

		    }
        },
        error: function( jqXhr, textStatus, errorThrown ){
            console.log( errorThrown );
        }
    });
}

function bindInfoWindow(marker, map, infowindow, html, Ltitle) { 
    google.maps.event.addListener(marker, 'mouseover', function() {
        infowindow.setContent(html); 
        infowindow.open(map, marker); 

    });
    google.maps.event.addListener(marker, 'mouseout', function() {
        infowindow.close();

    });
}    
</script>  