<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Notification extends Admin_controller {

	static $model 	= array();
	static $helper	= array();
	
	public function __construct(){
		parent::__construct();
		$this->load->database();
       // $this->load->library('Dompdf_gen');
	}

	public function index()
	{
		
		$data['notification'] =  getNotification();
        $data['class'] = 'index2';
        $data['page'] = 'notification/list';
        $data['view'] = 'admin_panel';
        $this->load->view('master', $data);
		
	}

    public function getListData()
    {
        $lists = $this->Admin_m->findall_datatable(
            'Admin_m', // Model name
            '_get_notification_query', // Function Name
            'filter',// Query type
            ['where_in' => ['user_id' => getUserData('supervisor_of')]]
        );        
        $data = array();
        $no = $_POST['start'];

        foreach ($lists as $key => $list) {
            $no++;
            $row = array();
            
            $row[]  = '<a href="'.site_url($list->source_url).'" data-html="form" >'.$list->title.'</a>';
            $data[] = $row;
        }
        $output = array(
            "draw"              => $_POST['draw'],
            "recordsTotal"      => '',
            "recordsFiltered"   => $this->Admin_m->findall_datatable('Admin_m', '_get_notification_query', 'count', ['where_in' => ['user_id' => getUserData('supervisor_of')]]),
            "data"              => $data,
        );
        //output to json format
        echo json_encode($output);
    }

    public function reports()
    {
        if($_REQUEST['columns'][0]['search']['value'] || $_REQUEST['columns'][1]['search']['value'] || $_REQUEST['columns'][2]['search']['value']):
            $lists = $this->Admin_m->findall_datatable(
                'Report_m', // Model name
                '_get_notification_query', // Function Name
                'filter'  // Query type  
            );  

        $data = array();
        $no = $_POST['start'];
        foreach ($lists as $key => $list) {
            $no++;
            $row = array();
            
            $row[] = ucwords($list->employee_name);
            $row[] = '<a href="'.$list->source_url.'" data-html="form" >'.$list->title.'</a>';
            $row[]  = date('M j,Y h:i a', strtotime($list->created_date));
            $data[] = $row;
        }
        $output = array(
            "draw"              => $_POST['draw'],
            "recordsTotal"      => '',
            "recordsFiltered"   => $this->Admin_m->findall_datatable('Report_m', '_get_notification_query', 'count'),
            "data"              => $data,
        );
        else:
            $output = array(
                "draw"              => $_POST['draw'],
                "recordsTotal"      => '',
                "recordsFiltered"   => 0,
                "data"              => [],
            );
        endif;  
        //output to json format
        echo json_encode($output);
    }

    public function savereport(){

        $data['user_id'] = $this->input->post('user_id');
        $data['department_id'] = $this->input->post('department_id');
        $data['from_date'] = $this->input->post('from_date');
        $data['to_date'] = $this->input->post('to_date');


        $lists['results'] = $this->Admin_m->findall_datatable(
                'Report_m', // Model name
                '_get_notification_query', // Function Name
                '', // Query type    
                $data        
            );
        //dd($lists);
        $this->load->view('reports/management/pdf/notification',$lists);
        $html = $this->output->get_output();

        // Convert to PDF
        $this->dompdf->load_html($html);
        $this->dompdf->render();
        $this->dompdf->stream('daily_report_'.date('Ymd').'.pdf',array("Attachment"=>0));
    }

}