<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Clients extends Admin_controller {

	static $model 	= array();
	static $helper	= array();
	
	public function __construct(){
		parent::__construct();
		siteStatus();
       // $this->load->library('Dompdf_gen');
	}


	public function index()
	{
		$data['class'] = 'index2';
        $data['page'] = 'crm/client/list';
        $data['view'] = 'admin_panel';
        $this->load->view('master', $data);
	}

	public function getListData(){
		

		$lists = $this->Admin_m->findall_datatable(
			'Admin_m', // Model name
			'_get_clients_query', // Function Name
			'filter' // Query type
		);

		$data = array();

        $no = $_POST['start'];

        foreach ($lists as $key => $list) {

        	$button = '<a class="btn btn-default btn-icon btn-simple btn-icon-mini btn-round" href="'.site_url('crm/lead/leads/view/'.$list->id).'" data-toggle="tooltip" data-placement="top" title="View" data-html="form" data-selector="employee">
                <i class="zmdi zmdi-eye table-icon"></i>
            </a>';

            if(getUserData('user_type') != 5 && getUserData('user_type') != 6):
	            $button .= '<a class="btn btn-default btn-icon btn-simple btn-icon-mini btn-round" href="'.site_url('hr/management/visitreport/new_/'.$list->id).'" data-toggle="tooltip" data-placement="top" title="Create visit" data-html="form" data-selector="employee">
	                <i class="zmdi zmdi-bus table-icon"></i>
	            </a>';
            endif;

            $no++;
            $row = array();
            
            $row[] = $list->name;
            $row[] = $list->km_name;
            $row[] = $list->company_email;
            $row[] = $list->lead_contact.'<br>('.$list->lead_contact_no.')';
            $row[] = ($list->query_date == '0000-00-00' ? '' : date('d M y', strtotime($list->query_date)));
            $row[] = date('d M y', strtotime($list->date));
            $row[] = $button;
            $data[] = $row;
        }


        $output = array(
            "draw" 				=> $_POST['draw'],
            "recordsTotal" 		=> '',
            "recordsFiltered" 	=> $this->Admin_m->findall_datatable('Admin_m', '_get_clients_query', 'count'),
            "data" 				=> $data,
        );

        //output to json format
        echo json_encode($output);

	}

	static $rules_add = array(
        'company_website' => array(
                'field'   => 'company_website', 
                'label'   => 'company_website', 
                'rules'   => 'trim|required|is_unique[leads.company_website]'
        ),
    );

    static $rules_update  = array(
        'company_website' => array(
                'field'   => 'company_website', 
                'label'   => 'company company_website', 
                'rules'   => 'trim|required'
        ),
    );

	public function new_()
	{
		$input 							= new stdClass();
		
		$input->id 						= '';
		$input->type 					= '';
		$input->lead_contacts_id		= '';
		$input->name 			        = '';
		$input->email 			        = '';
		$input->company_address 		= '';
		$input->company_contact 		= '';
		$input->company_email 		    = '';
		$input->company_mobile 		    = '';
		$input->company_website 		= '';
		$input->bankinfo 		        = '';
		$input->tin 		            = '';
		$input->logo 		            = '';
		$input->notes 		            = '';
		$input->street 		            = '';
		$input->street2 		        = '';
		$input->city 		            = '';
		$input->state 		            = '';
		$input->leadstatus_id 		    = '';
		$input->leadsource_id 		    = '';
		$input->services 		        = '';
		$input->country_id 		        = '';
		$input->zip 		            = '';

		$input->first_name 		        = '';
		$input->last_name 		        = '';
		$input->mobile 		            = '';
		$input->phone 		            = '';
		$input->designation 		    = '';
		
		$data['input'] 					= $input;
		$data['detailRowDataList'] 		= array();

		$this->load->view('crm/client/form', $data);
	}

	public function edit($id)
	{
		$data['input'] = $this->Admin_m->findLeads(['leads.id' => $id], true);
		$this->load->view('crm/leads/form', $data);
		
	}
	public function assign($id)
	{
		$data['input'] = $this->Admin_m->find('lead_manager',['lead_id' => $id, 'status' => 1], true);
		$this->load->view('crm/client/assign', $data);
	}

	public function save()
	{
		//leads table
		$id					           = $this->input->post('id');               
		$leadData['type'] 	           = $this->input->post('type');
		$leadData['name']              = $this->input->post('name');
		$leadData['company_email']     = $this->input->post('company_email');
		$leadData['company_website']   = $this->input->post('company_website');
		$leadData['bankinfo']          = $this->input->post('bankinfo');
		$leadData['notes']             = $this->input->post('notes');
		$leadData['street']            = $this->input->post('street');
		$leadData['street2'] 	       = $this->input->post('street2');
		$leadData['zip'] 	           = $this->input->post('zip');
		$leadData['city'] 	           = $this->input->post('city');
		$leadData['state'] 	           = $this->input->post('state');
		$leadData['bankinfo'] 	       = $this->input->post('bankinfo');
		$leadData['country_id'] 	   = $this->input->post('country_id');
		$leadData['company_contact']   = array_to_string($this->input->post('company_contact'));
		$leadData['logo'] 	           = $this->input->post('logo');
		$leadData['leadstatus_id'] 	   = $this->input->post('leadstatus_id');
		$leadData['leadsource_id'] 	   = $this->input->post('leadsource_id');
		$leadData['services']		   = array_to_string($this->input->post('services'));
		$leadData['created_user'] 	   = getUserData('user_id');
		$leadData['reg_date'] 		   = date('Y-m-d');

		$first_name 	    = $this->input->post('first_name'); 
		$last_name      	= $this->input->post('last_name');
		$mobile             = $this->input->post('mobile');
		$phone 	        	= $this->input->post('phone');
		$designation        = $this->input->post('designation');
		$email 		        = $this->input->post('email'); 

		$this->form_validation->set_rules('company_website', 'company_website', 'required');			
		
		if($this->form_validation->run() == FALSE) {
            $return['type'] = 'validation_error'; 
            foreach ($this->form_validation->error_array() as $key => $value) {
                $return['message'][str_replace("[]","",$key)] = $value;
            }
            echo json_encode($return); 
        } else {
			$this->db->trans_start();

			if(!empty($id)) {
				$this->Admin_m->update('leads', $leadData, array('id' => $id));
				$this->Admin_m->delete('lead_contacts', ['lead_id' => $id]);

				foreach ($first_name as $key => $fname):

					if($leadData['type'] == 2):
						$leadUpdateData['name'] = $fname.' '.$last_name[$key];
						$this->Admin_m->update('leads', $leadUpdateData, array('id' => $id));							
					endif;	

					$leadContact = [
						'lead_id'	 => $id,
						'first_name' => $fname,
						'last_name'  => $last_name[$key],
						'email'      => $email[$key],
						'mobile'     => $mobile[$key],
						'phone'      => $phone[$key],
						'designation'=> $designation[$key]
					];

					$this->Admin_m->save('lead_contacts', $leadContact);
				endforeach;
				$message = ' update successfull';	
			
			} else {
	         	$leadData['created_at']   = date('Y-m-d');
				$saveLead 	= $this->Admin_m->save('leads', $leadData);

				foreach ($first_name as $key => $fname):
					
					if($leadData['type'] == 2):
						$leadUpdateData['name'] = $fname.' '.$last_name[$key];
						$this->Admin_m->update('leads', $leadUpdateData, array('id' => $saveLead));							
					endif;	

					$leadContact = [
						'lead_id' => $saveLead,
						'first_name' => $fname,
						'last_name' => 	$last_name[$key],
						'email' => $email[$key],
						'mobile' => $mobile[$key],
						'phone' => $phone[$key],
						'designation' => $designation[$key]
					];

				$this->Admin_m->save('lead_contacts', $leadContact);
				endforeach;	

				$leadManager = [
					'lead_id' 		=> $saveLead,
					'user_id' 		=> getUserData('user_id'),
					'updated_by' 	=> getUserData('user_id')
				];
				$this->Admin_m->save('lead_manager', $leadManager);

				$message 			= 'save successfull';
				$message = ' update successfull';	

				$notification = [
                'tbl_name'      => 'clients',
                'tbl_pk'        => $saveLead,
                'user_id'       => getUserData('user_id'), 
                'usertype_id'   => 3,
                'title'         => '<strong>'.getUserData('fullname').'</strong> Client Created',
                'source_url'    => 'crm/lead/leads/view/'.$saveLead,
                'deadline'      => NULL, 
                'list_class'    => 'info',
                'created_date'  => date('Y-m-d H:i:sa'),
                ];
            	$this->Admin_m->save('notifications', $notification);	

			}

			if ($this->db->trans_status() === FALSE){
                $return = [
                    'type' => 'not_success', 
                    'class' => 'warning',
                    'message' =>  'Somthing wrong data not saved!',
                    /*'url' => site_url('crm/lead/Leads/secondForm'),*/
                ]; 
            } else {
                $return = [
                    'type' => 'save_success', 
                    'class' => 'success',
                    'message' =>  $message,
                    /*'url' => site_url('crm/lead/leads/'),*/
                ]; 
            }

            echo json_encode($return);
	}

}


	public function assign_save()
	{
		$id					       = $this->input->post('id');              
		$data['lead_id']           = $this->input->post('lead_id');
		$data['user_id']           = $this->input->post('user_id');
		$data['updated_by']        = getUserData('user_id');
		$status['status']          = 0;
		
		$this->db->trans_start();

		$this->Admin_m->update('lead_manager', $status, array('id' => $id));
		$this->Admin_m->save('lead_manager', $data);
		$message 			= 'Lead assigned Successfully ';
		$output = array(
			'hasError' 		=> 0, 
			'class' 		=> 'success', 
			'message' 		=> $message, 
			'detailMessage' => ''
		);

		$this->db->trans_complete();
		echo json_encode($output);

	}		

	public function convert_to_client(){

		//dd($_POST);
		
		$id = $this->input->post('id');
		$data['status'] 	   = 1;

		if(!empty($id)) {
			$this->Admin_m->update('leads', $data, array('id' => $id));
		}
		
		$returnData = array('hasError' => 0, 'class' => 'success', 'message' => 'client convert successfull', 'detailMessage' => '');
		echo json_encode($returnData);
	}


	public function getClientList(){
		if(getUserData('is_admin') == 1){
        	$leads = getClient(['leads.status' => 1], true,true);
	    } 
	    else {
	        $leads = getClient(['leads.status' => 1 ,'where_in' => ['leads.km' => getUserData('supervisor_of')]], true,true);
	    }

	    $html = '<label for="bill_type">Lead/Client</label><select name="lead_id" class="form-control show-tick" id="lead_id" style="width: 100%; " tabindex="-98"><option value="">Select Client</option>';

	    foreach ($leads as $key => $lead) {
	    	$html .= '<option value="'.$lead['id'].'">'.($lead['name'] ? $lead['name'] : $lead['first_name']." ".$lead['last_name']).'</option>';
	    }
	    $html .= '</select>';
	    
	    echo $html;

	}

	public function reports(){
		
		if($_REQUEST['columns'][0]['search']['value'] || $_REQUEST['columns'][1]['search']['value'] || $_REQUEST['columns'][2]['search']['value'] || $_REQUEST['columns'][3]['search']['value']):
			$lists = $this->Admin_m->findall_datatable(
				'Report_m', // Model name
				'_get_clients_query', // Function Name
				'filter' // Query type
			);

			$data = array();
	        $no = $_POST['start'];
	        foreach ($lists as $key => $list) {
            $no++;
            $row = array();
            
            $row[] = $list->name;
            $row[] = $list->km_name;
            $row[] = $list->company_email;
            $row[] = $list->company_contact;
            $row[] = $list->company_website;
            $row[] = $list->emp_name;
            $data[] = $row;
        }

	        $output = array(
	            "draw" 				=> $_POST['draw'],
	            "recordsTotal" 		=> '',
	            "recordsFiltered" 	=> $this->Admin_m->findall_datatable('Report_m', '_get_clients_query', 'count'),
	            "data" 				=> $data,
	        );
	    else:
	    	$output = array(
	            "draw" 				=> $_POST['draw'],
	            "recordsTotal" 		=> '',
	            "recordsFiltered" 	=> 0,
	            "data" 				=> [],
	        );
	    endif;    

        //output to json format
        echo json_encode($output);
	}

    public function savereport()
    {
    	$data['user_id'] = $this->input->post('user_id');
        $data['from_date'] = $this->input->post('from_date');
        $data['to_date'] = $this->input->post('to_date');

        $lists['results'] = $this->Admin_m->findall_datatable(
                'Report_m', // Model name
                '_get_clients_query', // Function Name
                '', // Query type    
                $data        
            );

        $options = new \Dompdf\Options();
        $dompdf  = new \Dompdf\Dompdf();
        $options->setIsRemoteEnabled(true);
        $dompdf->setOptions($options);
        $this->load->view('hr/reports/management/pdf/clientreport',$lists);
        $html = $this->output->get_output();
        $dompdf->loadHtml($html);
        $dompdf->set_paper('A4', 'landscape');
        $dompdf->render();
        $dompdf->stream('projectreport_'.date('Ymd').'.pdf',array("Attachment"=>0));
    }


}