<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Notebook extends Admin_controller {



    public function __construct(){
        parent::__construct();
        siteStatus();
    }

    static $rules_add = array(
        'datetime' => array(
                'field' => 'datetime', 
                'label' => 'Date Time', 
                'rules' => 'required'
        ),
        'description' => array(
                'field' => 'description', 
                'label' => 'description', 
                'rules' => 'required'
        ),
    );

    public function index()
    {
        $data['class'] = 'index2';
        $data['page'] = 'hr/management/notebook/list';
        $data['view'] = 'admin_panel';
        $this->load->view('master', $data);
    }

    public function getTodo()
    {
        $result = $this->Admin_m->findtodolist($this->input->post('status'), $this->input->post('user_id'));
        
        $html = '';
        foreach ($result as $key => $v) :
           if ($v['status']=='1'):
                   $html .= '<div class="grid__brick mt-3 col-xl-3 col-lg-4 col-md-6 col-sm-12">
                        <div class="card border-primary">
                            <div class="header">
                                <h2><strong>'.$v['fullname'].'</strong></h2>
                                <small>Department: '.$v['dept_name'].'</small>
                                <ul class="header-dropdown">
                                    <li class="dropdown"> <a title="Action" href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"> <i class="zmdi zmdi-more"></i> </a>
                                        <ul class="dropdown-menu dropdown-menu-right slideDown float-right">
                                            <li><a href="javascript:void(0);" data-toggle="modal" data-target="#exampleModal" data-title="Edit Note" data-html="form" data-href="'.site_url('hr/management/notebook/edit/'.$v['id']).'">Edit</a></li>
                                            <li><a href="" class="todostatus" data-href="'.site_url('hr/management/notebook/status').'" data-id="'.$v['id'].'">Complete</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-block">'.
                            htmlspecialchars_decode($v['description']).'
                            </div>
                            <div class="card-footer">
                                <div class="checkbox float-left " title="Complete">
                                    <input name="status[]" type="checkbox" class="todostatus" data-toggle="modal" data-href="'.site_url('hr/management/notebook/status').'" data-id="'.$v['id'].'" id="'.'status'.$v['id'].'" value="'.$v['status'].'">
                                    <label for="'.'status'.$v['id'].'">&nbsp;</label>
                                </div>
                                <p class="text-right"><small><b>Todo For : </b>'.date_format(date_create($v['datetime']), 'l jS F Y \o\n g:iA').'</small></p>
                            </div>
                        </div>
                    </div>';
                else:
                    $html .= '<div class="grid__brick mt-3 col-xl-3 col-lg-4 col-md-6 col-sm-12">
                        <div class="card border-primary">
                            <div class="header">
                                <h2><strong>'.$v['fullname'].'</strong></h2>
                                <small>Department: '.$v['dept_name'].'</small>
                                <ul class="header-dropdown">
                                    <li class="dropdown"> <a title="Action" href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"> <i class="zmdi zmdi-more"></i> </a>
                                        <ul class="dropdown-menu dropdown-menu-right slideDown float-right">
                                            <li><a href="javascript:void(0);" data-toggle="modal" data-target="#exampleModal" data-title="Edit Note" data-html="form" data-href="'.site_url('hr/management/notebook/edit/'.$v['id']).'">Edit</a></li>
                                            <li><a href="" class="todostatus" data-href="'.site_url('hr/management/notebook/status').'" data-id="'.$v['id'].'">Complete</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-block">'.
                            htmlspecialchars_decode($v['description']).'
                            </div>
                            <div class="card-footer">
                                <p class="text-right"><small><b>Todo For : </b>'.date_format(date_create($v['datetime']), 'l jS F Y \o\n g:iA').'</small></p>
                            </div>
                        </div>
                    </div>';
                endif;
                endforeach;
        $tasks  = $this->Admin_m->findtasklist(getUserData('supervisor_of'), $this->input->post('status'));
        if($tasks): 
            foreach ($tasks as $key => $v) :
                if ($v['status']=='1'):
                    $html .= '<div class="grid__brick mt-3 col-xl-3 col-lg-4 col-md-6 col-sm-12">
                        <div class="card border-primary" style="background: #f4f6f9;">
                            <div class="header">
                                <h2><strong>Task</strong></h2>
                                <font>Title: '.$v['name'].'</font>
                            </div>
                            <div class="card-block">'.
                            htmlspecialchars_decode($v['description']).'
                            </div>
                            <div class="card-footer">
                                <div class="checkbox float-left " title="Complete">
                                        <input name="status[]" type="checkbox" class="todostatus" data-toggle="modal" data-href="'.site_url('crm/lead/tasks/status').'" data-id="'.$v['id'].'" id="'.'status'.$v['id'].'" value="'.$v['status'].'">
                                        <label for="'.'status'.$v['id'].'">&nbsp;</label>
                                </div>
                                <p class="text-right"><small><b>Deadline : </b>'.date_format(date_create($v['deadline']), 'l jS F Y ').'</small></p>
                            </div>
                        </div>
                    </div>';
                else:
                $html .= '<div class="grid__brick mt-3 col-xl-3 col-lg-4 col-md-6 col-sm-12">
                        <div class="card border-primary" style="background: #f4f6f9;">
                            <div class="header">
                                <h2><strong>Task</strong></h2>
                                <font>Title: '.$v['name'].'</font>
                            </div>
                            <div class="card-block">'.
                            htmlspecialchars_decode($v['description']).'
                            </div>
                            <div class="card-footer">
                                <p class="text-right"><small><b>Deadline : </b>'.date_format(date_create($v['deadline']), 'l jS F Y ').'</small></p>
                            </div>
                        </div>
                    </div>';
                endif;
            endforeach; 
        endif;
         echo $html; 
    }

    public function new_()
    {
        $input = new stdClass();
        $input->id              = '';
        $input->description     = '';
        $input->datetime        = '';
        $data['input']          = $input;

        $this->load->view('hr/management/notebook/form', $data);
    }

    

    public function edit($id)
    {
        $data['input'] = $this->Admin_m->find('emp_todo', array('id' => $id));

        $this->load->view('hr/management/notebook/form', $data);
    }

    public function save()
    {

        $this->form_validation->set_rules(self::$rules_add);
        if($this->form_validation->run() == FALSE) {
            $return['type'] = 'validation_error'; 
            foreach ($this->form_validation->error_array() as $key => $value) {
                $return['message'][str_replace("[]","",$key)] = $value;
            }
            echo json_encode($return); 
        } else {
            $id = $this->input->post('id');
            $data['user_id']     = getUserData('user_id');
            $data['datetime'] = $this->input->post('datetime');   
            $data['description'] = htmlspecialchars($this->input->post('description')); 

            if(!empty($id)) {
                $data['updated_date'] = date('Y-m-d H:m:i');
                $this->Admin_m->update('emp_todo', $data, array('id' => $id));
                $message = 'Note update successfull';             
            } else {    
                $data['id']    = $this->Admin_m->save('emp_todo', $data);
                $notification = [
                        'tbl_name'      => 'emp_todo',
                        'tbl_pk'        => $data['id'],
                        'user_id'       => getUserData('user_id'), 
                        'usertype_id'   => getUserType(getUserData('user_id')), 
                        'title'         => '<strong>'.getUserData('fullname').'</strong> added daily Note',
                        'source_url'    => 'hr/management/notebook/',
                        'deadline'      => NULL, 
                        'list_class'    => 'info',
                        'created_date'  => date('Y-m-d H:i:sa'),
                    ];
                    
                    $this->Admin_m->save('notifications', $notification);

                
                $message = 'Note added successfully';

                
            }
                $return['type']    = 'save_success'; 
                $return['class']   = 'success';
                $return['message'] = $message;
                $return['url'] = ($_SERVER['HTTP_REFERER'] === base_url('dashboard') ? '' : base_url('hr/management/notebook/'));
                echo json_encode($return);

        }
        
    }

    public function view($id)
    {
        $data['input'] = $this->Admin_m->findtodo($id);
        $this->load->view('hr/management/notebook/view', $data);
    }

    public function status(){
        $id = $this->input->post('id');
        $data['status'] = $this->input->post('status');
        $data['completed_date'] = date('Y-m-d H:m:i');
        $this->Admin_m->update('emp_todo', $data, array('id' => $id));

        $message = 'Complited !!';

        $return['type']    = 'save_success'; 
        $return['class']   = 'success';
        $return['message'] = $message;
       // $return['url'] = base_url('hr/management/notebook/'); 
        echo json_encode($return);

    }

    public function delete()
    {
        $id = $this->input->post('id');
        if(!empty($id)) {
            $this->Admin_m->destroy('emp_todo', array('id' => $id));
        }
        
        $returnData = array('hasError' => 0, 'class' => 'success', 'message' => 'Item delete successfull', 'detailMessage' => '');
        echo json_encode($returnData);
    }


}