<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * Get Instance
 */
function CI()
{
    $CI =& get_instance();
    return $CI;
}

if ( ! function_exists('setUserData'))
{
	function setUserData($data)
	{
		CI()->session->set_userdata($data);
	}
}


if ( ! function_exists('getUserData'))
{
	function getUserData($field = NULL)
	{
		if(!empty($field)) {
			return CI()->session->userData($field);
		} else {
			return CI()->session->all_userdata();
		}
		
	}
}


if ( ! function_exists('isActiveUser'))
{
	function isActiveUser()
	{
        $email 		= CI()->session->userdata('email');
		$user_id 	= CI()->session->userdata('user_id');
		$user_name 	= CI()->session->userdata('user_name');
		$user_type 	= CI()->session->userdata('user_type');
		$company    = CI()->session->userdata('company');
		
		if($email == NULL && $user_id == NULL && $user_name == NULL && $user_type == NULL && $company != base_url()) {
			return FALSE;
		}

		return true;
	}
}


if ( ! function_exists('logoutUser'))
{
	function logoutUser()
	{
		if(getUserData('company') === base_url()){
			CI()->session->unset_userdata('loggedin');
		}

		return true;	
	}
}

if ( ! function_exists('adminLoginAuth'))
{
	function adminLoginAuth()
	{
		$email 		= CI()->session->userdata('email');
		$user_id 	= CI()->session->userdata('user_id');
		$user_name 	= CI()->session->userdata('user_name');
		$user_type 	= CI()->session->userdata('user_type');
		$loggedin 	= CI()->session->userdata('loggedin');
		$company    = CI()->session->userdata('company');

		if( $email != NULL && $user_id != NULL && $user_name != NULL && $user_type != NULL && $loggedin == true && $company == base_url()) {
		    redirect("dashboard");
		} else {
			return false;
		}
	}
}

function hashdata($string){

	return hash('sha512', $string . config_item('encryption_key'));

}


// ------------------------------------------------------------------------
/* End of file authentication_helper.php */
/* Location: ./application/helpers/authentication_helper.php */