<!-- alert div start -->
<?php if ($input->secondary == ''):?>
<div class="alert alert-danger" role="alert">
    !! Secondery Information not added yet . <?php echo (getUserData('user_type') != 5 && getUserData('user_type') != 6 ? "Please &ensp;<a class=\"btn btn-danger btn-sm ajax-load\" data-title=\"Add info\" data-html=\"form\" href=\"<?php echo site_url('crm/lead/leads/secondaryInfo/'.$input->id); ?>\" data-selector=\"leads\" style=\"margin:0;\"> Add Info </a>" : "");?>
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">
            <i class="zmdi zmdi-close"></i>
        </span>
    </button>
</div>
<?php endif; ?>
<!-- alert div end -->
<div class="row clearfix">
    <div class="col-lg-4 col-md-12">
        <div class="card project_widget">
                <div class="pw_img">
                  <?php if($input->logo): ?>
                    <img class="img-responsive" src="<?php echo  base_url('uploads/'.$input->logo)?>" alt="<?php echo $input->name ?>">
                  <?php else: ?>
                    <img class="img-responsive" src="https://dummyimage.com/800x600/d1d1d1/d9d9d9.jpg&text=<?php echo strtoupper($input->name);?>">
                  <?php endif; ?>
            </div>
            <div class="pw_content">
                <div class="pw_header">
                    <h6><?php echo $input->name ?></h6>
                    <small class="text-muted">Lead Created Date  |  <?php echo $input->created_at ?></small>
                </div>
                <div class="pw_meta">
                    <span><?php echo $input->street ?></span>
                    <small class="text-muted"><?php echo $input->street2 ?></small>
                    <small class="text-muted"><?php echo $input->city .', '. $input->zip ?></small>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-8">
        <div class="card">
            <div class="header" id="lead_details">
                <h2><strong>Lead</strong> Deails<small>Informaion.</small> </h2>
                <ul class="header-dropdown">
                    <li>
                        <?php if((getUserData('is_admin') == 1 && getUserData('user_type') != 5 && getUserData('user_type') != 6) || getUserData('user_id') != $input->created_user): ?>
                            <?php if($input->status == 2):?>
                                <button class="btn btn-sm btn-simple btn-round btn-success approveLead" data-href="<?php echo site_url('crm/lead/leads/approveleads') ?>" data-id="<?php echo $input->id ?>">
                                    <i class="zmdi zmdi-check text-success"></i> Approve
                                </button>
                            <?php endif; ?>
                        <?php endif; ?>
                        <?php if(getUserData('user_type') != 5 & getUserData('user_type') != 6):?>
                            <a class="btn btn-simple btn-round btn-info d-inline-block" href="<?php echo site_url('crm/lead/leads/edit/'.$input->id); ?>">
                              <i class="zmdi zmdi-edit text-info"></i> Edit
                            </a>
                        <?php endif;?>
                    </li>
                </ul>
            </div>
        </div>
        <div class="card" style="margin-bottom: 2px;">
            <ul class="nav nav-tabs nav-tabs-profile">
                <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#contact">Contact info</a></li>
                <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#lead">Lead info</a></li>
                <?php if ($input->secondary): ?>
                <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#secondary">Secondary info</a></li>
                <?php endif; ?>
                <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#services">Services</a></li>
            </ul>
        </div>
        <div class="card">
            <div class="body">                        
                <div class="tab-content">
                    <div class="tab-pane active" id="contact">
                        <?php foreach($input->contacts as $c => $contact):?>
                          <p><strong><?php echo $contact->first_name .' '. $contact->last_name ?></strong><br><em><?php echo $contact->designation ?></em></p>
                          <hr>
                          <small class="text-muted">Email address: </small>
                          <p><?php echo $contact->email; ?></p>
                          <small class="text-muted">Personal Contact: </small>
                          <p><?php echo $contact->mobile ?></p>
                          <?php if ($contact->phone) :?>
                          <small class="text-muted">Home/Others Contact :</small>
                          <p><?php echo $contact->phone ?></p>
                          <?php endif; ?>
                        <?php endforeach ?>
                    </div><!-- contact end -->
                    <div class="tab-pane" id="lead">
                        <small class="text-muted">Lead Type: </small>
                        <p><?php echo ($input->type == 1 ? 'Company' : 'Individual')?></p>
                        <small class="text-muted">Lead Source :</small>
                        <p><?php echo listdata('lead_source', false, ['id' => $input->leadsource_id], true);?></p>
                        <?php if($input->notes): ?>
                        <small class="text-muted">Notes :</small>
                        <p><?php echo $input->notes ?></p>
                        <?php endif;?>
                    </div><!-- lead end -->
                    <?php if ($input->secondary != ''):?>
                    <div class="tab-pane" id="secondary">
                        <small class="text-muted">Professionalism :</small>
                        <p>
                        <?php if ($input->secondary->professionalism == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->professionalism == 1){
                          echo 'Medium';
                        }else {
                          echo 'High';
                        }   ?>
                        </p>

                        <small class="text-muted">Tech sophistication :</small>
                        <p>
                        <?php if ($input->secondary->tech_sophistication == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->tech_sophistication == 1){
                          echo 'Medium';
                        }else{
                          echo 'High';
                        }   ?>
                        </p>

                        <small class="text-muted">Brand preferences :</small>
                        <p>
                        <?php if ($input->secondary->brand_preferences == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->brand_preferences == 1){
                          echo 'Medium';
                        }else {
                          echo 'High';
                        }   ?>
                        </p>

                        <small class="text-muted">Conservative :</small>
                        <p>
                        <?php if ($input->secondary->conservative == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->conservative == 1){
                          echo 'Medium';
                        }elseif ($input->secondary->conservative == 2) {
                          echo 'High';
                        }   ?>
                        </p>

                        <small class="text-muted">Internet Usage :</small>
                        <p>
                        <?php if ($input->secondary->internet_usage == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->internet_usage == 1){
                          echo 'Medium';
                        }elseif ($input->secondary->internet_usage == 2) {
                          echo 'High';
                        }   ?>
                        </p>
                        
                        <small class="text-muted">Collateral Consumed :</small>
                        <p>
                        <?php if ($input->secondary->collateral_consumed == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->collateral_consumed == 1){
                          echo 'Medium';
                        }elseif ($input->secondary->collateral_consumed == 2) {
                          echo 'High';
                        }   ?>
                        </p>
                        
                        <small class="text-muted">Purchasing power :</small>
                        <p>
                        <?php if ($input->secondary->purchasing_power == 0) {
                          echo 'Low';
                        }elseif ($input->secondary->purchasing_power == 1){
                          echo 'Medium';
                        }elseif ($input->secondary->purchasing_power == 2) {
                          echo 'High';
                        }   ?>
                        </p>

                        <small class="text-muted">Purchasing process :</small>
                        <p><?php echo $input->secondary->purchasing_process ?></p>

                        <small class="text-muted">Purchasing Methods :</small>
                        <p><?php echo $input->secondary->purchasing_methods ?></p>
                    </div>
                    <?php endif; ?>

                    <div class="tab-pane" id="services">
                        <?php if($input->services): foreach($input->services as $service):?>
                        <p><strong>Service:</strong> <?php echo $service->name; ?></p>
                        <?php if (isset($service->sub_services)):?>
                        <p><strong>Sub Service:</strong> <?php echo $service->sub_services; ?></p>
                      <?php endif; if (!empty($service->detail)):?>
                        <table class="table">
                          <thead>
                            <tr>
                              <th>Module</th>
                              <th>Criteria</th>
                              <th>Note</th>
                            </tr>
                          </thead>
                          <tbody>
                            <?php foreach($service->detail as $detail):?>
                            <tr>
                              <td><?php echo $detail->name?></td>
                              <td>
                                <?php 
                                  foreach (array_to_string($detail->criteria) as $key => $value) {
                                    echo listdata('criterions', '', ['id' => $value], true).',';
                                    echo (count(array_to_string($detail->criteria)) == ($key+1) ? '' : '<br>');
                                  }
                                ?>                                
                              </td>
                              <td><?php echo $detail->description?></td>
                            </tr>
                            <?php endforeach;?>
                          </tbody>
                        </table>
                        <p><strong>Expected Order Value:</strong> <?php echo $service->exp_total_order_val; ?></p>
                        <p><strong>Expected Order Date:</strong> <?php echo ($service->exp_order_date != '0000-00-00' ? $service->exp_order_date : ''); ?></p>
                        <hr>
                      <?php endif; ?>
                        <?php endforeach; endif;?>  
                    </div><!-- lead end -->
                </div>
            </div>
        </div>
        <div class="card">
          <div class="row">
            <div class="col-sm-12">
                <h2><strong>Analysis</strong></h2>
              <div id="m_bar_chart" class="graph"></div>
            </div>
          </div>
        </div>
    </div>
</div>

<script>
$(function () {
    initBarChart();    
});

function initBarChart() {
  $.ajax({
      url: URL.getSiteAction('crm/lead/leads/getLeadAnalytics'),
      dataType: 'json',
      type: 'POST',
      data: {id : '<?php echo $input->id;?>'},
      success: function( data ){
          console.log(data);
          if(data){
            Morris.Bar({
                element: 'm_bar_chart',
                data: data,
                xkey: ['y'],
                ykeys: ['a'],
                labels: ['Value'],
                barColors: function (row, series, type) {
                  if(row.y == 5) return "#008000";
                  else if(row.y == 4) return "#00FF00";
                  else if(row.y == 3) return "#FFFF00";
                  else if(row.y == 2) return "#FF0000";
                },
                hideHover: 'auto',
                gridLineColor: '#eef0f2',
                resize: true,
                xLabelAngle: 45,
                ymax: 5,
                ymin: 0,
                smooth: false,
            });
          }
      },
      error: function( jqXhr, textStatus, errorThrown ){
          console.log( errorThrown );
      }
  });    
}
</script>