<?php echo datetimepickerAssets();?>
<div class="modal-body">
	<form id="form" class="form-horizontal" action="<?php echo site_url('crm/workspace/projects/save') ?>" method="post">
		<input type='hidden' name='id' value='<?php echo $input->id ?>' />
		<label for="name"> Workspaces <span class="text-danger">*</span></label>
		<div class="form-group">
            <?php echo form_dropdown('workspaces_id', $workspaceList, $input->workspaces_id, ['class' => 'form-control select2', 'style' => ($input->workspaces_id && getUserData('is_admin') == 0 ? 'pointer-events:none' : '')]);?>
	    </div>
		<label for="services" class="col-sm-4">Services</label>
		<div class="form-group">
           <?php echo form_dropdown('services_id' , listdata('services'), ($input->id ? array_to_string($input->services_id) : $input->services_id), ['class' => 'form-control select2', 'id' => 'services_id', 'style' =>'width: 100%; '.($input->services_id && getUserData('is_admin') == 0 ? 'pointer-events:none' : '')]);?> 
        </div>
		<label for="name"> Department <span class="text-danger">*</span></label>
		<div class="form-group">
			<?php echo form_dropdown('department_id', listdata('department'), $input->department_id, ['class' => 'form-control select2', 'id' => 'department_id', 'data-url' => base_url('employee/filter_user'), 'style' => ($input->department_id && getUserData('is_admin') == 0 ? 'pointer-events:none' : '')]);?>
		</div>
		<label for="name"> Name <span class="text-danger">*</span></label>
		<div class="form-group">
			<input type="text" id="name" name="name" value="<?php echo $input->name ?>" class="form-control" />
		</div>
		<label for="name"> Description <span class="text-danger">*</span></label>
		<div class="form-group">
			<textarea name="description" id="description" class="form-control" rows="2"><?php echo $input->description;?></textarea>
		</div>
		<label for="services">Users</label>
		<div class="form-group">
			<?php echo form_dropdown('user_id[]' , userList([], true), (!empty($input->id) ? $input->user_id : getUserData('user_id')), ['class' => 'form-control select2', 'id' => 'user_id', 'multiple'=>'multiple']);
               ?>
        </div>
        <label for="start_date"> Start Date <span class="text-danger">*</span></label>
        <div class="form-group">
            <input type="text" class="form-control dateminpicker" id="start_date" name="start_date" value="<?php echo $input->start_date ?>">
	    </div>
		<label for="deadline"> Deadline <span class="text-danger">*</span></label>
		<div class="form-group">
	        <input type="text" class="form-control dateminpicker" id="deadline" name="deadline" value="<?php echo $input->deadline ?>">
	    </div>
	    <div class="form-group m-t-20">
	      <button type="button" class="btn btn-raised btn-primary waves-effect btn-round"  data-dismiss="modal">Close</button>
	        <button type="submit" class="btn l-cyan btn-round float-right waves-effect waves-light saveBtn"> Save</button>   
	    </div>
	</form>
</div>

<script>
    $(function () {
    	$('.select2').select2();

        dateminpicker();
    });
</script>