<?php echo datetimepickerAssets();?>
<div class="modal-body">
    <form id="form" class="form-horizontal" action="<?php echo site_url('crm/workspace/tasks/save') ?>" method="post">
      <input type='hidden' name='id' value='<?php echo $input->id ?>' />
      <input type='hidden' name='lead_id' value='<?php echo $input->lead_id ?>' />

      <div class="form-group">
        <label for="name"> Project <span class="text-danger">*</span></label>
        <?php echo form_dropdown('project_id', $projectList, $input->project_id, ['class' => 'form-control select2 lead_id', 'id' => 'project_id', 'style' =>'width: 100%; '.($input->project_id ? 'pointer-events:none' : '')])?>
      </div>

      <div class="form-group">
        <label for="name"> Title <span class="text-danger">*</span></label>
        <input name="name" id="name" value="<?php echo $input->name ?>" class="form-control name">   
      </div>

      <div class="form-group">
        <label class="control-label no-padding-right" for="name"> Desctiption <span class="text-danger">*</span></label>
          <textarea name="description" id="description" class="form-control" rows="3"><?php echo $input->description ?></textarea>
      </div>

      <div class="form-group">
          <label for="services"> Employee </label>
          <div class="clearfix">
            <?php echo form_dropdown('user_id[]' , $users, ($input->id ? $input->user_id : getUserData('user_id')), ['class' => 'form-control select2 user_id', 'id' => 'userList',  'multiple'=>'multiple']);?>
          </div>
          <?php //echo form_dropdown('user_id[]' , userList([], true), ($input->id ? $input->user_id : getUserData('user_id ')), ['class' => 'user_id', 'id' => 'user_id', 'multiple'=>'multiple']); ?> 
      </div>

      <div class="form-group">
        <label for="deadline"> Deadline <span class="text-danger">*</span></label>
        <div class="input-group">
            <span class="input-group-addon">
                  <i class="zmdi zmdi-calendar"></i>
              </span>
            <input type="text" class="form-control dateminpicker" id="deadline" name="deadline" value="<?php echo $input->deadline ?>">
        </div>
      </div>

    <div class="form-group">
      <button type="button" class="btn btn-raised btn-primary waves-effect btn-round"  data-dismiss="modal">Close</button>
        <button  class="btn l-cyan btn-round float-right waves-effect waves-light saveBtn"> Save</button>   
    </div>

  </form>
</div>

<script>
    $(function () {
        $('.select2').select2();

        dateminpicker();

      var employee = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('text'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        //prefetch: 'assets/cities.json'
        prefetch: '<?php echo site_url('hr/employee/activeUserList');?>'
      });
      employee.initialize();

      console.log(employee);
      var elt = $('#activeUser');
      elt.tagsinput({
        itemValue: 'value',
        itemText: 'text',
        typeaheadjs: {
          name: 'cities',
          displayKey: 'text',
          source: employee.ttAdapter()
        }
      });
    });
</script>