<div class="col-lg-12 topmessage ">
  <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="project">
      <div class="row clearfix">
        <div class="col-lg-12 col-md-12 col-sm-12">
          <div class="card">
            <div class="header" id="lead_details">
              <h2> <strong> <?php echo $input->name ?> </strong> </h2>
              <?php if(getUserData('is_admin') == 1 && getUserData('user_type') != 5 && getUserData('user_type') != 6):?>
              <ul class="header-dropdown">
                <li>
                <?php if (!empty(array_column($input->cost_breakdown, 'service_cost'))) :?>
                      <a class="btn  btn-success float-right btn-round" data-title="Print" href="<?php echo site_url('crm/workspace/workspace/thisinvoice/'.$input->work_id); ?>" data-selector="leads"><i class="zmdi zmdi-print white-color"></i> </a>
                  <?php endif; ?>
                </li>
                <li>  
                  <a class="btn  btn-theme float-right btn-round" href="<?php echo site_url('crm/workspace/workspace/edit/'.$input->work_id); ?>" title="Edit Workspace"  data-html="form">
                        <i class="zmdi zmdi-edit white-color"></i></a>
                </li>
              </ul>
              <?php endif;?>
            </div>
            <div class="progress-container">
              <div class="progress">
                <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">
                </div>
              </div>
            </div>
            <div class="body">
              <small class="text-muted"> <strong> Workorder No : </strong> <?php echo $input->workorder_no ?> </small> <br>
              <small class="text-muted"> <strong> Client : </strong>    <span><?php echo getClient(['clients.lead_id' => $input->lead_id]);?></span> </small> <br>
              <?php if ($input->sub_order != '') : ?>
                <small class="text-muted"> <strong> Sub Workorder No : </strong> <?php echo $input->sub_order ?>  </small> 
              <?php endif; ?>
              <?php if (!empty($input->agreement_date)) :?>
                <small class="text-muted"> <strong> Agreement Date : </strong> <?php echo $input->agreement_date ?></small> <br>
              <?php endif; ?>
              <?php if (!empty($input->comment)) :?>
                <small class="text-muted"> <strong> Comment: </strong> <?php echo $input->comment ?></small> <br>
              <?php endif; ?>
              <div class="hr hr-8 dotted"></div>
              <?php if (!empty($input->upload)) :?>
                <small class="text-muted"> <strong>  Attachment : </strong> <span><?php echo $input->upload ?> </span> </small>
              </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php if (!empty($input->total_payment)) :?>
    <div class="card">
      <div class="header">
        <ul class="list-unstyled team-info margin-0">
          <li class="m-r-15"> <h2> <strong>  Workorder Amount </strong>  </h2></li>
        </ul>                       
      </div>
      <div class="body table-responsive">
        <table id="table_leads" class="table table-striped table-hover dataTable" width="100%">
          <thead class="btn-theme">
            <tr class="">
              <th>Particulars</th>
              <th>Quantity</th>
              <th>Unit Price</th>
              <th>Amount</th>
            </tr>
          </thead>
          <tbody>
            <?php foreach ($input->cost_breakdown as $key => $value) : ?>
              <tr>

                <td><?php echo ($value->other=='')? listdata('services', false, ['id' => $value->service_id], true ): $value->other ?>     </td>
                <td ><?php echo $value->quantity ?></td>
                <td ><?php echo $value->unit_price ?></td>
                <td class="text-right"><?php echo $value->service_cost ?></td>
              </tr>
            <?php endforeach; ?>
          </tbody>
          <tfoot>
            <tr>
              <td></td>
              <td></td>
              <td class="text-right"><b>Net Work Order Total =<b></td>
                <td class="text-right"><b><?php 
                $discount = $input->cost_breakdown[array_search('discount', array_column($input->cost_breakdown, 'other'))];

                echo number_format(($input->total_ammount) ? $input->total_ammount - $discount->service_cost-$discount->service_cost : '') ?><b></td>
                </tr>  
              </tfoot>
            </table>
          </div>
        </div>
      <?php endif ?>
      <?php if (!empty($input->total_payment)) :?>
        <div class="card">
          <div class="header">
            <ul class="list-unstyled team-info margin-0">
              <li class="m-r-15"> <h2> <strong>  Payment Receive </strong>  </h2></li>
            </ul>                       
          </div>
           <div class="body table-responsive">
        <table id="table_leads" class="table table-striped table-hover dataTable" width="100%">
              <thead class="btn-theme">
                <tr class="">
                  <th>Date</th>
                  <th>Amount  </th>
                  <th>Notes  </th>
                </tr>
              </thead>
              <tbody>
                  <?php foreach ($input->workorder_payment as $key => $v) :?>
                  <tr>
                    <td><?php echo $v->date ?></td>
                    <td><?php echo $v->ammount ?></td>
                    <td><?php echo $v->note ?></td>
                  </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
          </div>
        </div>
      <?php endif ?>

        <div class="card">
          <div class="header">
            <ul class="list-unstyled team-info margin-0">
              <li class="m-r-15"> <h2> <strong>  Projects</strong>  </h2></li>
            </ul>                       
          </div>
        <div class="body table-responsive">
        <table id="table_leads" class="table table-striped table-hover dataTable" width="100%">
              <thead class="btn-theme">
               <tr>
                  <th>Service</th>
                  <th>Department  </th>
                  <th>Task  </th>
                  <th>Description  </th>
                  <th>Start Date  </th>
                  <th>Deadline  </th>
                  <th >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </th>
                </tr> 
              </thead>
              <tbody>
                <?php foreach ($input->projects as $key => $v) : ?>
                <tr>
                  <td><?php echo listdata('services', false, ['id' => $v->services_id], true);?> </td>
                  <td><?php echo listdata('department', false, ['id' => $v->department_id], true);?> </td>
                  <td><?php echo $v->name ?></td>
                  <td><?php echo $v->description ?></td>
                  <td><?php echo $v->start_date ?></td>
                  <td><?php echo $v->deadline ?></td>
                  <td class="headcol" >
                    <a class="btn btn-info btn-icon btn-icon-mini btn-simple btn-sm" href="<?php echo site_url('crm/workspace/projects/view/'.$v->id)?>" data-toggle="tooltip" data-placement="top" title="View" data-html="form" data-selector="workspaces">
                   <i class="material-icons icons-padding">remove_red_eye</i> </a> 
                  </td>
                </tr>
              <?php endforeach;?>
              </tbody>
            </table>
          </div>
        </div>

    </div>

  </div>
