<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <form id="leads_form" class="form-horizontal" action="<?php echo site_url('hr/bill/accounts/billsubmission/save') ?>" method="post">
            <input type='hidden' name='id' value='<?php echo $input->id ?>' />
            <input type='hidden' name='user_id' value='<?php echo $input->user_id ?>' /> 
            <div class="card">
                <div class="header">
                    <h2><strong>New bill</strong></h2>                        
                </div>
                <div class="body">
                    <div class="row clearfix">
                     <div class="col-sm-3">
                          <div class="form-group">
                            <label for="name"> Bill No </label>
                            <input type="text" class="form-control" id="bill_no" name="bill_no" value="<?php echo ($input->id ? $input->bill_no : getUserData('user_id') . randString()) ; ?>" style="pointer-events: none;">
                          </div>
                      </div>
                      <div class="col-sm-3">
                          <!--<div class="form-group">-->
                          <!--  <label for="name"> Other Bill </label>-->
                          <!--    <div class="checkbox" id="change_type">-->
                          <!--      <input  type="checkbox" class="ace" id="checkbox"  <?php echo ($input->id && empty($input->vrn_no) ? 'checked disabled' : '');?> >-->
                          <!--      <label for="checkbox">Check for other bill</label>-->
                          <!--    </div>-->
                          <!--</div>-->
                      </div>
                      <div class="col-sm-3" >
                        <div class="form-group">
                            <label for="name"> VRN No </label>
                              <?php if (empty($input->id)): ?>
                                <?php 
                                  $vrnData = ['' => 'SELECT VRN'];
                                  foreach ($vrn as $v):
                                     $vrnData[$v->id] = $v->vrn_no;
                                  endforeach;  
                                  echo form_dropdown('visit_id', $vrnData, $input->visit_id, ['class' => 'select2 ajax_vrn_filter',  'id' => 'visit_id', 'style' => 'width:100%']);
                                ?>
                              <?php else:?>
                                    <input type="hidden" class="form-control"  name="visit_id" value="<?php echo $input->client_visit_id ; ?>" style="pointer-events: none;">
                                    <input type="text" class="form-control"  name="" value="<?php echo $input->vrn_no ; ?>" style="pointer-events: none;">
                              <?php endif; ?>   
                          </div>
                      </div> 
                      <div class="col-sm-3">
                         <div class="form-group">
                            <label for="description"> Description </label>
                            <textarea rows="2" type="text" class="form-control" id="description" name="description"> <?php echo $input->description; ?> </textarea>
                          </div>
                      </div>
                  </div>
                </div>
                <legend class="white-space"></legend>
                <div id="visitInfo">
                  <?php if(!empty($input->visitInfo)):?>
                    <div class="header">
                        <h2><strong>VRN</strong> Information</h2>
                    </div>
                    <div class="col-sm-12" >
                        <div class="body">
                          <div class="row clearfix">
                              <div class="col-sm-2">
                                  <p><strong>Type: </strong>
                                      <?php
                                        if(!empty($input->visitInfo)):
                                          if($input->visitInfo->type == 1):
                                            echo "lead";
                                          elseif($input->visitInfo->type == 2):
                                            echo "Client";
                                          else:
                                            echo "Other";
                                          endif;
                                        endif;
                                      ?> 
                                  </p>
                              </div>
                              <div class="col-sm-2">
                                <p><strong>Date: </strong><?php echo(!empty($input->visitInfo) ? $input->visitInfo->visit_date : '')  ?> </p>
                              </div>
                              <div class="col-sm-3">
                                  <p><strong>For: </strong><?php echo (!empty($input->visitInfo) ? ($input->visitInfo->type == 3 ? $input->visitInfo->others : getLead(['leads.id' => $input->visitInfo->lead_id])) : '');?></p>
                              </div>
                              <div class="col-sm-3">
                                  <p><strong>Purpose: </strong><?php echo (!empty($input->visitInfo) ? $input->visitInfo->purpose : ''); ?> </p>
                              </div>
                              <div class="col-sm-2">
                                  <p><strong>Location: </strong><?php echo (!empty($input->visitInfo) ? $input->visitInfo->location : ''); ?>
                                  </p>
                              </div>
                          </div>
                      </div>
                  </div>
                  <?php endif; ?>
                </div>
                <legend class="white-space"></legend>
                  <div class="" id="">
                    <div class="header">
                        <h2><strong>Total Expense</strong></h2>                        
                    </div>
                    <div class="body parent_multiple">
                      <?php if($input->id): foreach($input->cost as $c => $cost):?>
                      <div class="row clearfix multiple" data-ele_name="expenseRow">
                          <div class="col-sm-4">
                              <div class="form-group">
                                <label for="first_name">Particulars</label>
                                <input type="hidden" name="cost_id[]" value="<?php echo $cost->id; ?>">
                                <input tabindex="5" type="text" class="form-control" name="cost_particulars[]" value="<?php echo $cost->particulars; ?>" style="<?php echo ($input->status != 0 && getUserData('user_type') == 3 ? 'pointer-events: none;' : '');?>">
                              </div>                  
                          </div>
                          <div class="col-sm-4">
                              <div class="form-group">
                                <label for="last_name"> Amount </label>
                                <input tabindex="5" type="text" name="amount[]" value="<?php echo $cost->amount; ?>" class="numberOnly amount form-control" style="<?php echo ($input->status != 0 && getUserData('user_type') == 3 ? 'pointer-events: none;' : '');?>" required="" />
                                </div>                 
                          </div>
                          <?php if($input->status >= 1):?>  
                              <div class="col-sm-4">
                                  <div class="form-group">
                                    <label for="last_name"> Approve Amount </label>
                                    <input tabindex="5" type="text" name="approved_amount[]" value="<?php echo $cost->amount; ?>" style="<?php echo ($input->status != 0 && getUserData('user_type') == 3 ? 'pointer-events: none;' : '');?>" class="approve_amount form-control" required="" />
                                  </div>                  
                              </div>
                          <?php else: ?>
                              <div class="col-sm-2">
                                <label for="last_name"> &nbsp; </label>
                                <div class="form-group">
                                  <?php if($c == 0):?>
                                      <button type="button" class="btn btn-xs btn-theme btn-round m-t-0 add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                                  <?php else: ?>
                                     <button type="button" class="btn btn-xs btn-danger btn-round m-t-0 remove-row"><i class="zmdi zmdi-close"></i> Remove Row </button>
                                  <?php endif;?>  
                                </div>
                              </div>
                          <?php endif; ?>                      
                      </div>
                      <?php endforeach; else: ?>
                      <div class="row clearfix multiple" data-ele_name="expenseRow">
                          <div class="col-sm-4">
                            <div class="form-group">
                              <label for="first_name" class="col-sm-4">Particulars</label>
                              <input tabindex="5" type="text" class="form-control" name="cost_particulars[]">
                            </div>                  
                          </div>
                          <div class="col-sm-4">
                            <div class="form-group">
                              <label for="last_name" class="col-sm-4">Amount</label>
                              <input tabindex="5" type="text" name="amount[]" value="" class="numberOnly form-control" />
                            </div>                  
                          </div>
                          <div class="col-sm-2">
                              <label for="last_name"> &nbsp; </label>
                              <div class="form-group">
                                 <button type="button" class="btn btn-xs btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add More </button>
                              </div>
                          </div>
                      </div> 
                      <?php endif;?>
                    </div>
                  </div>
                  <div class="body m-t-20 m-b-10">
                      <div class="col-sm-12 text-center">
                         <div class="form-group">  
                            <?php if($input->id && $input->status == 1 && $input->supervisor_id == getUserData('user_id')):?>
                              <input type="submit" name="saveType" class="btn btn-raised btn-theme btn-round waves-effect saveBtn" value="Approve">
                              
                              <?php elseif ($input->id && $input->status == 2 && getUserData('is_admin') == 1 || $input->id && $input->status == 2 && getUserData('user_type') == 3):?>
                                <input type="submit" name="confirm" class="btn btn-raised btn-success btn-round waves-effect saveBtn" value="Confirm">
                            
                              <?php elseif ($input->id && $input->status != 4 && getUserData('is_admin') == 1 && $input->user_id != getUserData('user_id') || $input->id && $input->status == 3 && $input->status != 4 && getUserData('user_type') == 3): ?>
                                <input type="submit" name="paid" class="btn btn-raised btn-theme btn-round waves-effect saveBtn" value="Paid">

                            <?php else: if($input->status < 1):?>
                              <input type="submit" name="saveType" class="btn btn-raised btn-success btn-round waves-effect saveBtn" value="Save">
                              
                                <input type="submit" name="saveType" class="btn btn-raised btn-theme btn-round waves-effect saveBtn" value="Save & Submit">
                              
                              <button tabindex="70" type="reset" class="btn btn-raised btn-primary btn-round waves-effect"> Reset </button>
                          <?php endif; endif; ?>
                         </div>
                      </div>
                  </div>
              </div>
        </form>
    </div>
</div>





<div id="expenseRow" style="display: none;">
  <div class="row clearfix multiple" data-ele_name="expenseRow">
      <div class="col-sm-4">
        <div class="form-group">
          <input tabindex="5" type="text" class="form-control" name="cost_particulars[]">
        </div>                  
      </div>
      <div class="col-sm-4">
        <div class="form-group">
          <input tabindex="5" type="text" name="amount[]" value="" class="numberOnly form-control" />
        </div>                  
      </div>
      <div class="col-sm-2">
          <div class="form-group">
             <button type="button" class="btn btn-xs btn-danger btn-round m-t-0 remove-row"><i class="zmdi zmdi-close"></i> remove </button>
          </div>
      </div>
  </div>
</div>





<script type="text/javascript">
   $('#change_type input[type=checkbox]').change(function(){
      if ($(this).is(':checked')) {
        $('#visit_id').prop('disabled', true).selectpicker();
      } else {
        $('#visit_id').prop('disabled', false).selectpicker();
      }
   });

    $('.leadType').on('click', function(){
      $("#name").parents('.form-group').toggleClass('hidden');
      $("#company_email").parents('.form-group').toggleClass('hidden');
      $('body').find('.add-row').toggleClass('hidden');
    });    

    $('.ajax_vrn_filter').on( 'change', function () {   // for select box
      var vrn_no = $(this).val();
      var formURL = "<?php echo site_url('hr/bill/accounts/billsubmission/ajaxBill'); ?>";   
      $("#visitInfo").empty().css('padding', '0');  
      if(vrn_no){
        $.ajax({
          url : formURL, // URL TO LOAD BEHIND THE SCREEN
          type : "POST",
          data : { vrn_no : vrn_no },
          dataType : "html",
          success : function(data) {  
            $("#visitInfo").append(data).css('padding', '20px 0');
          }
        });  
      }          
    });
</script>


