<div class="row clearfix">
    <div class="col-lg-6">
        <div class="card">
            <div class="header">
                <h2><strong> Employee :</strong> <?php echo ucfirst($input->fullname)?> </h2>      
                <hr>
                <div class="row clearfix" >
                    <div class="col-lg-12 ">
                        <h6 class="media-txt">
                            <small><strong>Supervisor : </strong> 
                                <?php echo $input->supervisorname?>
                            </small>
                        </h6>
                        <h6 class="media-txt">
                            <small><strong>Date & Time : </strong> 
                                <?php echo date('M j,Y h:ia', strtotime($input->date))?>
                            </small>
                        </h6>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header">
                <h2><strong> Today's Report </strong> </h2>      
                <hr>
                <div class="row clearfix" >
                    <div class="col-lg-12 ">
                        <h5 style="text-transform: none;font-size: 1.45em;" class="media-txt no-margin">
                          <small>
                             <?php echo htmlspecialchars_decode($input->description) ?> 
                          </small>
                        </h5>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-6">
        <div class="card">
            <div class="header">
                <h2><strong> Review Report </strong> </h2>      
                <br>
                <div class="row clearfix commentdiv" id="commentdiv">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <ul class="cbp_tmtimeline">
                          <?php if($input->reviews): foreach($input->reviews as $review):?>
                          <li>
                              <time class="cbp_tmtime"><span><?php echo calculate_time_span($review->date);?></span> <span><?php echo date("F j, Y", strtotime($review->date));?></span></time>
                              <div class="cbp_tmicon">
                                <?php if ($review->commentuser): ?>
                                  <img src="<?php echo imagePath('empdocuments', $review->commentuser);?>" class="rounded-circle" alt="">
                                <?php endif; ?>
                              </div>
                              <div class="cbp_tmlabel">
                                  <p><a href="javascript:void(0);"><?php echo ucfirst($review->name);?></a></p>
                                  <p class="comment"><?php echo $review->comment;?></p>
                              </div>
                          </li>
                          <?php endforeach; endif;?>
                        </ul>
                    </div>
                </div>
                <div class="row clearfix">
                  <div class="col-sm-12">
                      <?php if(getUserData('user_type') != 5): ?>
                      <form id="reviewfrm" class="form-group" action="<?php echo site_url('hr/management/Dailyreport/review') ?>" method="post" autocomplete="off">
                          <div class=" input-group p-t-50">
                              <input type="hidden" name="workreport_id" value="<?php echo $input->id?>">
                              <input  name="review" id="review" type="text" class="form-control send-input" placeholder="Enter text here...">
                              <span class="input-group-addon">
                                  <button type="submit" class="saveBtn transparent-btn"><i class="zmdi zmdi-mail-send icon-theme-clr"></i></button>
                              </span>
                          </div>
                      </form>
                      <?php endif;?>
                  </div>
                </div>
            </div>
        </div>
    </div>
</div>




<style>
.commentdiv {
    max-height: 450px;
    overflow-y: scroll;
    background: #f4f6f9;
    padding: 20px 5px;
}
.commentdiv .rounded-circle {
    max-height: 40px;
    min-width: 40px;
}

</style>



<script type="text/javascript">
    var objDiv = document.getElementById("commentdiv");
    objDiv.scrollTop = objDiv.scrollHeight;

</script>