<?php echo datetimepickerAssets();?>

<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                <h2><strong>Report</strong> Notification </h2>
				<ul class="header-dropdown">
				    <li class="remove">
				        <a role="button" class=""><i class="zmdi zmdi-circle ash"></i></a>
				    </li>
				</ul>
            </div>
            <div class="body">
              <form id="notificationfilter" action="<?php echo site_url('crm/Notification/savereport') ?>" method="post">
                  <div class="row clearfix">
                      <div class="col-sm-2">
                          <div class="form-group" > 
                            <?php echo form_dropdown('user_id' , userList([]), '', ['class' => 'form-control select2',  'id' => 'user_id']);
                            ?>                                                                    
                          </div>
                      </div>
                      <div class="col-sm-2" style="padding-top: 5px;" >
                         <div class="input-group">
                              <span class="input-group-addon">
                                  <i class="zmdi zmdi-calendar"></i>
                              </span>
                              <input type="text" class="form-control datemaxpicker" name="from_date" id="from_date" placeholder="Form date" value=""/>
                          </div>
                      </div>
                      <div class="col-sm-2" style="padding-top: 5px;" >
                         <div class="input-group">
                              <span class="input-group-addon">
                                  <i class="zmdi zmdi-calendar"></i>
                              </span>
                              <input type="text" class="form-control datemaxpicker" name="to_date" id="to_date" placeholder="To date" value=""/>
                          </div>
                      </div>
                      <div class=" col-sm-4">
                        <button type="submit" class="btn  btn-theme  btn-round filterBtnMT"><i class="zmdi zmdi-pdf" aria-hidden="true"></i> Download PDF</button>
                      </div>
                  </div>
                </form>
                <table id="table_notification" class="table table-bordered table-striped table-hover dataTable table_notification" width="100%">
                    <thead>
                        <tr class="btn-theme">
                             <th>Name</th>
                             <th>Notifications</th>
                             <th>Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>


<script>
  $(document).ready(function() {
     setTimeout(function(){  
    //datatables
            dataTable = $('.table_notification').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('crm/Notification/reports')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -2 ], //last column
                        "orderable": false, //set not orderable
                    },
                ],
       
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info
        }, 1000);

        $('#user_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(0).search(v).draw();
        });      

        $('#to_date').on( 'change', function () {   // for select box
          var v = $(this).val(),
            f = $(this).parents('#notificationfilter').find('#from_date').val();  
          if(f != '' && v != ''){
            dataTable.columns(1).search(f).draw();
            dataTable.columns(2).search(v).draw();
          }          
      });
          
    });
    $(function () {
        datemaxpicker();
    });
</script>


