<div class="row clearfix">
<div class="col-lg-12 col-md-12 col-sm-12">
    <div class="card">
        <div class="header">
            <h2><strong>Assign</strong> Inventory</h2>
        </div>
        <div class="body">
            <form id="inventoryAssign" action="<?php echo site_url('inventory/inventory/saveAssignInventory') ?>" method="post">
                <div class="row clearfix">
               		<div class="col-sm-2"></div>
         			<div class="col-sm-8">
						<label><strong>Employee :</strong></label>
						<div class="form-group">
			                <?php echo form_dropdown('user_id', userList([]), '', ['class' => 'form-control select2', 'id' => 'user_id']);?>
			            </div>	
	                	<div class="table-responsive">
		                  	<table class="table table-bordered table-striped table-hover">
		                  		<thead>
		                  			<tr>
		                  				<th>Category</th>
		                  				<th>Product</th>
		                  				<th>Description</th>
		                  				<th width="60">Action</th>
		                  			</tr>
		                  		</thead>
		                  		<tbody class="box parent_multiple">
		                  			<tr class="multiple new" data-ele_name="assignRow">
		                  				<td>
		                  					<?php echo form_hidden('id[]' , '');?>
		                  					<?php echo form_dropdown('cat_id[]' , listdata('product_category'), '', ['class' => 'form-control select2 cat_id']);?>
		                  				</td>
		                  				<td>
		                  					<?php echo form_dropdown('product_id[]' , listdata('products'), '', ['class' => 'form-control select2 product_id']);?>
		                  				</td>
		                  				<td>
		                  					<?php echo form_dropdown('inventory_id[]' , getInventoryList(), '', ['class' => 'form-control select2 inventory_id']);?>
		                  				</td>
		                  				<td>
		                  					<button type="button" class="btn btn-sm btn-theme btn-round add-row"><i class="zmdi zmdi-plus"></i> Add Row </button>
		                  				</td>
		                  			</tr>
		                  		</tbody>
		                  		<tfoot>
		                  			<tr>
		                  				<th colspan="4" class="text-center">
		                  					<div class="form-group">
		                  						<button type="submit" class="btn btn-raised btn-theme btn-round waves-effect saveBtn disable-on-click"> Save</button>
		                  						<button type="button" class="btn btn-raised btn-primary btn-round waves-effect reload-form"> Reset</button>
		                  					</div>
		                  				</th>
		                  			</tr>
		                  		</tfoot>
		                  	</table>
	                	</div>                
		        	</div>
		        </div>
         	</form>
        </div> 
    </div>
</div>
<table id="assignRow" style="display: none;">
	<tr class="multiple new">
		<td>
			<?php echo form_hidden('id[]' , '');?>
			<?php echo form_dropdown('cat_id[]' , listdata('product_category'), '', ['class' => 'form-control cat_id']);?>
		</td>
		<td>
			<?php echo form_dropdown('product_id[]' , listdata('products'), '', ['class' => 'form-control product_id']);?>
		</td>
		<td>
			<?php echo form_dropdown('inventory_id[]' , getInventoryList(), '', ['class' => 'form-control inventory_id']);?>
		</td>
		<td>
			<button type="button" class="btn btn-sm btn-danger btn-round remove-row"><i class="zmdi zmdi-close"></i> Remove </button>
		</td>
	</tr>
</table>

<script>

	$(document).ready(function() {
		$(document).on('change', '#user_id', function(){
			let $this = $(this),
				$user_id = $this.val();

			if($user_id){
				$.ajax({
		            url: URL.getSiteAction('inventory/inventory/getInvetoryByEmp'),
		            dataType: 'json',
		            type: 'POST', // Send post data
		            data: {user_id: $user_id},
		            async: false,
		            success: function(data){
		            	$this.parents('form').find('.multiple.saved').remove();
		            	if(data.sataus === 'success'){		            		
		            		$this.parents('form').find('tbody').html(data.data);

		            		$.each($this.parents('form').find('tbody').find('select'), function(){
		            			$(this).select2();
		            		});

		            	}
		            }
		        });	
			}
				
		});		

		$(document).on('change', '.cat_id', function(){
			let $this = $(this),
				$cat_id = $this.val(),
				$product_id = $this.parents('tr').find('.product_id');

			if($cat_id){
				$.ajax({
		            url: URL.getSiteAction('inventory/inventory/getCatProduct'),
		            dataType: 'json',
		            type: 'POST', // Send post data
		            data: {cat_id: $cat_id},
		            async: false,
		            success: function(data){
		            	$selectOption = '<option selected="selected" value="">SELECT PRODUCTS</option>';

		            	$.each(data, function(index, value){
							$selectOption += '<option value="'+value.id+'">'+value.name+'</option>';            		
		            	})

						$product_id.empty().append($selectOption); 
		            }
		        });	
			} else {
				$selectOption = '<option selected="selected" value="">SELECT PRODUCTS</option>';
				$product_id.empty().append($selectOption);  
			}
				
		});

		$(document).on('change', '.product_id', function(){
			let $this = $(this),
				$product_id = $this.val(),
				$inventory_id = $this.parents('tr').find('.inventory_id');

			if($product_id){
				$.ajax({
		            url: URL.getSiteAction('inventory/inventory/getProductInventory'),
		            dataType: 'json',
		            type: 'POST', // Send post data
		            data: {product_id: $product_id},
		            async: false,
		            success: function(data){
		            	console.log(data);
		            	$selectOption = '<option selected="selected" value="">SELECT INVENTORY</option>';

		            	$.each(data, function(index, value){
							$selectOption += '<option value="'+value.id+'">'+value.brand_name+' - ('+value.model_no+')</option>';            		
		            	})

						$inventory_id.empty().append($selectOption);            	    
		            }
		        });
			} else {
				$selectOption = '<option selected="selected" value="">SELECT INVENTORY</option>';
				$inventory_id.empty().append($selectOption);            	    
			}	 
				
		});

	});

	
</script>