<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card m-b-0">
            <div class="header">
                <h2><strong>Report</strong></h2>
            </div>
            <div class="body">
                <form id="inventoryreportfilter" action="<?php echo site_url('inventory/inventory/savereport') ?>" method="post">
                <div class="row clearfix">
                    <div class="col-sm-3">
                        <label for="user_id"> Employee </label>
                        <?php echo form_dropdown('user_id' , userList([]), '', ['class' => 'select2', 'id' => 'user_id']);
                             ?> 
                    </div> 
                    <div class="col-sm-3">
                        <label for="user_id">Category </label>
                        <?php echo form_dropdown('cat_id' , listdata('product_category'), '', ['class' => 'select2', 'id' => 'cat_id']);
                         ?>
                    </div>
                    <div class="col-sm-3">
                        <label for="user_id"> Products </label>
                        <?php echo form_dropdown('product_id' , listdata('products'), '', ['class' => 'select2', 'id' => 'product_id']);?> 
                    </div> 
                    <div class="col-sm-3">
                        <label class="m-b-0">&nbsp;</label>
                        <button type="submit" class="btn btn-theme btn-round btn-block filterBtnMT"><i class="zmdi zmdi-file-text"></i> Download PDF </button>
                    </div>     
                </div>
                </form>
            </div>
            <legend class="white-space"></legend>
            <div class="body">
           <div class="table-responsive">
             <table id="table_inventoryreport" class="table table-hover table_inventoryreport" width="100%">
                <thead  >
                    <tr class="btn-theme">
                        <th>User</th>
                        <th>Product Catagory</th>
                        <th>Product</th>
                    </tr>
                </thead>
            </table> 
        </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
         setTimeout(function(){  
        //datatables
            dataTable = $('.table_inventoryreport').DataTable({
                "serverSide": true, //Feature control DataTables' server-side processing mode.
                "ordering": true, //Feature control DataTables' filtering.
                "order": [], //Initial no order.

                // Load data for the table's content from an Ajax source
                "ajax": {
                    "url": '<?php echo base_url('inventory/inventory/report')?>',
                    "type": "POST"
                },

                //Set column definition initialisation properties.
                "columnDefs": [
                    {
                        "targets": [ -1 ], //last column
                        "orderable": false, //set not orderable
                    },
                    {
                        "targets": [ -2 ], //last column
                        "orderable": false, //set not orderable
                    },
                ],
       
            });       
            $(".dataTables_filter").css("display","none");  // hiding global search box     
            $(".dataTables_info").css("display","none");  // hiding global table info
        }, 1000);

        $('#user_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(0).search(v).draw();
        });
        $('#cat_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(1).search(v).draw();
        });
        $('#product_id').on( 'change', function (e) {   // for select box
            var v =$(this).val();  
            dataTable.columns(2).search(v).draw();
        });
        
            
    });
    
</script>


